---
source: https://www.nstor.ru/ru/catalog/StorageSystems/info/91.html
tags: ["raid", "raid0", "raid1", "raid2", "raid3"]
aliases: ["raid", "raid0", "raid1", "raid2", "raid3"]
---

## Описание RAID 0

![[raid0.jpg]]

Дисковый массив повышенной производительности без отказоустойчивости  
Striped Disk Array without Fault Tolerance  

Массив RAID 0 наиболее производительный и наименее защищенный из всех RAID-ов. Данные разбиваются на блоки пропорционально количеству дисков, что приводит к более высокой пропускной способности. Высокая производительность данной структуры обеспечивается параллельной записью и отсутствием избыточного копирования. Отказ любого диска в массиве приводит к потере всех данных. Этот уровень называется striping.

**Преимущества:**  
- наивысшая производительность для приложений требующих интенсивной обработки запросов ввода/вывода и данных большого объёма;
- простота реализации;
- низкая стоимость на единицу объёма.

**Недостатки:**
- не отказоустойчивое решение;
- отказ одного диска влечет за собой потерю всех данных массива.  

## Описание RAID 1

![[raid1.jpg]]

Дисковый массив с дублированием или зеркалирование  
Duplexing & Mirroring  
  
RAID 1 - mirroring - зеркальное отражение двух дисков. Избыточность структуры данного массива обеспечивает его высокую отказоустойчивость. Массив отличается высокой себестоимостью и низкой производительностью.  

**Преимущества:**  
- простота реализации;
- простота восстановления массива в случае отказа (копирование);
- достаточно высокое быстродействие для приложений с большой интенсивностью запросов.

**Недостатки:**  
- высокая стоимость на единицу объёма - 100% избыточность;
- невысокая скорость передачи данных.  

## Описание RAID 2

![[raid2.jpg]]

Отказоустойчивый дисковый массив с использованием кода Хемминга  
Hamming Code ECC  
  
RAID 2 - использует коды исправления ошибок Хемминга (Hamming Code ECC). Коды позволяют исправлять одиночные и обнаруживать двойные неисправности.  

**Преимущества:**  
- быстрая коррекция ошибок ("на лету");
- очень высокая скорость передачи данных больших объёмов;
- при увеличении количества дисков, накладные расходы уменьшаются;
- достаточно простая реализация.

**Недостатки:**  
- высокая стоимость при малом количестве дисков;
- низкая скорость обработки запросов (не подходит для систем ориентированных на обработку транзакций).  

## Описание RAID 3

![[raid3.jpg]]

Отказоустойчивый массив с параллельной передачей данных и четностью  
Parallel Transfer Disks with Parity  

RAID 3 - данные хранятся по принципу striping на уровне байтов с контрольной суммой (КС) на одном из дисков. Массив не имеет проблему некоторой избыточности как в RAID 2-го уровня. Диски с контрольной суммой используемые в RAID 2, необходимы для определения ошибочного заряда. Однако большинство современных контроллеров способны определить, когда диск отказал при помощи спец сигналов или дополнительного кодирования информации, записанной на диск и используемой для исправления случайных сбоев.

**Преимущества:**  
- очень высокая скорость передачи данных;
- отказ диска мало влияет на скорость работы массива;
- малые накладные расходы для реализации избыточности.

**Недостатки:**
- непростая реализация;
- низкая производительность при большой интенсивности запросов данных небольшого объёма.
