---
source: https://habr.com/ru/post/658205/
tags: ["копирайт", "бюрократия", "работодатель"]
aliases: ["авторское право", "исключительное право", "неимущественное право", "служебное произведение"]
---

Авторское #право широко распространено в различных отраслях бизнеса, и встречается даже чаще, чем нам кажется: не только в деятельности представителей творческих профессий, но и в сферах, на первый взгляд, далеких от творчества - и в IT, и в науке, и во многих других.

При этом существует огромное количество мифов об авторском праве, в том числе о его особенностях в трудовых отношениях. Поэтому предлагаем разобраться, кому принадлежат авторские права на труд работника, сколько за них нужно платить (и нужно ли) и в других тонкостях прав на произведения работников.

## Что такое авторские права?

Прежде чем перейти к вопросам авторского права в трудовых отношениях, давайте разберёмся: а что же относится к авторским правам?

Авторские права перечислены в статье 1225 Гражданского кодекса РФ. Для удобства их можно разделить на следующие группы:

### 1. Личные неимущественные права

К числу личных неимущественный прав относятся право авторства, право на имя, право на неприкосновенность произведения, право на обнародование произведения.

![[1b28a011f26df527debd637749e4f0bb.png]]

Особенности этой группы прав следуют из названия. Личными они называются потому, что тесно связаны с личностью автора, а неимущественными - потому что с ними нельзя совершить действия, аналогичные действиям с имуществом (нельзя прощать, подарить и т.д.). Из этого и следует главная особенность данных прав - они всегда принадлежат только автору и никаким образом не могут быть переданы третьему лицу.

То есть даже если Вы приобрели права на какой-либо объект авторского права по договору - личные неимущественные права останутся у автора объекта. Такая же ситуация и с трудовыми отношениями, за некоторыми исключениями, о которых мы поговорим в разделе 4 этой статьи. Как и о том, что с этим делать и как использовать произведения, несмотря на сохранение личных неимущественных прав за автором.

### 2. Исключительное право

Собственно, когда речь заходит об авторских правах, обычно имеют в виду именно исключительное право. Исключительное право состоит в возможности использовать самому и разрешать другим использовать произведение. Правообладатель может использовать своё произведение любым не запрещённым законом способом. Гражданский кодекс РФ содержит перечень способов использования произведений, но даже несмотря на то, что он очень широк и охватывает действия от размещения в интернете до строительства здания по архитектурному проекту, закон оговаривает, что и иные способы, которые являются законными, могут быть реализованы правообладателем (или тем, кому он разрешил).

Исключительное право очень широко: вправе разрешить или запретить как коммерческое, так и на некоммерческое использование (кроме установленных законом случаев свободного использования произведения). И что самое важное - оно может быть передано другому лицу: по договору, по наследству… И в трудовых отношениях, на что особенно мы обратим внимание далее в этой статье.

### 3. Иные права

Кроме перечисленных выше прав закон предусматривает права, которые не вошли ни в одну из обозначенных выше групп: право следования, право доступа, право на осуществление авторского надзора, право на вознаграждение и другие. Подробнее об некоторых из этих прав - в таблице.

![[da77e8f1d5c92ba32c94e9c899a182a2.png]]

Таким образом, понятие авторских прав гораздо шире, чем могло показаться на первый взгляд. Авторские права разнообразны, в законодательстве предусмотрен различный подход к ним, что надо учитывать при оформлении документов, в том числе по трудовым отношениям, если в ходе работы будут созданы объекты авторского права.

## Что такое служебное произведение? Когда права на произведение работника принадлежат работодателю?

Служебным произведением является результат творческой деятельности работника, любой предусмотренный Гражданским кодексом объект авторского права, созданный в рамках выполнения трудовых обязанностей. То есть для признания создаваемых объектов служебными произведениями обязанность по их созданию должна быть закреплена в трудовом договоре и(или) должностной инструкции работника.

Нужно отметить, что такова ситуация по ныне действующему Гражданскому кодексу. По ранее действующему законодательству (закон «Об авторском праве и смежных правах действовал в период с 09 июля 1993 года по 01 января 2008 года) служебным произведение считалось в 2 случаях: если оно создано в пределах выполнения служебных обязанностей либо по служебному заданию работодателя.

Таким образом, в настоящее время оформление служебного задания не является основанием для приобретения прав на произведение как на служебное, однако некоторые работодатели продолжают его оформлять (и делают правильно). Почему?

Дело в том, что Верховный суд Российской Федерации (разъяснения которого обязательны для нижестоящих судов), обязал именно работодателя доказывать, что созданное работником произведение является служебным (абзац 5 пункта 104 Постановления Пленума Верховного Суда РФ № 10 от 23 апреля 2019 года).

Причем доказательства, что произведение является служебным, может понадобится не только в споре с работниками, но и с любыми третьими лицами, которые используют его без разрешения работодателя.

Так, при рассмотрении дела о незаконном использовании архитектурного решения Суд по интеллектуальным правам отказал в защите прав истца, мотивировав это следующим.

Истец обосновывал приобретение прав на архитектурное решение тем, что оно являлось служебным произведением. Чтобы суду установить факт создания служебных произведений, разъяснено в решении, суд должен проанализировать содержание трудовых договоров, служебных заданий на предмет наличия (отсутствия) в них обязанностей работника по созданию служебных произведений. Однако документов, подтверждающих, что создание произведения входило в трудовые обязанности, представлено не было.

В связи с изложенным суд не признал за истцом прав на архитектурное решение (Постановление Суда по интеллектуальным правам от 24 апреля 2015 года по делу №А40-19843/2014).

Таким образом, оформление служебных заданий, отчетов о создании произведения или любых иных документов, позволяющих зафиксировать создание именно этого произведения в рамках выполнения трудовых обязанностей, может быть очень полезно.

Кто же приобретает права на служебные произведения? Как мы писали выше, личные неимущественные права темно связаны с личностью автора, они неотчуждаемы, не могут быть переданы другому лицу. Нет исключений и для служебных произведений - автор-работник сохраняет, к примеру, право авторства, право на имя.

А вот исключительное право на служебное произведение (которое обычно и интересует, когда заходит речь об авторских правах), принадлежит работодателю, если иное не предусмотрено договором Сторон.

Первоначально исключительные права на служебное произведение передаются работодателю на 3 года. За этот срок он должен совершить одно из 3 действий:

- Начать использовать произведение самому.
- Передать права на произведение третьему лицу.
- Принять решение о сохранении произведения в тайне.

После совершения одного из этих действий права на служебное произведение окончательно переходят работодателю. Если ни одного из этих действий работодатель не совершит, исключительные права возвращаются автору.

При совершении одного из этих действий у работника возникает право на вознаграждение (но подробнее об этом мы поговорим в главе 5).

## Когда права на произведение остаются за работником?

Исходя из изложенного выше, можно выделить случаи, когда права на произведение останутся за работником:

Во-первых, в случаях, когда автор не является работником по трудовому договору.

Произведение является служебным, если работник оформлен по трудовому договору в соответствии с Трудовым кодексом РФ. Если же он работает по какому-то гражданско-правовому договору (договору оказания услуг, договору подряда и т.д.) создаваемые им объекты авторского права не будут служебными произведениями, а принадлежность прав на них будет зависеть от иных факторов.

Во-вторых, сохранение права на произведение за работником может быть предусмотрено в трудовом договоре или в ином договоре, заключённом между работником и работодателем.

Работодатель в таком случае не останется ни с чем - он вправе использовать произведение на условиях неисключительной лицензии, но только при условии выплаты вознаграждения.

В-третьих, работодатель лишается прав на служебное произведение, если в течение 3 лет не начал использовать произведение сам, не передал права на него третьему лицу или не принял решение о сохранения произведения в тайне. То есть если за 3 года работодатель не совершил никаких действий над произведением - исключительное право на него перейдёт и закрепится за работником.

В-четвёртых, права остаются за работником в случае, если создание произведения не входит в его трудовые обязанности. То есть работник может быть штатным сотрудником, создать произведение в рабочее время и даже с использованием ресурсов работодателя, но если его создание не входит в закреплённые трудовым договором и/или должностной инструкцией обязанности, оно не будет являться служебным.

## А что делать с неимущественными правами?

Как мы уже говорили разделе 2, за работником всегда сохраняются личные неимущественные права (право авторства, право на имя и т.д.). Часто это обстоятельство недооценивается работодателем: «У нас же исключительные права, можем делать что захотим…».

Такой подход может быть чреват неприятностями вплоть до судебных исков и выплаты автору компенсаций. Так, к примеру, Санкт-Петербургским городским судом по иску автора служебного произведения - архитектурного проекта было взыскано 100 000 рублей компенсации морального вреда за размещение данного проекта на сайте без указания имени автора (Апелляционное определение Санкт-Петербургского городского суда от 5 сентября 2016 года № 33-17714/2016 по делу № 2-170/2016).

Какие же действия могут нарушить личные неимущественные права автора-работника? Назовём самые распространённые:

1. неуказание имени автора при каком-либо использовании его труда (нарушение права на имя);
2. указание в качестве автора не самого автора, а руководителя, например (нарушение права авторства);
3. внесение изменений в произведение (нарушение права на неприкосновенность произведения).

Что же касается первой публикации (иного выпуска в свет), не получая для этого согласия автора-работника, право на обнародование произведения не нарушается: Гражданский кодекс предусматривает возможность работодателя обнародовать произведение (если конечно стороны не предусмотрели иное в договоре).

Но не стоит пугаться, что личные неимущественные права автора заблокируют возможности использования произведения. Если говорить о втором случае, здесь конечно имеет место присвоение авторства и такие действия недопустимы.

А вот остальные действия вполне могут быть законными. Для этого работнику и работодателю нужно предусмотреть в трудовом договоре или в отдельном соглашении, что автор даёт согласие, к примеру, на анонимное использование служебных произведений, на внесение в них изменений.

## Нужно ли платить работникам за служебные произведения?

Гражданский кодекс устанавливает, что автор-работник имеет право на вознаграждение за создание служебного произведения. Если быть точным, это право возникает в случае, когда исключительные права на произведение приобретает работодатель, как некая компенсация за их утрату. Размер этого вознаграждения или какие-либо формулы его определения, условия и порядок выплаты законом не установлены: они определяются договором между работодателем и работником, а в случае спора - судом.

Многие работодатели, даже знакомые с этой нормой, уверены, что специально платить работнику за создание служебных произведений не нужно - он же получает за них зарплату!

Однако суды смотрят на этот вопрос совсем иначе. Рассмотрим пример из практики (Постановление Президиума Санкт-Петербургского городского суда от 30 ноября 2016 г. по делу №4Г-4337/2016).

Истец обратился в суд с иском о выплате вознаграждения за использование служебного произведения. Он написал в соавторстве книгу, которая была издана работодателем-ответчиком, однако никаких выплат за это не получил.

Суд первой инстанции в удовлетворении иска отказал, мотивируя это тем, что создание спорной книги было связано с выполнением истцом его трудовых обязанностей, по результатам которых ему производилась выплата заработной платы.

Однако вышестоящий суд признал эти выводы не соответствующими закону и отменил решение суда первой инстанции, указав, что «требуемое истцом вознаграждение предусмотрено нормами не трудового, а авторского права и не может замещаться выплатой заработной платы. … Заработная плата, подлежащая выплате работнику в рамках трудовых правоотношений за выполнение им трудовых обязанностей, не является авторским вознаграждением, получаемым работником как автором служебного произведения за его использование.»

Таким образом, приобретение работодателем прав на служебное произведение порождает обязанность по уплате вознаграждения автору за его создание сверх заработной платы. Конкретный его размер не установлен, самое важное - факт его выплаты. Выплата вознаграждения может быть организована различным образом - как единовременная выплата при каждом создании, как процент от доходов от использования произведения, как ежемесячная стимулирующая выплата… Работодателю важно учитывать эту особенность при установлении системы оплаты труда и размеров зарплат творческих работников.

Итак, созданные в рамках выполнения своих обязанностей объекты авторского права называются служебными. Права на них дробятся: исключительные (при соблюдении оговорённых в статье условий) передаются работодателю, а личные неимущественные остаются у работника. За эти произведения работнику должно быть выплачено вознаграждение сверх зарплаты.
