---
source: https://habr.com/ru/company/selectel/blog/703676
tags: ["карьера"]
aliases: ["pdp"]
---

![[6imz2fdo6gkh5ldiplxpxtwfrdy.jpg]]

В большинстве IT-компаний сейчас сезон ревью и профессиональной рефлексии: что я сделал за год и вырос ли профессионально? Ответить на эти экзистенциальные вопросы проще, если у вас есть PDP, или персональный план развития. Это инструмент, который помогает системно и экологично по отношению к себе двигаться к цели.

Я — Лена Насыбуллина, методист продуктовых образовательных программ в Selectel. В этом тексте расскажу, чем полезен PDP и как его составить.

## Как выглядит PDP и кому он нужен?

План развития карьеры (personal development plan) — индивидуальный и реально существующий документ, в котором сформулированы и прописаны профессиональные цели, сроки их реализации, а еще метрики для отслеживания эффективности действий. Чтобы его составить, нужно проанализировать и оценить текущие навыки, составить стратегию и подобрать развивающие действия.

![[uilzctkxwzeguzxccndbzmrjjcu.png]]

_Пример оформления PDP в Trello. Автор: Евгения Ращупкина_

Все это немалый труд. Так что перед стартом убедитесь, что у вас есть силы и потребность в развитии. Помните: PDP — не волшебная таблетка. Он не поможет решить проблемы, связанные с «разбалансировкой»‎ организма или других сфер жизни.

**→ PDP будет полезен, если есть:**

- стремление развиваться и профессионально расти;
- готовность выйти из зоны комфорта и пробовать новое;
- запрос на самоанализ сильных и слабых сторон;
- обратная связь от руководителя и коллег, которую хочется проработать.

**→ PDP будет бесполезен, если вы:**

- не готовы к переменам в работе и жизни в целом;
- стараетесь делать только то, что хорошо получается;
- считаете, что рефлексия и анализ своих действий — трата времени;
- уверены, что знаете о себе все.

![[5wf6q551s0ig-eohrr6hibm19yo.png]]

## Как составить план развития карьеры?

Процесс составления PDP можно разделить на пять базовых этапов.

![[wx9xk982mrtyvjyn7vqnf8ttvyi.png]]

### Первый этап: анализ

В основе карьерного плана — ваши компетенции и навыки, которые можно улучшить. Чтобы получить полную картину, советуем начать с анализа ситуации: разобраться, какие скиллы нужны на текущем месте работы или пригодятся в ближайшем будущем.

**Какие данные и инструменты использовать:**

→ **результаты ревью**, которое проводится в компании раз в год или полгода;

→ **обратная связь 360** — самостоятельный сбор обратной связи от компетентных коллег (лучше через анонимную электронную форму);

→ **SWOT-анализ** — лаконичная саморефлексия, которая позволяет взглянуть на навыки с разных сторон: выделить сильные стороны, зоны развития, возможности и угрозы.

![[huhc8epxvk8hj5hiduff2i_7tli.png]]

### Второй этап: визуализация результатов

После сбора данных визуализируйте результаты. Это поможет увидеть картину в целом, а также установить измеримые цели.

![[dhub63ie60w0shvlm8ovv7irzl4.png]]

В качестве инструмента советуем использовать колесо компетенций. Для этого выделите ключевые навыки, важные для вашей специальности. Например, для UX-специалиста необходимы прототипирование, работа с аналитикой и умение проводить пользовательские исследования, а для разработчика сайтов актуальны UI, визуальный дизайн и навыки HTML-разработки.

> На старте составления PDP не стоит делить колесо на 10+ компетенций: выберите 6-8 ключевых, а после расширяйте зоны развития.

Также важно ввести шкалу с прозрачным делением, для удобства предлагаем от 1 до 10. После дайте «оценку»‎ каждому навыку, определите исходную точку и желаемую. Подумайте, за какое время вы могли бы «подтянуть»‎ нужные компетенции, но не переусердствуйте с планированием — важно, чтобы цели были реалистичными и ненасильственными по отношению к себе.

**Шкала оценки навыков и компетенций:**

→ от 0 до 3 — новичок;

→ от 4 до 6 — есть опыт;

→ от 7 до 8 — сформированная компетенция;

→ от 9 до 10 — мастер.

### Третий этап: выбор стратегии

Какие навыки прокачивать и в каком порядке, определяет стратегия. Можно подтянуть все до одного уровня — стать [T-shaped специалистом](https://t.me/selectelcareers/114). Можно — усилить только преимущества и развить навыки, которые уже находятся на высоком уровне.

Иная стратегия — освоить компетенции для новой роли. Это актуально, если в ближайшем будущем хотите сменить деятельность или вырасти в смежной области.

> «Идеальное решение в выборе карьерной стратегии — поговорить с руководителем подразделения и спросить, какие задачи сейчас важны и критичны для команды. Другой вариант — посмотреть во внутренней документации стратегическую цель на ближайшие полгода и определить, какие компетенции нужны компании», — Елена Насыбуллина, методист образовательных программ Selectel.

### Четвертый этап: выделение конкретных целей

Цели в PDP — это четко сформулированные векторы работы. Они должны:

→ **быть по SMART** (конкретными, достижимыми, измеримыми, актуальными и ограниченными по времени);

→ **отвечать реальным потребностям человека** (не навязанными начальником или средой);

→ **содержать образ желаемого результата действий** (отображать поведение, к которому стремитесь, через глаголы «знаю»‎, «понимаю»‎, «умею»);

→ **не содержать запретов и отрицательных формулировок** (цель «меньше времени сидеть в телефоне»‎ лучше изменить на «читать две научные статьи в неделю»‎).

![[en6lg8ne_gipfu8wgeylbovniek.png]]

### Пятый этап: подбор развивающих действий

Развивающие действия — конкретные способы, с помощью которых будете двигаться к цели. Можно идти через инструкции — это источники знания (книги, курсы, семинары), через тренировки — практические задачи, где тренируется навык; через челленджи — краткосрочные активности, повышающие мотивацию.

Чтобы «собрать»‎ сбалансированные и работающие на цель действия, рекомендуем действовать по формуле:

→ **75% — работа с практическими задачами** (например, написать кусок кода, настроить инфраструктуру в тестовой среде);

→ **15% — коммуникация с экспертами** (с ментором или бадди, коллегами на работе или профессиональной конференции);

→ **10% — курсы и тренинги**.

> «Интересный вариант развития навыка — реализация рабочего спецпроекта. Так в короткий срок пройдете весь процесс и изучите подводные камни, а в конце увидите вполне конкретный результат», — Елена Насыбуллина, методист образовательных программ Selectel.

## Как оценить качество PDP?

Оценить эффективность плана развития карьеры можно с помощью таблицы ниже. В ней — шесть ключевых критериев.

![[kznlnphsbgjisyi57h6hsx-1foy.png]]

→ **45 баллов и выше** — отличный результат;

→ **от 30 до 44 баллов** — рабочий PDP, но для достижения максимального результата нужны корректировки;

→ **до 30 баллов** — PDP стоит доработать.

## Как оценить свой прогресс?

**Метрики**

Метрики эффективности сильно зависят от природы развиваемого навыка: одни компетенции можно освоить быстро (например, научиться работать в программе по графическому дизайну), а на обучение другим может уйти год или несколько (если нужно освоить иностранный язык).

Но и в том, и другом случае советуем использовать количественные показатели. Например, навык тайм-менеджмента можно измерить в количестве закрытых тикетов за рабочий спринт, а навык коммуникации с коллегами — в количестве смолл-токов перед деловыми встречами или во время обеденных перерывов.

**Спринты**

Чтобы PDP был реально полезным инструментом (а не красивой табличкой в блокноте) и помогал двигаться к цели системно, предлагаем разбить процесс на трехнедельные спринты.

> «Три недели — срок, за который можно оценить работу и не зависнуть в процессах.

**Форма**

Внешний вид плана развития карьеры может быть любой. Главное, чтобы он был наглядным и удобным для вас. Можно использовать один из предложенных вариантов:

- Notion;
- Trello;
- Google Sheet;
- ежедневник;
- Miro;
- трекеры привычек.

**Делитесь в комментариях своим опытом развития карьеры и составления планов.**

> Возможно, эти тексты тоже вас заинтересуют:
> 
> [Как ускорить адаптацию сотрудников с помощью продуктового онбординга? Опыт Selectel](https://slc.tl/jgrub)
> 
> [Как проходит онбординг сотрудников ИТО? Что нужно, чтобы выйти на смену в дата-центр](https://slc.tl/4oiqj)
> 
> [Когда лучше делегировать, а когда оставить задачу себе? Инструкция для начинающих руководителей](https://habr.com/ru/company/selectel/blog/690200/)
