## Зачем?

Когда мы решаем какую-то специфичную проблему, требующую погружения, то для разработчика является хорошей практикой зафиксировать решение на будущее для самого себя, а ещё лучше — **поделиться своим опытом с другими**. Это как написать тесты к коду: и то, и другое необходимо и правильно, но мало кто об этом заботится.

Когда-то для этого я создал публичный Notion для сохранения заметок и ссылок. Он удобен, красив и гибок, но при этом тяжёлый и платный.

Любой веб-ресурс является точкой отказа по определению. Поэтому всегда лучше сохранять именно полную статью или её краткую сухую выжимку по существу. Тем не менее, ссылки на сопутствующие веб-страницы я всё же оставляю — для бонусного чтива, не основного.

А благодаря #git, этот блокнот является надёжным и легко распространяемой копилкой знаний без ограничений.

Содержимое этого блокнота не требует даже самого Obsidian. К тому ж, здесь всё достаточно строго категоризировано, также я стараюсь пролинковать между собой связанные по смыслу категории и статьи.

## Почему Obsidian?

### Функционал

Засчёт плагинов и иерархий есть возможность развернуть среду в том виде, в которой я её задумал. При этом ничто не мешает использовать представленные материалы вне Obsidian засчёт markdown-синтаксиса. Каталог плагинов и сторонние мануалы обеспечиваются серьёзной поддержкой сообщества.

### Визуал

Приятная тёмная тема не мешает чтению. Кастомные иконки, вёрстка и цветные выделения текста выступают визуальными якорями, которые обращают внимание на важные вещи и способствуют быстрой навигации.

### Кроссплатформа

Obsidian работает на всех актуальных ОС. Один и тот же vault везде отображается и работает одинаково, как и встроенные в vault плагины.

## Что здесь (не) приветствуется?

✅ Всё это должна объединять <mark class="hltr-pink">IT-тематика</mark>: проблемы внутри и вокруг сферы, внутри и вокруг *людей* этой сферы; аспекты технические, юридические, управленческие и т. д.

✅ Здравый смысл и непредвзятость. Здесь следует проявлять уважение и <mark class="hltr-red">профессионализм</mark> так же, как ты это делаешь в своей работе по отношению к себе, коллегам, руководству и клиентам.

✅ <mark class="hltr-cyan">Редкие</mark> текстовые и/или графические материалы. Иллюстрации и схемы, используемые в статьях, должны располагаться рядом с файлом самой статьи, иметь размеры и качество в разумных пределах.

✅ Собственные или чужие <mark class="hltr-purple">статьи, заметки, шпаргалки</mark> с пошаговыми инструкциями, решением редких проблем. Для чужих статей приветствуются ссылки на оригинал, указание автора и лицензии (если таковое возможно).

✅ Краткие, частичные или полные: <mark class="hltr-yellow">конспекты</mark> книг или лекций, <mark class="hltr-yellow">стенограммы</mark> с тематических конференций и публичных выступлений.

✅ Языки: <mark class="hltr-blue">русский и английский</mark>.

✅ Всё это должно служить благим целям: <mark class="hltr-green">образование и помощь</mark>.

❌ Материалы, явно нарушающие законодательство РФ.

❌ Материалы, явно нарушающие условия лицензий и авторские права.

❌ Любые видеофайлы и аудиофайлы. На них всё же лучше давать ссылку. Как правило, они очень тяжёлые для хранения здесь.

## Чем этот блокнот (не) является?

✅ Местом для концентрации <mark class="hltr-cyan">уникальных, ценных, полезных профессиональных знаний</mark> людей, которые работают в IT-сфере на разных позициях и влияют на неё.

✅ Способом <mark class="hltr-red">распространения</mark> этих знаний среди единомышленников.

❌ Не местом для дискуссий и личных мнений. Стоит воздержаться от резких и категоричных высказываний, дискриминации, пропаганды и лжи.

❌ Не второй Википедией или Хабром. Не стоит добавлять в блокнот всё подряд отовсюду только ради наполнения.
