---
tags: ["nginx", "ubuntu"]
---

## Настройка отдельно купленного SSL-сертификата под #nginx вручную

Потребуются следующие файлы:

1.1. `***.key` - приватный ключ SSL сертификата

1.2. `certificate.crt` - сам сертификат #SSL

1.3. `certificate_ca.crt` - корневой сертификат SSL

**example.ru.crt** - сгенеренный файл сертификата, делается так:

```
cat certificate.crt certificate_ca.crt > example.ru.crt
```

Для базовой настройки nginx под SSL нужны следующие 3 строчки:

```
server {
    ...
    listen 443 ssl;
    ssl_certificate /etc/ssl/example.ru.crt;
    ssl_certificate_key /etc/ssl/example.ru.key;
    ...
}
```

## Установка Let's Encrypt SSL-сертификата с помощью #Certbot

Устанавливаем `certbot`:

```
sudo apt install -y python-certbot-nginx
```

Сертификаты получаем следующей командой:

```
sudo certbot --authenticator webroot --installer nginx
```

Домен, на который пытаешься получить сертификат, должен быть прописан в конфиге nginx.

## Дополнительные ресурсы

- [https://github.com/certbot/certbot/issues/5405](https://github.com/certbot/certbot/issues/5405)
- [https://certbot.eff.org/lets-encrypt/debianstretch-nginx](https://certbot.eff.org/lets-encrypt/debianstretch-nginx)
- [https://stackoverflow.com/questions/26191463/ssl-error0b080074x509-certificate-routinesx509-check-private-keykey-values](https://stackoverflow.com/questions/26191463/ssl-error0b080074x509-certificate-routinesx509-check-private-keykey-values)
- [https://www.reg.ru/support/ssl-sertifikaty/ustanovka-ssl-sertifikata/ustanovka-ssl-sertifikata-na-nginx](https://www.reg.ru/support/ssl-sertifikaty/ustanovka-ssl-sertifikata/ustanovka-ssl-sertifikata-na-nginx)
- [https://www.leaderssl.ru/articles/224-ssl-nginx-ustanavlivaem-ssl-sertifikat-na-server-nginx](https://www.leaderssl.ru/articles/224-ssl-nginx-ustanavlivaem-ssl-sertifikat-na-server-nginx)
