---
tags: ["git"]
---

## Текстовые материалы

1. **[https://git-scm.com/book/ru/v2](https://git-scm.com/book/ru/v2**)** (ru/en/ua)
2. [https://githowto.com](https://githowto.com/) (en)
3. [https://www.atlassian.com/git/tutorials](https://www.atlassian.com/git/tutorials) (en)
4. [https://docs.gitlab.com/ee/tutorials](https://docs.gitlab.com/ee/tutorials) (en)

## Команды, термины, cheatsheets

1. **[https://git-scm.com/docs](https://git-scm.com/docs**)** (en)
2. [https://eax.me/git-commands](https://eax.me/git-commands) (ru)
3. [https://training.github.com/downloads/ru/github-git-cheat-sheet](https://training.github.com/downloads/ru/github-git-cheat-sheet) (en)
4. [https://www.atlassian.com/git/glossary](https://www.atlassian.com/git/glossary) (en)
5. [https://education.github.com/git-cheat-sheet-education.pdf](https://education.github.com/git-cheat-sheet-education.pdf) (en)
6. [https://about.gitlab.com/images/press/git-cheat-sheet.pdf](https://about.gitlab.com/images/press/git-cheat-sheet.pdf) (en)
7. [Git Cheat Sheet – 50 Git Commands You Should Know](https://www.freecodecamp.org/news/git-cheat-sheet/) (en)
8. [Раскладываем Git по полочкам: терминология](https://habr.com/ru/sandbox/156522/)

## Хранилища кода

1. #GitHub: [https://docs.github.com](https://docs.github.com/) (en)
2. 📽️ [GitHub для новичков](https://www.youtube.com/playlist?list=PL3LQJkGQtzc5rDeb7FjACNb6sOW300yA0) от Glo Academy
3. #GitLab: [https://docs.gitlab.com](https://docs.gitlab.com/) (en)
4. #Bitbucket: [https://support.atlassian.com/bitbucket-cloud/resources/](https://support.atlassian.com/bitbucket-cloud/resources/) (en)
5. #Gitea: [https://docs.gitea.io](https://docs.gitea.io/) (en)

## Авторизация по #ssh

1. [https://git-scm.com/book/ru/v2/Git-на-сервере-Генерация-открытого-SSH-ключа](https://git-scm.com/book/ru/v2/Git-%D0%BD%D0%B0-%D1%81%D0%B5%D1%80%D0%B2%D0%B5%D1%80%D0%B5-%D0%93%D0%B5%D0%BD%D0%B5%D1%80%D0%B0%D1%86%D0%B8%D1%8F-%D0%BE%D1%82%D0%BA%D1%80%D1%8B%D1%82%D0%BE%D0%B3%D0%BE-SSH-%D0%BA%D0%BB%D1%8E%D1%87%D0%B0) (ru/en/ua)
2. GitHub: [https://docs.github.com/en/authentication/connecting-to-github-with-ssh/generating-a-new-ssh-key-and-adding-it-to-the-ssh-agent](https://docs.github.com/en/authentication/connecting-to-github-with-ssh/generating-a-new-ssh-key-and-adding-it-to-the-ssh-agent) (en)
3. GitLab: [https://docs.gitlab.com/ee/user/ssh.html](https://docs.gitlab.com/ee/user/ssh.html) (en)
4. Bitbucket: [https://support.atlassian.com/bitbucket-cloud/docs/set-up-an-ssh-key](https://support.atlassian.com/bitbucket-cloud/docs/set-up-an-ssh-key/) (en)
5. Gitea: [https://easycode.page/gitea-setup-ssh-and-repository](https://easycode.page/gitea-setup-ssh-and-repository) (en)
6. 📽️ [SSH ключи для работы с удаленными Git-репозиториями](https://www.youtube.com/watch?v=KqzVaUTCPbQ)

> [!important]  
> Чаты в #Telegram
> * https://t.me/git_cool
> * https://t.me/pro_git  

## Интерактивные туториалы

1. **[https://learngitbranching.js.org/?locale=ru_RU](https://learngitbranching.js.org/?locale=ru_RU**)** (ru/en/ua)
2. [https://ndpsoftware.com/git-cheatsheet.html](https://ndpsoftware.com/git-cheatsheet.html) (en)
3. [https://www.w3schools.com/git](https://www.w3schools.com/git) (en)

## Видеокурсы на русском

1. 📽️ [Базовый курс по Git](https://www.youtube.com/playlist?list=PLIU76b8Cjem5B3sufBJ_KFTpKkMEvaTQR) от Devcolibri
2. 📽️ [Git: курс](https://www.youtube.com/playlist?list=PLDyvV36pndZFHXjXuwA_NywNrVQO0aQqb) от Javascript.ru
3. 📽️ [Уроки по Git и GitHub](https://www.youtube.com/playlist?list=PLuY6eeDuleIOMB2R_Kky05ZfiAx2_pbAH) от ITDoctor
4. 📽️ [Git для новичков](https://www.youtube.com/playlist?list=PLY4rE9dstrJyTdVJpv7FibSaXB4BHPInb) от loftblog
5. 📽️ [Основы Git для новичков (2021)](https://www.youtube.com/playlist?list=PL8X2nqRlWfab4cebpPc3ENb5UBQDxcM0H) от javabegin
6. 📽️ [Git - основы и пример командной работы](https://www.youtube.com/watch?v=gd74R-rvfsY) от Loftschool
7. 📽️ [Git и GitHub Курс Для Новичков](https://www.youtube.com/watch?v=zZBiln_2FhM) от Владилена Минина
8. 📽️ [Git. Большой практический выпуск](https://www.youtube.com/watch?v=SEvR78OhGtw) от Артёма Матяшова
9. 📽️ [GIT - Полный Курс Git и GitHub Для Начинающих [4 ЧАСА]](https://www.youtube.com/watch?v=O00FTZDxD0o) от Bogdan Stashchuk

## Статьи на Хабре

1. [Введение в Git](https://habr.com/ru/post/472600/)
2. [Введение в Git за 5 минут](https://habr.com/ru/post/587558/)
3. [Git. Коротко о главном](https://habr.com/ru/post/588801/)
4. Git для новичков: [часть 1](https://habr.com/ru/post/541258/), [часть 2](https://habr.com/ru/post/542616/)
5. Git: советы новичкам – [часть 1](https://habr.com/ru/company/playrix/blog/345732/), [часть 2](https://habr.com/ru/company/playrix/blog/348864/), [часть 3](https://habr.com/ru/company/playrix/blog/350492/)
6. [30 команд Git, необходимых для освоения интерфейса командной строки Git](https://habr.com/ru/company/ruvds/blog/599929/)
7. [15 базовых советов по Git для эффективной работы каждый день](https://habr.com/ru/company/manychat/blog/511946/)
8. [Ежедневная работа с Git](https://habr.com/ru/post/174467/)
9. [Как работает Git](https://habr.com/ru/post/313890/)
10. [Извлечение максимальной пользы из Git](https://habr.com/ru/company/first/blog/650193/)

## Разное

- #GitFlow:
    - на английском: [https://www.atlassian.com/ru/git/tutorials/comparing-workflows/gitflow-workflow](https://www.atlassian.com/ru/git/tutorials/comparing-workflows/gitflow-workflow)
    - на русском: [https://habr.com/ru/post/106912](https://habr.com/ru/post/106912/)
    - контраргумент: [https://habr.com/ru/company/flant/blog/491320](https://habr.com/ru/company/flant/blog/491320/)
- 📽️ [GIT: Merge или Rebase? В чем разница?](https://www.youtube.com/watch?v=d5rvy5XPyzk)

---

# Собственные шпаргалки

[[Pull из Gitlab через https при включенной 2ФА]]

[[Сборка из исходников]]

[[Советы в поседневной работе с git]]

[[Шпаргалка по командам]]

[[Поменять начало ветки (переместить ветку на другую)]]

[[Кодировка cp1251 в git]]

[[Смена кодировки git-репозитория с CP-1251 на UTF-8]]
