---
tags: ["git", "iconv"]
---

Разгребаем ситуацию, когда ваши исходники идут в кодировке #cp1251.

Корректируем вывод в консоль имён файлов на русском языке:

```
git config --local core.quotepath false
```

Исправляем ситуацию, когда содержимое файлов у нас идет кодами в `git log`, `git diff`:

```
git config --local core.pager "iconv.exe -f cp1251 -t utf-8 | less"
```

Корректируем отображение комментариев к коммитам:

```
git config --local i18n.commitEncoding utf8
git config --local i18n.logoutputencoding cp1251
```

В итоге у вас должен получиться _примерно_ такой `.git/config` файл:

```
[core]
	repositoryformatversion = 0
	filemode = false
	bare = false
	logallrefupdates = true
	symlinks = false
	ignorecase = true
	pager = iconv.exe -f CP1251 -t UTF-8 | less
[branch "master"]
	remote = origin
	merge = refs/heads/master
[i18n]
	commitEncoding = utf8
	logoutputencoding = cp1251
[user]
	login = user
	email = user@example.com
```

> [!seealso]
> * [Настройка русских шрифтов в Git](http://pr0git.blogspot.com/2015/02/git_4.html)
> * [https://nlinberg.com/gitlab-encoding-windows-1251/](https://nlinberg.com/gitlab-encoding-windows-1251/)
> * [https://gitlab.com/gitlab-org/gitlab-ce/issues/14048](https://gitlab.com/gitlab-org/gitlab-ce/issues/14048)
> * [https://isqua.ru/blog/2017/05/15/cmder-charset/](https://isqua.ru/blog/2017/05/15/cmder-charset/)
