[https://www.tecmint.com/install-kde-plasma-5-in-linux/](https://www.tecmint.com/install-kde-plasma-5-in-linux/)

  

**KDE** is a well-known desktop environment for Unix-like systems designed for users who wants to have a nice desktop environment for their machines, It is one of the most used desktop interfaces out there.

**[ You might also like:** [**10 Best and Most Popular Linux Desktop Environments of All Time**](https://www.tecmint.com/top-best-linux-lightweight-desktop-environments/) **]**

In the past few years, a lot of work has been geared towards improving the KDE desktop, with the latest stable release **KDE Plasma 5** desktop series comes with some amazing features and bringing many improvements to the original task-manager, KRunner, including Wayland support which came around in **Plasma 5** and activities as well, plus a more refined look and feel.

### KDE Plasma 5 Features

There is a lot of new features in KDE Plasma 5, here’s a list of the most important new features.

1. KDE 5 applications were rewritten using Qt 5; the next generation of the famous Qt library to design graphical interfaces, which means that KDE 5 apps will be faster than KDE 4 besides a better usage of GPU from KDE 5 applications.
2. Completely new look for KDE 5 Plasma, with the new **slicker plasma theme**, KDE 5 Plasma is much more beautiful than KDE 4.x with the new flat design, besides the nice look, the "slicker" theme is lighter than the default theme for KDE.
3. The Start menu for KDE 5 Plasma has been redesigned and the notifications area has also been redesigned, with fewer popup windows providing a better user experience to access the notifications.
4. The lock screen window is also redesigned with a better login interface.
5. Smoother performance, KDE 5 Plasma applications are rendered upon the top of the OpenGL scenegraph which means that KDE 5 programs have the priority when being rendered beside other processes.
6. Hardware-acceleration migration is now complete, this means that Plasma 5 rendering will be faster now because of the fully-usage of the GPU.
7. A nice set of new wallpapers will look perfect on the default theme.
8. Many other features that you will explore on your own.

On **27 July 2021**, the makers of KDE released yet another Plasma feature update, **Plasma 5.22.4**. It ships in with several exciting new features and improvements, bringing a classic feel to your desktop. For more details, see the [release notes](https://kde.org/announcements/plasma/5/5.22.0/).

### Installation of KDE Plasma in Linux

To install **KDE Plasma** on **Ubuntu 20.04** and **Linux Mint 20**, you have to use the default repository using the following [apt commands](https://www.tecmint.com/apt-advanced-package-command-examples-in-ubuntu/).

### Install KDE Plasma On Ubuntu 20.04

```
$ sudo apt update
$ sudo apt install kde-plasma-desktop
```

Install KDE Plasma Desktop in Ubuntu 20.04

![[Install-KDE-Plasma-Desktop-in-Ubuntu-1.png]]

Please note during installation, it will ask you to configure the **sddm** login manager, click OK, and select the **‘sddm’** login manager as default.

Choose SDDM Login Manager

![[Choose-SDDM.png]]

Once the installation process is completed, make sure to restart your system and select **Plasma Desktop** and enter the password to login to the **KDE Plasma** desktop environment.

Choose KDE Plasma Desktop in Ubuntu

![[Choose-KDE-Plasma-Desktop-in-Ubuntu.png]]

Running KDE Plasma Desktop in Ubuntu

![[Running-KDE-Plasma-Desktop-in-Ubuntu.png]]

### Install KDE Plasma On Linux Mint 20

The **KDE Plasma** desktop packages are already in the official repository of Linux Mint and you can install them using the following commands.

```
$ sudo apt update
$ sudo apt install kde-plasma-desktop
```

Install KDE Plasma Desktop in Linux Mint

Choose **sddm** login manager.

Choose SDDM in Linux Mint

After installation finishes, choose **Plasma** desktop from login.

Choose Plasma in Linux Mint

Running KDE Plasma in Linux Mint

![[Running-KDE-Plasma-Desktop-in-Linux-Mint.png]]

### Install KDE Plasma on Debian 11/10

```
$ sudo apt install tasksel
$ sudo tasksel install kde-desktop
OR
$ sudo tasksel
```

Install KDE Plasma in Debian10

![[Install-KDE-Plasma-in-Debian.png]]

### Install KDE Plasma On OpenSUSE

For **OpenSUSE**, the latest version of KDE Plasma is available from the default repository for your system and you can install it using the [zypper command](https://www.tecmint.com/zypper-commands-to-manage-suse-linux-package-management/) as root.

```
$ sudo zypper in -t pattern kde kde_plasma
```

### Install KDE Plasma On Fedora 34

For **Fedora** systems, new KDE plasma updates are available from the default repositories, make sure to keep your Fedora installation up-to-date, in order to install the most recent version of KDE Plasma using the following [dnf commands](https://www.tecmint.com/dnf-commands-for-fedora-rpm-package-management/).

```
$ sudo dnf update
$ sudo dnf install @kde-desktop
```

### Install KDE Plasma On RHEL/CentOS and Rocky Linux/AlmaLinux

```
# yum groupinstall "KDE Plasma Workspaces"
```

For **Arch Linux**, packages are available to download from the official extra repository, activate it, and enjoy it.

### KDE Plasma 5.22 Screenshot Tour

KDE Plasma Desktop View

![[KDE-Plasma-Desktop-View.png]]

KDE Plasma System Settings

![[KDE-Plasma-System-Settings.png]]

KDE Plasma Notifications Window

![[KDE-Plasma-Notifications-Window-1.png]]

KDE Plasma System Monitor Window

![[KDE-Plasma-System-Monitor-Window-1.png]]

I hope that everything has worked fine, you can now enjoy **KDE Plasma** on your desktop.

In case of any queries or additional information you want to provide to us, you can use the comment section below to give us feedback. Have you tested KDE Plasma 5 on your Linux system? How did you find it?. Please post your thoughts about the KDE desktop using our comment section below.

If you liked this article, then do [subscribe to email alerts](https://newsletter.tecmint.com/subscription?f=hj6Ohm9gck3Z0PQ2BBBTh892iaCbDV3jJJa3hD8ULUlubOgnbo8aF44vt2HZfdc36g) for Linux tutorials. If you have any questions or doubts? do [ask for help in the comments](https://www.tecmint.com/install-kde-plasma-5-in-linux/#comments) section.
