[https://linuxconfig.org/how-to-install-budgie-desktop-on-ubuntu-20-04-focal-fossa-linux](https://linuxconfig.org/how-to-install-budgie-desktop-on-ubuntu-20-04-focal-fossa-linux)

  

The objective of this tutorial is to install Budgie desktop as an [alternative desktop environment](https://linuxconfig.org/the-8-best-ubuntu-desktop-environments-20-04-focal-fossa-linux) on [Ubuntu 20.04](https://linuxconfig.org/ubuntu-20-04-guide) Focal Fossa Desktop/Server Linux.

**In this tutorial you will learn:**

- How to install `tasksel`
- How to install Budgie desktop
- How to switch to lightdm display manager
- How to login to Budgie desktop

Budgie desktop on Ubuntu 20.04 Focal Fossa Linux

![[09-how-to-install-budgie-desktop-on-ubuntu-20-04-focal-fossa-linux.png]]

## Software Requirements and Conventions Used

Software Requirements and Linux Command Line Conventions

|Category|Requirements, Conventions or Software Version Used|
|---|---|
|System|[Installed Ubuntu 20.04](https://linuxconfig.org/how-to-install-ubuntu-20-04-focal-fossa-desktop) or [upgraded Ubuntu 20.04 Focal Fossa](https://linuxconfig.org/how-to-upgrade-ubuntu-to-20-04-lts-focal-fossa)|
|Software|tasksel|
|Other|Privileged access to your Linux system as root or via the `sudo` command.|
|Conventions|**#** – requires given [linux commands](https://linuxconfig.org/linux-commands) to be executed with root privileges either directly as a root user or by use of `sudo` command  <br>**$** – requires given [linux commands](https://linuxconfig.org/linux-commands) to be executed as a regular non-privileged user|
  

## Install Budgie desktop on Ubuntu 20.04 step by step instructions

1. We will be using the `tasksel` command to install Budgie desktop. In case the `tasksel` command is not available on your system you can install it by: 
    
    ```
    $ sudo apt install tasksel
    ```
    
2. Execute the following command to begin the Budgie desktop installation: 
    
    ```
    $ sudo tasksel install ubuntu-budgie-desktop
    ```
    
    Budgie desktop installation command on Ubuntu 20.04
    
    ![[01-how-to-install-budgie-desktop-on-ubuntu-20-04-focal-fossa-linux.png]]
    
    Wait for tasksel to complete the Budgie desktop installation
    
    ![[02-how-to-install-budgie-desktop-on-ubuntu-20-04-focal-fossa-linux.png]]
    
3. Lightdm configuration information
    
    ![[04-how-to-install-budgie-desktop-on-ubuntu-20-04-focal-fossa-linux.png]]
    
    Use TAB to select lightdm and hit ok button
    
    ![[05-how-to-install-budgie-desktop-on-ubuntu-20-04-focal-fossa-linux.png]]
    
4. Reboot your Ubuntu 20.04 system:
    
    ![[06-how-to-install-budgie-desktop-on-ubuntu-20-04-focal-fossa-linux.png]]
    
5. Select Desktop session as `Budgie`:
    
    Open Desktop session selection menu
    
    ![[07-how-to-install-budgie-desktop-on-ubuntu-20-04-focal-fossa-linux.png]]
    
    Select Budgie Desktop , enter your password and hit login button
    
    ![[08-how-to-install-budgie-desktop-on-ubuntu-20-04-focal-fossa-linux.png]]
