[[Утилита find]]

Compress tar.gz

Decompress tar.gz

Сброс DNS-кеша

Узнать железо

Массовая замена подстроки по регулярке в файлах указанной папки

Массовое переименование файлов по регулярке

Текущая директория

Занятое место на дискаx

Вернуться к пред. папке

Список прав на файл и папки в текущей директории

Размер файлов и папок в текущей директории

Узнать текущую версию Linux

Если нельзя примонтировать NTFS-раздел в режиме RW

Копирование файлов с linux машины на другую linux машину через ssh

---

## Compress tar.gz

```
tar -zvfc archive.tar.gz directory
```

Where,

- `z` Compress archive using gzip program in Linux or Unix
- `c` Create archive on Linux
- `v` Verbose i.e display progress while creating archive
- `f` Archive File name

[https://www.cyberciti.biz/faq/how-do-i-compress-a-whole-linux-or-unix-directory/](https://www.cyberciti.biz/faq/how-do-i-compress-a-whole-linux-or-unix-directory/)

## Decompress tar.gz

```
tar -zvfx archive.tar.gz -C /my/own/path
wget -qO - 'url' | tar -zxf -
```

Where,

- `**x**` – instructs tar to extract the files from the zipped file
- `**v**` – means verbose, or to list out the files it’s extracting
- `**z**` – instructs **tar** to decompress the files – without this, you’d have a folder full of compressed files
- `**f**` – tells **tar** the filename you want it to work on

[https://phoenixnap.com/kb/extract-tar-gz-files-linux-command-line](https://phoenixnap.com/kb/extract-tar-gz-files-linux-command-line)

[https://www.cyberciti.biz/faq/howto-extract-tar-file-to-specific-directory-on-unixlinux/](https://www.cyberciti.biz/faq/howto-extract-tar-file-to-specific-directory-on-unixlinux/)

Записать строку в файл из под sudo

```
echo 'новая строка' | sudo tee --append /etc/apt/sources.list > /dev/null
sudo sh -c "echo 'something' >> /etc/privilegedfile"
```

## Сброс DNS-кеша

Одна из этих команд может помочь:

```shell
sudo service networking restart
sudo service network-manager restart
sudo systemd-resolve --flush-caches
sudo systemctl restart systemd-resolved.service
```

## Узнать железо

```
inxi -CGMSx
```

Гуёвая утилита: HardInfo

- [https://packages.ubuntu.com/ru/trusty/hardinfo](https://packages.ubuntu.com/ru/trusty/hardinfo)
- [http://ubuntovod.ru/soft/hardinfo.html](http://ubuntovod.ru/soft/hardinfo.html)

Вывод примерно такой:

```
System:    Host: manjaro Kernel: 4.7.2-1-MANJARO x86_64 (64 bit gcc: 6.1.1)
           Desktop: Xfce 4.12.3 (Gtk 2.24.30) Distro: Manjaro Linux
Machine:   Mobo: Gigabyte model: Z68P-DS3 v: x.x
           BIOS: Award v: F2 date: 06/03/2011
CPU:       Quad core Intel Core i5-2400 (-MCP-) cache: 6144 KB
           flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx) bmips: 24881
           clock speeds: max: 3400 MHz 1: 1604 MHz 2: 1600 MHz 3: 1753 MHz
           4: 1599 MHz
Graphics:  Card: Intel 2nd Generation Core Processor Family Integrated Graphics Controller
           bus-ID: 00:02.0
           Display Server: X.Org 1.17.4 driver: intel
           Resolution: 1920x1080@60.00hz, 1024x768@60.00hz
           GLX Renderer: Mesa DRI Intel Sandybridge Desktop
           GLX Version: 3.0 Mesa 12.0.1 Direct Rendering: Yes
```

## Массовая замена подстроки по регулярке в файлах указанной папки

```
find /home/user/directory -name \\*.c -exec sed -i "s/cybernetnews/cybernet/g" {} \\;
```

## Массовое переименование файлов по регулярке

```
for filename in *.php; do echo $filename; rename 's/(.*)\\.php$/$1.blade.php/' $filename; done;
```

## Текущая директория

```
pwd
```

## Занятое место на дискаx

```
df -h
```

## Вернуться к пред. папке

```
cd -
```

## Список прав на файл и папки в текущей директории

```
stat -c "%a %n" *
ll
ls -al
```

## Размер файлов и папок в текущей директории

```
du -sh *
du -sh * | sort -h # с сортировкой выводимого списка
```

## Узнать текущую версию Linux

```
lsb_release -a
cat /etc/*-release
cat /etc/issue
hostnamectl
uname -a
```

## Если нельзя примонтировать NTFS-раздел в режиме RW

Причина - наличие файла `hyberfil.sys` в корне виндового раздела.

```
mount -o defaults,rw,remove_hiberfile -t ntfs /dev/sdXY /mnt/ntfs
```

где XY - идентификатор раздела

[Источник](http://win-linux.ru/%D0%BC%D0%BE%D0%BD%D1%82%D0%B8%D1%80%D0%BE%D0%B2%D0%B0%D0%BD%D0%B8%D0%B5-%D1%80%D0%B0%D0%B7%D0%B4%D0%B5%D0%BB%D0%B0-windows-10-%D0%B2-linux/)

## Копирование файлов с linux машины на другую linux машину через ssh

Syntax:

```
scp <source> <destination>
```

To copy a file from B to A while logged into B:

```
scp /path/to/file username@a:/path/to/destination
```

To copy a file from B to A while logged into A:

```Shell
scp your_username@remotehost.edu:foobar.txt /local/dir
```
