[[Разрешить подключаться любому юзеру к mysql удалённо]]

[[Master-slave репликация MySQL 5.7]]

[[Cron - backup БД на Яндекс.Диск по WebDAV]]

[[Изменение пароля для пользователя MySQL]]

[[Как установить MySQL в Ubuntu 18.04 DigitalOcean]]

[[Установка MariaDB в Ubuntu 20.04 DigitalOcean]]

[[Ошибки при установке-настройке]]

---

## Сдампить удалённую БД в сжатом виде в локальный файл .sql.gz

```Shell
ssh user@example.com "mysqldump -u $USER -p$PASSWORD $DBNAME | gzip -9 - " > /path/to/dump.sql.gz
```

Без пробела после `-p`!

## Импортировать БД из сжатого дампа .sql.gz

```Shell
sudo mysql
> CREATE DATABASE mydb;
> \q
zcat /path/to/dump.sql.gz | mysql -u $USER -p mydb
zcat /path/to/dump.sql.gz | sudo mysql mydb
```

## Создать пользователя с удалённым доступом

```SQL
CREATE USER 'user'@'%' IDENTIFIED BY 'password';
GRANT ALL PRIVILEGES ON *.* TO 'user'@'%' IDENTIFIED BY 'password';
FLUSH PRIVILEGES;
```

## Открыть удалённый доступ к mariadb

```Shell
sudo nano /etc/mysql/mariadb.conf.d/50-server.cnf
# port = 6001
# bind-address = 0.0.0.0
sudo systemctl restart mysqld
```

## Полное удаление mariadb

```Shell
# https://bugs.launchpad.net/ubuntu/+source/mariadb-10.3/+bug/1899483
dpkg --purge mariadb-server-10.3 mariadb-server-core-10.3 mariadb-server && \
    dpkg --purge mariadb-client-10.3 mariadb-client-core-10.3 mariadb-common && \
    dpkg --purge --force-depends mysql-common && \
    rm -rf /var/lib/mysql /etc/mysql && \
    apt autoremove && \
    apt --fix-broken install
```