---
tags:
    - "linux"
    - "mysql"
    - "apparmor"
---

## apparmor="DENIED" operation="sendmsg" info="Failed name lookup - disconnected path" error=-13

[https://mariadb.com/kb/en/the-community-mariadb-troubles-only-running-after-reboot-times-out-when-try/](https://mariadb.com/kb/en/the-community-mariadb-troubles-only-running-after-reboot-times-out-when-try/)

[https://stackoverflow.com/a/55102033](https://stackoverflow.com/a/55102033)

```shell
echo "/usr/sbin/mysqld { }" > /etc/apparmor.d/usr.sbin.mysqld
apparmor_parser -v -R /etc/apparmor.d/usr.sbin.mysqld
systemctl restart mariadb
```

Либо:

```shell
sudo ln -s /etc/apparmor.d/usr.sbin.mysqld /etc/apparmor.d/disable/
apparmor_parser -R /etc/apparmor.d/disable/usr.sbin.mysqld
```

Либо:

```shell
sudo systemctl disable apparmor
```

## Can't open and lock privilege tables: Table 'mysql.user' doesn't exist

[https://stackoverflow.com/a/50497470](https://stackoverflow.com/a/50497470)

```shell
mysql_install_db --user=root --datadir=/var/lib/mysql
```
