---
source: https://www.salvis.com/blog/2019/04/08/using-dbms_debug-in-sql-developer/
---

Если при попытке отладки возникает ошибка вроде такой:

```
Executing PL/SQL: ALTER SESSION SET PLSQL_DEBUG=TRUE
Executing PL/SQL: CALL DBMS_DEBUG_JDWP.CONNECT_TCP( '192.168.233.98', '7094' )
ORA-30683: сбой установления соединения с отладчиком
ORA-12570: TNS:сбой программы чтения в пакете
ORA-06512: на  "SYS.DBMS_DEBUG_JDWP", line 68
ORA-06512: на  line 1
Process exited.
```

значит тебе нужно поменять способ отладки

## Версия 20.* и выше

#Oracle #SQL Developer - Tools - Preferences... - Debugger - **Database Debug protocol** установить в **Use DBMS_DEBUG** вместо **Use DBMS_DEBUG_JDWP**

## Версия до 20.*

1) Открой Oracle SQL Developer, зайди в About - Properties. Найди строку `ide.system.dir` - там лежат конфиги IDE. Скопируй этот путь, ты туда сейчас полезешь.

2) Закрой IDE и открой файл `<скопированный_путь>/o.sqldeveloper/ide.properties` или `<скопированный_путь>/o.sqldeveloper<версия_ide>/ide.properties`

3) Добавь новую строчку:

```
DatabaseDebuggerDisableJDWP=true
```

4) Сохраняй файл и запускай IDE, подключайся к БД и [начинай отладку](https://www.oracle.com/webfolder/technetwork/tutorials/obe/db/apex/r51/testing_and_debugging_sqldeveloper/testing_and_debugging_sqldeveloper.html#section5s2) любого объекта.
