---
source: https://www.oracle.com/database/technologies/instant-client/downloads.html
tags:
    - php
    - oci8
    - oracle
---

Качаем zip-версии #OracleInstantClient для вашей операционки:

- Basic Package (ZIP)
- Basic Lite Package (ZIP)
- SQL*Plus Package (ZIP)
- Tools Package (ZIP)
- SDK Package (ZIP)

```JavaScript
wget https://download.oracle.com/otn_software/linux/instantclient/instantclient-basic-linuxx64.zip
wget https://download.oracle.com/otn_software/linux/instantclient/instantclient-basiclite-linuxx64.zip -- only libociicus.so
wget https://download.oracle.com/otn_software/linux/instantclient/instantclient-sqlplus-linuxx64.zip
wget https://download.oracle.com/otn_software/linux/instantclient/instantclient-tools-linuxx64.zip
wget https://download.oracle.com/otn_software/linux/instantclient/instantclient-sdk-linuxx64.zip
```

в папку, например:

```
~/Downloads/
```

2. Распаковываем. Создастся папка instantclient, например:

```
~/Downloads/oci/
```

3. Создаём и перемещаем в папку:

```
sudo mv ~/Downloads/oci/ /opt/
```

4. Создаём важные symlink'и, если нет файлов libclntsh.so и libocci.so:

```
cd /opt/oci/
sudo ln -s libclntsh.so.19.1 libclntsh.so
sudo ln -s libocci.so.19.1 libocci.so
```

5. Экспортируем переменную `LD_LIBRARY_PATH`:

```
export LD_LIBRARY_PATH=/opt/oci
```

6. Прописываем **ldconfig**:

```
sudo sh -c "echo /opt/oci > /etc/ld.so.conf.d/oracle-instantclient.conf"
```

7. Обновляем **ldconfig**:

```
sudo ldconfig
```
