---
tags:
    - linux
    - oracle
---

1. Устанавливаем #wine

2. Идём в папку **диска C** в wine и создаём нужные папки:

```
cd ~/.wine/drive_c/
mkdir -p oracle/bin/
mkdir -p oracle/network/admin/
```

3. Качаем #OracleInstantClient (версия win32, zip) - [https://www.oracle.com/database/technologies/instant-client/downloads.html](https://www.oracle.com/database/technologies/instant-client/downloads.html) в папку `~/Downloads/`

4. Распаковываем скачанный архив:

```shell
cd ~/Downloads/
unzip instantclient-basic-nt-19.5.0.0.0dbru.zip
```

5. Копируем содержимое распакованного архива в папку **~/.wine/drive_c/oracle/bin/**:

```shell
cp -pr ~/Downloads/instantclient_19_5/* ~/.wine/drive_c/oracle/bin/
```

6. Правим Windows-реестр в wine:

```shell
wine regedit
```

либо (на x64-битной системе)

```shell
wine64 regedit
```

7. Добавляем ключ **Oracle** в ветке

```
HKEY_Local_Machine\Software
```

8. В ветке

```
HKEY_LOCAL_MACHINE\System\CurrentControlSet\Control\SessionManager\Environment
```

8.1 Правим значение **PATH** и добавляем в конец:

```
...;c:\oracle;c:\oracle\bin
```

8.2. Добавляем значение **TNS_ADMIN** (String) с содержимым:

```
c:\oracle\network\admin
```

8.3. Добавляем значение **ORACLE_HOME** (String) с содержимым:

```
c:\oracle
```

8.4. Добавляем значение **NLS_LANG** (String) с содержимым:

```
RUSSIAN_RUSSIA.AL32UTF8
```

8.5. Добавляем значение **NLS_DATE_FORMAT** (String) с содержимым:

```
DD.MM.YYYY
```

8.6. Добавляем значение **NLS_CURRENCY** (String) с содержимым:

```
р.
```

8.7. Добавляем значение **NLS_DUAL_CURRENCY** (String) с содержимым:

```
р.
```

8.8. Добавляем значение **NLS_CALENDAR** (String) с содержимым:

```
GREGORIAN
```

8.9. Добавляем значение **NLS_ISO_CURRENCY** (String) с содержимым:

```
RUSSIA
```

9. Создаём файл **tnsnames.ora**:

```shell
vim ~/.wine/drive_c/oracle/network/admin/tnsnames.ora
```

с вашим содержимым, например:

```
XE =
 (DESCRIPTION =
   (ADDRESS = (PROTOCOL = TCP)(HOST = my-pc-name)(PORT = 1521))
   (CONNECT_DATA =
     (SERVER = DEDICATED)
     (SERVICE_NAME = XE)
   )
 )
```

9.1. Либо если вы уже ранее настраивали файл /usr/lib/oracle/19.6/client64/network/admin/tnsadmin.ora, то создаём ссылку:

```shell
ln -s /usr/lib/oracle/19.6/client64/network/admin/tnsadmin.ora $HOME/.wine/drive_c/oracle/network/admin/tnsadmin.ora
```

10. Скачиваем pl\sql developer: [версия 10](https://rutracker.org/forum/viewtopic.php?t=4435631), [версия 14 (пароль к архиву - softoroom)](https://www.upload.ee/files/11514159/PLSQL_Developer_14.0.0.1961_x86-x64_fu11.rar.html)

11. Устанавливаем:

```shell
wine plsqldev1003.exe
```

12. Создаём ярлык запуска из самого Wine
