---
source: https://habr.com/ru/articles/587620/
tags: []
---

Привет, Хабр! Да-да, про #тестирование ПО тут уже куча статей. Здесь я просто буду стараться структурировать как можно более полный охват данных из разных источников (чтобы по теории все основное было сразу в одном месте, и новичкам, например, было легче ориентироваться). При этом, чтобы статья не казалась слишком громоздкой, информация будет представлена без излишней детализации, как _необходимая и достаточная_ _для прохождения собеседования_ (согласно моему опыту), рассчитанное на **стажеров/джунов** (как вариант, эта информация может быть для общего понимания полезна ИТ-рекрутерам, которые проводят первичное собеседование и попутно задают некоторые около-технические вопросы).

---

## Основные термины

**Тестирование ПО** (Software Testing) — _проверка соответствия между реальным и ожидаемым поведением программы_, проводится на наборе тестов, который выбирается некоторым образом. Чем занимаются в тестировании:

1. планированием работ (Test Management)
2. [**проектированием тестов (Test Design)**](#test_design) — этап, на котором создаются [тестовые сценарии](#test_case) (тест кейсы), в соответствии с определёнными ранее критериями. Т.е., определяется, КАК будет тестироваться продукт.
3. [выполнением тестирования (Test Execution)](#test_type)
4. анализом результатов (Test Analysis)

Основные **цели тестирования**

- техническая_: предоставление актуальной информации о состоянии продукта_ на данный момент.
- коммерческая: _повышение лояльности к компании и продукту_, т.к. любой обнаруженный дефект негативно влияет на доверие пользователей.

|   |   |
|---|---|
|**Верификация** (verification)|**Валидация** (validation)|
|Соответствие продукта [_требованиям_](#spec) _(спецификации)_|Соответствие продукта _потребностям пользователей_|

**Дефект** (**баг**) — это _несоответствие фактического результата_ выполнения программы _ожидаемому_ результату.

Следует уметь различать, что:

- **Error** — это ошибка _пользователя_, то есть он пытается использовать программу иным способом (например, вводит буквы в поля, где требуется вводить цифры). В качественной программе предусмотрены такие ситуации и выдаются сообщение об ошибке (error message).
- **Bug** (defect) — это ошибка _программиста (или дизайнера_ или ещё кого, кто принимает участие в разработке), то есть когда в программе, что-то идёт не так, как планировалось. Например, внутри программа построена так, что изначально не соответствует тому, что от неё ожидается.
- **Failure** — это _сбой_ в работе компонента, всей программы или системы (может быть как аппаратным, так и вызванным дефектом).

Жизненный цикл бага

![](https://habrastorage.org/r/w780q1/getpro/habr/upload_files/142/95e/9d9/14295e9d937dc5b96d00f989337df5ea.jpg)

Атрибуты дефекта

- **Серьезность** (Severity) — характеризует влияние дефекта на работоспособность приложения. [Выставляется тестировщиком](#bug_report).

    Градация Серьезности дефекта

    - **Blocker** - ошибка, приводящая приложение в нерабочее состояние, из-за которой дальнейшая работа с системой или ее ключевыми функциями становится невозможна, т.е. тестирование значительной части функциональности становится недоступно
    - **Крит** (Critical) - неправильно работающая ключевая бизнес-логика, дыра в системе безопасности, проблема, приведшая к временному падению сервера или приводящая в нерабочее состояние некоторую часть системы, без возможности решения проблемы, используя другие непрямые пути (workaround).
    - **Значительный** (Major) - часть основной бизнес логики работает некорректно, есть возможность для работы с тестируемой функцией, используя обходные пути (workaround); либо дефект с высоким visibility – обычно не сильно влияющие на функциональность дефекты дизайна, которые, однако, сразу бросаются в глаза.
    - **Minor** - часто ошибки GUI, которые не влияют на функциональность, но портят юзабилити или внешний вид; либо незначительная функциональная ошибка, не нарушающая бизнес-логику тестируемой части приложения.
    - **Тривиальная** (Trivial) - ошибка, не касающаяся бизнес-логики приложения, не оказывающая никакого влияния на общее качество продукта, например, опечатки в тексте, несоответствие шрифта и оттенка и т.д.
- **Приоритет** (Priority) — указывает на очередность выполнения задачи или устранения дефекта. Чем выше приоритет, тем быстрее нужно исправлять дефект. Выставляется менеджером, тимлидом или заказчиком.

## Некоторые техники тест-дизайна

1. **Эквивалентное Разделение (Equivalence Partitioning)** — это техника, при которой функционал (часто _диапазон_ возможных вводимых значений) разделяется на группы эквивалентных по своему влиянию на систему значений. ПРИМЕР: есть диапазон допустимых значений от 1 до 10, выбирается одно _верное_ значение _внутри_ интервала (например, 5) и одно _неверное_ значение _вне_ интервала — 0.
2. **Анализ Граничных Значений (Boundary Value Analysis)** — это техника проверки поведения продукта на _крайних_ (граничных) значениях _входных данных_. Если брать выше ПРИМЕР: в качестве значений для позитивного тестирования берется _минимальная и максимальная границы_ (1 и 10), и _значения больше и меньше границ_ (0 и 11). BVA может применяться к полям, записям, файлам, или к любого рода сущностям имеющим ограничения.
3. **Доменный анализ (Domain Analysis Testing)** — это техника основана на _разбиении_ диапазона возможных значений переменной на _поддиапазоны_, с последующим выбором одного или нескольких значений из каждого домена для тестирования.
4. **Предугадывание ошибки (Error Guessing — EG)**. Это когда тестировщик использует свои знания системы и способность к интерпретации спецификации на предмет того, чтобы «предугадать» при каких входных условиях система может выдать ошибку.
5. **Причина / Следствие (Cause/Effect — CE)**. Подразумевается ввод условий, для получения ответа от системы (следствие).
6. **Сценарий использования (Use Case Testing)** — Use Case описывает сценарий взаимодействия двух и более участников (как правило — пользователя и системы).
7. **Исчерпывающее тестирование (Exhaustive Testing — ET)** — подразумевается проверка всех возможные комбинации входных значений. _На практике не используется_.
8. **Попарное тестирование (Pairwise Testing)** — это техника формирования _наборов_ тестовых данных из _полного_ набора входных данных в системе, которая позволяет существенно _сократить общее количество тест-кейсов_. Используется для тестирования, например, фильтров, сортировок. Этот интересный метод заслуживает отдельного внимания и более подробно рассматривается в [статье по ссылке](https://medium.com/@breadcrumbszone/%D0%BC%D0%B5%D1%82%D0%BE%D0%B4-%D0%BF%D0%BE%D0%BF%D0%B0%D1%80%D0%BD%D0%BE%D0%B3%D0%BE-%D1%82%D0%B5%D1%81%D1%82%D0%B8%D1%80%D0%BE%D0%B2%D0%B0%D0%BD%D0%B8%D1%8F-22ebdb18e88) (в конце которой упоминаются инструменты для автоматизации применения PT).
9. **Тестирование на основе состояний и переходов (State-Transition Testing)** — применяется для фиксирования требований и описания дизайна приложения.
10. **Таблица принятия решений (decision table)** — инструмент для _упорядочения_ бизнес-требований, которые должны быть реализованы в продукте. Применяется для _систем со сложной логикой_. В таблицах решений представлен _набор условий, одновременное выполнение которых приводит к определенному действию_.

![Пример таблицы принятия решений](https://habrastorage.org/r/w1560/getpro/habr/upload_files/773/f0a/27e/773f0a27e03d0400b33ef2aa347553f2.png "Пример таблицы принятия решений")

Пример таблицы принятия решений

## Виды тестирования

![Основные виды тестирования ПО](https://habrastorage.org/r/w1560/getpro/habr/upload_files/948/f34/fd6/948f34fd64da6f76eedf52fb406008c4.png "Основные виды тестирования ПО")

Основные виды тестирования ПО

Классификация **по целям**

- **Функциональное** тестирование (functional testing) рассматривает заранее указанное поведение и основывается на анализе [спецификации](#spec) компонента или системы в целом, т.е. проверяется корректность работы _функциональности_ приложения.

Нефункциональное тестирование (non-functional testing) — тестирование атрибутов компонента или системы, не относящихся к функциональности.

- Тестирование **пользовательского интерфейса** (GUI Testing)  — проверка интерфейса на соответствие требованиям (размер, шрифт, цвет, consistent behavior).
- Тестирование **удобства использования** (Usability Testing) — это метод тестирования, направленный на установление степени удобства использования, обучаемости, понятности и привлекательности для пользователей разрабатываемого продукта в контексте заданных условий. Состоит из: _UX_ — что испытывает пользователь во время использования цифрового продукта, и _UI_ — инструмент, позволяющий осуществлять интеракцию «пользователь — веб-ресурс».
- Тестирование **безопасности** (security testing) — это стратегия тестирования, используемая для проверки безопасности системы, а также для анализа рисков, связанных с обеспечением целостного подхода к защите приложения, атак хакеров, вирусов, несанкционированного доступа к конфиденциальным данным.
- **Инсталляционное** тестирование (installation testing) направленно на проверку успешной _установки_ и _настройки_, а также _обновления_ или _удаления_ приложения.
- **Конфигурационное** тестирование (Configuration Testing) — специальный вид тестирования, направленный на проверку работы программного обеспечения при различных конфигурациях системы (заявленных платформах, поддерживаемых драйверах, при различных конфигурациях компьютеров и т.д.)
- Тестирование **на отказ и восстановление** (Failover and Recovery Testing) проверяет тестируемый продукт с точки зрения способности противостоять и успешно восстанавливаться, т.е. обеспечивать _сохранность и целостность данных_, после возможных сбоев, возникших в связи с ошибками программного обеспечения, отказами оборудования или проблемами связи (например, отказ сети).
- Тестирование **локализации** (localization testing) — проверка адаптации программного обеспечения для определенной аудитории в соответствии с ее культурными особенностями.

Тестирование производительности (performance testing) — определение стабильности и потребления ресурсов в условиях различных сценариев использования и нагрузок.

- **Нагрузочное** тестирование (load testing) — определение или сбор показателей производительности и времени отклика программно-технической системы или устройства в ответ на внешний запрос с целью установления соответствия требованиям, предъявляемым к данной системе (устройству).
- Тестирование **стабильности** или надежности (Stability / Reliability Testing) — это проверка работоспособности приложения при длительном (многочасовом) тестировании со средним уровнем нагрузки.
- **Стрессовое** тестирование (Stress Testing) позволяет проверить насколько приложение и система в целом работоспособны в условиях стресса (например, повышение интенсивности выполнения операций до очень высоких значений или аварийное изменение конфигурации сервера) и также оценить способность системы к регенерации, т.е. к возвращению к нормальному состоянию после прекращения воздействия стресса.
- **Объемное** тестирование (Volume Testing) — тестирование, которое проводится для получения оценки производительности при увеличении объемов данных в базе данных приложения.
- Тестирование **масштабируемости** (scalability testing) — тестирование, которое измеряет производительность сети или системы, когда количество пользовательских запросов увеличивается или уменьшается.

Классификация **по позитивности сценария**

- **Позитивное** — [тест кейс](#test_case) использует _только корректные данные_ и проверяет, что приложение правильно выполнило вызываемую функцию.
- **Негативное** — [тест кейс](#test_case) оперирует как корректными так и _некорректными данными_ (минимум 1 некорректный параметр) и ставит целью проверку исключительных ситуаций; при таком тестировании часто выполняются некорректные операции.

Классификация **по знанию системы**

- Тестирование **белого ящика** (White Box) — метод тестирования ПО, который предполагает полный доступ к коду проекта, т.е. внутренняя структура/устройство/реализация системы известны тестировщику.
- Тестирование **серого ящика** — метод тестирования ПО, который предполагает частичный доступ к коду проекта (комбинация White Box и Black Box методов).
- Тестирование **чёрного ящика** (Black Box) — метод тестирования ПО, также известный как тестирование, основанное на [спецификации](#spec) или тестирование поведения — техника тестирования, которая не предполагает доступа (полного или частичного) к системе, т.е. основывается на работе исключительно с внешним интерфейсом тестируемой системы.

Классификация **по исполнителям тестирования**

- **Альфа-тестирование** — является ранней версией программного продукта, тестирование которой проводится внутри организации-разработчика; может быть вероятно частичное привлечение конечных пользователей.
- **Бета-тестирование** — практически готовое ПО, выпускаемое для ограниченного количества пользователей, разрабатывается в первую очередь для тестирования конечными пользователями и получения отзывов клиентов о продукте для внесения соответствующих изменений.

Классификация **по уровню тестирования**

- **Модульное (компонентное)** тестирование (Unit Testing) проводится самими _разработчиками_, т.к. предполагает полный доступ к коду, для тестирования какого-либо одного логически выделенного и изолированного элемента (модуля) системы в коде, проверяет функциональность и ищет дефекты в частях приложения, которые доступны и могут быть протестированы по-отдельности (модули программ, объекты, классы, функции и т.д.).
- **Интеграционное** тестирование (Integration Testing) направлено на проверку корректности взаимодействия нескольких модулей, объединенных в единое целое, т.е. проверяется взаимодействие между компонентами системы после проведения компонентного тестирования.

Подходы к интеграционному тестированию

- Снизу вверх (Bottom Up Integration) Все низкоуровневые модули, процедуры или функции собираются воедино и затем тестируются. После чего собирается следующий уровень модулей для проведения интеграционного тестирования. Данный подход считается полезным, если все или практически все модули, разрабатываемого уровня, готовы. Также данный подход помогает определить по результатам тестирования уровень готовности приложения.
- Сверху вниз (Top Down Integration) Вначале тестируются все высокоуровневые модули, и постепенно один за другим добавляются низкоуровневые. Все модули более низкого уровня симулируются заглушками с аналогичной функциональностью, затем по мере готовности они заменяются реальными активными компонентами.
- Большой взрыв («Big Bang» Integration) Все или практически все разработанные модули собираются вместе в виде законченной системы или ее основной части, и затем проводится интеграционное тестирование. Такой подход очень хорош для сохранения времени. Однако если тест кейсы и их результаты записаны не верно, то сам процесс интеграции сильно осложнится, что станет преградой для команды тестирования при достижении основной цели интеграционного тестирования.

- **Системное** тестирование (System Testing) — это проверка как функциональных, так и не функциональных требований в системе в целом. При этом выявляются дефекты, такие как неверное использование ресурсов системы, непредусмотренные комбинации данных пользовательского уровня, несовместимость с окружением, непредусмотренные сценарии использования и т.д., и оцениваются характеристики качества системы — ее устойчивость, надежность, безопасность и производительность.

- **Операционное** тестирование (Release Testing). Даже если система удовлетворяет всем требованиям, важно убедиться в том, что она удовлетворяет нуждам пользователя и выполняет свою роль в среде своей эксплуатации. Поэтому так важно провести операционное тестирование как финальный шаг валидации. Кроме этого, тестирование в среде эксплуатации позволяет выявить и нефункциональные проблемы, такие как: конфликт с другими системами, смежными в области бизнеса или в программных и электронных окружениях и др. Очевидно, что нахождение подобных вещей на стадии внедрения — критичная и дорогостоящая проблема.

Классификация **по исполнению кода**

- **Статическое** тестирование — процесс тестирования, который проводится для верификации практически любого артефакта разработки. Например, путем анализа кода (code review). Анализ может производиться как вручную, так и с помощью специальных инструментальных средств. Целью анализа является раннее выявление ошибок и потенциальных проблем в продукте. Также к этому виду относится тестирование _требований_, _спецификаций_ и прочей документации.
- **Динамическое** тестирование проводится на работающей системе, т.е. с осуществлением _запуска программного кода_ приложения.

Классификация **по хронологии выполнения**

- **Повторное/подтверждающее** тестирование (re-testing/confirmation testing) — тестирование, во время которого исполняются тестовые сценарии, выявившие ошибки во время последнего запуска, для подтверждения успешности исправления этих ошибок, т.е. _проверяется исправление багов_.

- **Регрессионное** тестирование (regression testing) — это тестирование после внесения изменений в код приложения (починка дефекта, слияние кода, миграция на другую операционную систему, базу данных, веб сервер или сервер приложения), для подтверждения того факта, что эти изменения не внесли ошибки в областях, которые не подверглись изменениям, т.е. проверяется то, что _исправление багов, а также любые изменения в коде приложения, не повлияли на другие модули ПО и не вызвали новых багов_.
- **Приёмочное** тестирование проверяет соответствие системы потребностям, требованиям и бизнес-процессам пользователя.

## Документация

**Требования** — это спецификация (описание) того, что должно быть реализовано. Требования описывают то, что необходимо реализовать, без детализации технической стороны решения.

Основные атрибуты требований:

- **Полнота** — в требовании должна содержаться вся необходимая для реализации функциональности информация.
- **Непротиворечивость** — требование не должно содержать внутренних противоречий и противоречий другим требованиям и документам.
- **Недвусмысленность** — требование должно содержать однозначные формулировки.
- **Проверяемость** ([тестопригодность](#static_test)) — формулировка требований таким образом, чтобы можно было выставить однозначный вердикт, выполнено все в соответствии с требованиями или нет.
- **Приоритетность** — у каждого требования должен быть приоритет (количественная оценка степени значимости требования).

**Тест план** (Test Plan) — документ, описывающий весь объем работ по тестированию:

- Что нужно тестировать?
- Как будет проводиться тестирование?
- Когда будет проводиться тестирование?
- Критерии начала тестирования.
- Критерии окончания тестирования.

Основные пункты из которых может состоять тест-план перечислены в стандарте _IEEE 829_.

Неотъемлемой частью тест-плана является Traceability matrix — **Матрица соответствия требований** (МСТ) — это таблица, содержащая соответствие функциональных требований (functional requirements) продукта и подготовленных тестовых сценариев (test cases). В заголовках колонок таблицы расположены требования, а в заголовках строк — тестовые сценарии. На пересечении — отметка, означающая, что требование текущей колонки покрыто тестовым сценарием текущей строки. МСТ используется для _покрытия продукта тестами_.

|   |   |   |   |   |
|---|---|---|---|---|
|_Тестовые сценарии_|Функциональное требование 1|Функциональное требование 2|Функциональное требование 3|...|
|test case 1|+|+|||
|test case 2||+|+||
|test case 3|+|+|+||
|...||||+|

**Чек-лист** (check list) — это документ, описывающий что должно быть протестировано. На сколько ��етальным будет чек-лист зависит от требований к отчетности, уровня знания продукта сотрудниками и сложности продукта. Чаще всего, в ЧЛ содержатся только действия, без ожидаемого результата. ЧЛ менее формализован, чем тестовый сценарий.

**Тестовый сценарий** (Test Case) — это документ, в котором содержатся условия, шаги и другие параметры для проверки реализации тестируемой функции или её части.

Атрибуты тест кейса:

- _Предусловия_ (PreConditions) используются, если предварительно систему нужно приводить к состоянию пригодному для проведения проверки; т.е. указываются либо действия, с помощью которых система оказывается в нужном состоянии, либо список условий, выполнение которых говорит о том, что система находится в нужном состоянии для основного теста.
- **Шаги** (Steps) — cписок действий, переводящих систему из одного состояния в другое, для получения результата.
- **Ожидаемый результат** (Expected result), на основании которого можно делать вывод о удовлетворении поставленным требованиям.
- иногда используются _Постусловия_ (PostConditions), как некоторое напоминание для перевода системы в первоначальное состояние, как до проведения теста (initial state)

Из тестовых сценариев, сгруппированных по некоему признаку (например, тестируемой функциональности), получаются некоторые **наборы**. Они могут быть как зависящими от _последовательности выполнения_ (результат выполнения предыдущего является предварительным условием для следующего для **Test script**), так и _независимыми_ (**Test suite**).

**Отчёт о дефекте** (Bug Report) — это документ, описывающий ситуацию или последовательность действий приведшую к некорректной работе функциональности.

|   |   |
|---|---|
|Шапка|Название/тема: **Краткое описание** (Summary) некорректного поведения, составляется по схеме WWW, т.е. ЧТО ГДЕ КОГДА (при каких условиях)|
|**Назначен на** (Assigned To) сотрудника, который будет с ним разбираться|
|[**Статус** (Status) бага в соответствии с workflow](#workflow)|
|**Компонент приложения** (Component): название тестируемой функции или ее части|
|Информация по **сборке**, на которой была найдена ошибка: **Номер версии** (Version), название ветки|
|Информация об **окружении** (Environment): ОС + версия, модель девайса (для мобильных устройств) и т.д.|
|[**Серьезность** (Severity)](#severity)|
|[**Приоритет** (Priority)](#priority)|
|Описание|_Подробное описание_ (Description): указывается по необходимости; как правило, сюда вносятся предусловия (PreConditions) или другая дополнительная полезная информация, например, если для воспроизведения бага нужны специальные знания/данные/инструменты|
|**Шаги воспроизведения** (Steps to Reproduce), по которым воспроизводится ситуация, приведшая к ошибке|
|**Фактический Результат** (Result), полученный после прохождения шагов воспроизведения, часто может быть = теме/краткому описанию (Summary) + расшифровка чего-либо (например, ошибки по коду), если нужно|
|**Ожидаемый результат** (Expected Result): который правильный, т.е. описание того, как именно должна работать система в соответствии с [требованиями](#spec)|
|_Прикрепленные файлы_|**_Вложения_** (Attachment): файлы с логами, скриншот или видео каст либо их комбинация для прояснения причины ошибки|
