---
source: https://habr.com/ru/post/347646/
tags: ["самозванец"]
---

Недавно я участвовал в независимом игровом фестивале [Feral Vector](http://feral-vector.com/), проводимом в Хебден-Бридж, Великобритания. Это потрясающее мероприятие, и если вы никогда там не были, то рекомендую его посетить. В этом году я хотел принять участие, поэтому произнёс краткую речь о синдроме самозванца, в которой рассказал о психологических проблемах и творчестве. Для меня было честью подняться на эту сцену и произнести эту речь перед целым залом.

![[1b6e6c8c89e2b43cdd3470e12bb0df7c.jpg]]

После выступления я получил множество хороших комментариев от замечательных людей. Похоже, что им в основном понравились созданные мной слайды, но самое содержание речи нашло отклик у очень немногих. Я подумал, что будет неплохо записать свою речь и составить качественную статью. Я не пользовался заметками или сценарием, поэтому пытался примерно соответствовать тому, что говорил, и добавил при этом немного дополнительной информации.

![[5dad69b9224ef6257ddbd6251e88ba20.jpg]]

Меня зовут Стюарт Лилфорд. Думаю, что могу называть себя геймдизайнером. Я три года работал в студиях в отделах QA/дизайна, а затем начал создавать игры самостоятельно и выступать с лекциями в колледже в Йоркшире. Моей последней игрой была [The Temple of ADVENTURE](http://gamejolt.com/games/ADVENTURE/256143), созданная для Adventure Jam, а сейчас я работаю над [Splodey Vaders](http://www.scaredsquare.com/games/splodeyvaders/) для Android и iOS.

Но хватит обо мне. Давайте узнаем немного о вас. Я хочу начать эту статью с того, что задам вам вопрос: «Был ли у вас в детстве воображаемый друг?» Подумайте и поднимите руку, если был. Я попросил об этом аудиторию Feral Vector и в воздух поднялось множество рук, то есть у многих людей в детстве были воображаемые друзья.

У меня тоже *был* воображаемый друг, но он появился в моей жизни, когда я стал немного старше (примерно в возрасте 14 лет), и он всё ещё со мной. Однако он был в меньшей степени воображаемым другом, а в большей — воображаемым засранцем. Его зовут Джейсон.

![[c5f72afc3f18992ddf4be56984935e3f.jpg]]

Джейсон засранец, потому что он один из тех людей, которые постоянно вас унижают. Когда я решаю попробовать создать что-то творческое, Джейсон появляется только чтобы спросить меня: зачем вообще утруждаться? Когда я выкладываю что-то онлайн, будь то игра или какая-нибудь графика, Джейсон тут как тут, чтобы сказать, что мне не стоило этого делать и я выгляжу, как идиот. Когда меня хвалят или признают мои заслуги за созданное мною, он точно будет рядом, чтобы сказать, что всё это обман и я не заслуживаю признания. Я не так хорош, как другие, делающие ту же работу. Те, кто меня хвалит, совершают ошибку.

Джейсон появляется постоянно, но нередко бывали случаи, когда он реально отрицательно влиял на моё психическое состояние. Вот некоторые из самых важных примеров того, как Джейсон появлялся в моей жизни:

![[1b1428cbc4b47e86ca06a88139a73fdf.jpg]]

Это я, когда я только собирался впервые работать геймдизайнером. Я должен был работать в независимой студии, создающей игры, издаваемые Sony. Я находился в невероятном восторге. С самого детства, когда я впервые сыграл в Super Mario All Stars, я хотел стать геймдизайнером. Мне было хорошо известно, насколько сложно получить должность дизайнера без опыта, потому что читал об этом множество статей. Я считал, что мне очень повезло с предложением этой должности. Я изучал этот предмет в университете и теперь я получу настоящую работу! Это было моей мечтой и мне не терпелось начать.

Но потом появился Джейсон.

![[95672bb2386c862ed7fbdb2d17d33e7e.jpg]]

_«Что ты такое творишь? У тебя нет опыта в дизайне игр и теперь ты хочешь этим зарабатывать? У тебя был посредственный университет. Им управлял графический дизайнер, который даже не играл в игры. Ты провалишься. Ты ни за что не получишь эту работу»._

Несмотря на нашёптывания Джейсона, я продержался на работе около года, но договор был временным, на три месяца, и студия продлевала его через каждые три месяца. В один из месяцев мне сказали, что договор не будет продлеваться и я больше не работал в игровой отрасли. Я счёл это подтверждением слов Джейсона и сказал себе, что он был прав, хотя очевидно, что это было бизнес-решение. Я посчитал, что эта должность не для меня, я недостаточно хорош, я недостоин индустрии игр.

![[c5e4b2671145be26f50abbdd16c5f34f.jpg]]

_Я и игровая индустрия_

Я решил больше не искать работу в отрасли и на какое-то время прекратил делать игры. Я отвернулся от видеоигр и устроился работать в удивительный мир продаж B2B. Я продавал цветные металлы оптовых торговцев нержавеющей сталью и алюминием предприятиям и компаниям. Продажи не были моей страстью и я ненавидел свою работу. Скоро ко мне вернулось стремление творить и я снова начал делать игры.

Я создал в Adventure Game Studio короткую point-and-click адвенчуру [Time Stone](http://gamejolt.com/games/time-stone/18955). Отчаянно пытаясь уйти из продаж, я использовал эту игру как пример моих навыков, когда я устраивался преподавателем геймдизайна 16-18-летним студентам в местном колледже. Сначала это был только почасовой трудовой договор, но через полгода меня приняли на должность ведущего преподавателя геймдизайна.

![[e117a99e83da86d260e9721609936807.jpg]]

Мне очень нравилась моя должность. Это была постоянная работа с полной занятостью и я получал удовольствие от преподавания геймдизайна студентам. Эта должность давала мне стабильность, которой не хватало при работе в игровой индустрии, к тому же, я работал с любимой темой (в отличие от продаж, которые я ненавидел). Но у меня не было опыта в преподавании, и Джейсон не замедлил явиться снова.

![[4d9460bddb6d94c5c1334a05559441d2.jpg]]

_«Ты получил должность ведущего преподавателя, который несёт ответственность за весь курс? Ты преподавал меньше, чем полгода, а теперь будешь контролировать людей, у которых больше опыта, чем у тебя! Твоё начальство серьёзно ошиблось»._

Когда я получил эту работу, то чувствовал себя мошенником, но я остался на ней и продолжаю работать уже три года. Я люблю свою работу и считаю, что моим вкладом стоит гордиться. Я рад, что получил эту работу, но мне понадобилось много времени, чтобы почувствовать, что я достоин её.

![[d1b639a0adf340a15d435e59ebbbe035.jpg]]

Недавно я рассматривал возможность поучаствовать в Feral Vector. Я уже бывал на этом мероприятии и хотел участвовать не только как зритель. Мне было интересно выступить с докладом или, например, помочь в проведении мастер-класса.

Я отправил организатору мероприятия письмо, предложив несколько идей для докладов и просто стремился активно участвовать. Но как только я отправил письмо, на меня через монитор посмотрел Джейсон и начал шептать через динамики.

![[88f6aafbb2f41354495f9137f3b829da.jpg]]

_«Не могу поверить, что ты отправил письмо. Почему они вообще должны захотеть, чтобы *ты* выступил? Никто даже не знает, кто ты такой. Там будут выступать гораздо более опытные люди, когда ты поднимешься на сцену, все подумают: „Да что это за болван?" и уйдут. Ты не выдержишь напряжения и они скоро поймут, что ты понятия не имеешь, о чём говоришь»._

Я запаниковал и долго не мог заснуть, пока не прочитал статью Дэнни Мура "[Жизнь с синдромом самозванца](http://www.wygamer.com/blog/living-with-imposter-syndrome)". Он сценарист игр; в статье он описывает свои переживания синдрома самозванца. Статья очень сильно тронула меня. Я начал читать всё больше и больше об этой теме, постоянно кивая, соглашаясь и думая: «да это же про меня!»

Так что же такое «синдром самозванца»? В сущности, это чувство, вы — мошенник и не являетесь успешным, компетентным или умным человеком; вы просто им притворяетесь, несмотря на все свидетельства, говорящие об обратном. Вы постоянно беспокоитесь, что вас «раскусят», все поймут, что вы не умный, не талантливый и не упорный. Игровая индустрия состоит из множества умных, талантливых, трудолюбивых, творческих людей, поэтому мы естественно можем предположить, что многие в ней испытывают такие чувства. Несмотря на нехватку исчерпывающей информации о синдроме самозванца, симптомы часто повторяются. Вот одни из самых распространённых:

**Периоды избегания творческой работы**

Если вы чувствуете себя самозванцем, то думаете, что не стоит утруждаться, и это приводит к долгим промежуткам избегания творческой работы. В случае Дэнни один из коллег в отзыве о его сценарии спросил, нет ли у него дислексии. Это лишило его уверенности и он какое-то время не мог заниматься писательством. Что касается меня, то когда мой договор не продлили, я воспринял это как подтверждение моего ощущения самозванца и не творил в течение нескольких месяцев.

**Стремление не выделяться**

Когда возникает возможность: устройство на работу, отправка игры на мероприятие или демонстрация кому-то своих творений, синдром самозванца внушает ощущение того, что результатом труда не стоит делиться, игра недостаточно хороша, и вы недостаточно хороши. Эти чувства естественно приводят к тому, что вы стараетесь не выделяться и не рисковать.

**Стресс и тревожность**

Синдром может вызвать большую тревожность, потому что вы убеждаете себя, что в любой момент вас «вычислят», а в длительной перспективе он может привести к депрессии.

**Заниженная оценка своего опыта**

В самых первых строках этой статьи я сказал: «Думаю, что могу называть себя геймдизайнером». Я использовал слова и фразы «думаю», и «могу называть», что выдаёт во мне самозванца, даже если я им не являюсь. Страдающие синдромом самозванца с трудом принимают то, что любые получаемые ими похвалы искренни, они занижают все свои личные достижения.

**Связывание своего успеха с удачей**

Ещё один симптом — вы связываете большую часть своего успеха с чистой удачей, а не с упорной работой. Я ненавидел бОльшую часть времени проведённого в продажах, но однажды менеджер сказала поразившую меня фразу. Она успешная женщина, со статусной работой и хорошей зарплатой. Её брат часто завидовал ей, её красивому дому и дорогой машине, и говорил при этом «тебе так повезло». Она ответила: «Забавно, но, похоже, чем больше я работаю, тем мне больше везёт». Эту фразу я вспоминал всегда, когда пытался связать любой свой успех с удачей.

**Ощущение нервозности от встреч с очевидно успешными людьми в вашей области деятельности.**

После выпуска Thimbleweed Park я видел, как многие люди постили скриншот из неё. На нём изображён персонаж игры, геймдизайнер, который очень боится поговорить на выставке с очевидно успешным геймдизайнером.

![[7b94d8fa0f18b2ebc3c98468addbabb4.jpg]]

Люди обычно публиковали эту картинку с комментарием о том, насколько это похоже на них. Многие из них, похоже, сами были творцами и сравнивали собственный успех с воспринимаемым чужим успехом. При этом они чувствовали себя обманщиками в отношении своих талантов. Думаю, этого достаточно любому, чтобы решить, что не стоит разговаривать с «более успешным» человеком, ведь так он впустую потратит своё время.

## 5 советов по борьбе с синдромом самозванца

**Что можно с этим сделать**

Существуют разные способы, которыми можно бороться с синдромом самозванца. Я сократил список до лучших пяти.

**1. Будьте добры друг к другу**

![[b31e7ecf51fbfdc3e73cf7abb877e2d2.jpg]]

Синдром самозванца возникает, когда ваш невидимый засранец говорит вам, что ваша работа плоха, поэтому один из способов борьбы заключается в том, чтобы множество людей сказало вам что ваша работа *хороша*. Если нам нравится чья-то работа, то у нас должно войти в привычку говорить об этом. Я понимаю, что иногда в общении неудобно говорить кому-то, что вам нравится их работа, но даже что-то простое типа лайков, ретвитов или положительных комментариев под анимированной GIF-кой игрового процесса позволяет меньше слышать голоса разных джейсонов.

**2. Признайте свои достижения (может быть, даже ведите список)**

![[28935584425f6609839853a93f156df0.jpg]]

Свяжите свой успех с собственным упорным трудом, и вместо отрицательных аспектов проекта смотрите на положительные.

Возьмём недавний пример из моей жизни — игру The Temple of Adventure, которую я сделал для Adventure Jam 2017. Это игра, которую я сделал за две недели с помощью моих друзей-художников, чтобы научиться работе с Unreal Engine 4. Игра полна багов, несовершенна и не завершена. Она не попала в лучшие 12 номинированных игр, и в некоторых комментариях люди утверждали, что она похожа на другую, уже существующую игру.

Но если посмотреть на положительные стороны и сосредоточиться на достижениях игры — PC Gamer объявил её одной из лучших бесплатных игр недели, я попал в список 25 лучших игр джема (под номером 24, но я всё равно в списке!), её обозревали несколько летсплееров, а у двух из них было более десяти тысяч просмотров, в финальном голосовании джема она заняла 19-е место (из 122 игр), но стала седьмой по рейтингу на gamejolt среди игр с тегом AdvJam2017 и получила третье место в категории «Диалоги». Если учесть, что я работал над игрой всего две недели, в свободное от работы и других обязанностей время, плюс использовал движок, с которым у меня почти не было опыта работы, то всё не так плохо. Наоборот, даже довольно хорошо.

Вам нужно оценивать свои достижения таким образом, возможно, даже вести список. Всё упомянутое мной можно было бы записать в мой личный «список достижений», на который я мог бы ссылаться. Каждый раз, когда вы чувствуете себя обманщиком, вы можете обратиться к этому списку, и он поможет вам продолжить работу, над тем, что вы любите, и делиться этим с остальными.

**3. Пользуйтесь возможностями**

![[f655535bf7751ed3a4b38013611d0e68.jpg]]

Синдром самозванца может заставить вас думать, что когда вам предоставляется возможность, то не стоить тратить на неё усилий. Я не настолько опытен, чтобы попробовать устроиться на эту работу, мой проект недостаточно хорош, чтобы участвовать в конкурсе/выставке, и т.д. У всех бывает неуверенность в своих силах, но если вы позволите этой неуверенности расти и взять контроль над выбором решений, то от этого проиграют все. Если вы не попробуете устроиться на эту работу, вы потенциально потеряете отличную работу, а наниматель потенциально потеряет отличного трудолюбивого и творческого сотрудника. Худшее, что может случиться — то, что не случится. Если вы не воспользуетесь появляющимися возможностями, то вы, возможно, украдёте у мира отличную игру или отличного члена команды.

**4. Прекратите сравнивать себя с другими**

![[6e3082011fa6a3510e3ce2d90e81baf0.jpg]]

Когда вы находитесь в одной комнате с 20-летним ветераном отрасли, который увенчан наградами и да и просто является замечательным человеком, то вы скорее всего почувствуете себя на его фоне обманщиком, но это не значит, что вы ни на что не способны. Именно здесь вам пригодится упомянутый выше список: если вы его составили, то у вас уже есть настоящее доказательство того, что вы представляете собой что-то ценное.

Если вы будете сравнивать себя с лидерами и ветеранами в вашей области деятельности, то почувствуете, что недостаточно хороши, но это несравнимые величины. Скорее всего, вы будете сравнивать своё внутреннее Я с внешним Я других. Вы сравниваете свою неуверенность, свои сомнения, своё ощущение самозванца с успехом, уверенностью и опытом другого человека. В конце концов, вы же не знаете, как этот человек чувствует себя внутри. Успех может усиливать синдром самозванца, и люди вокруг могут казаться себе ещё большими мошенниками, чем вы. Сравнивайте только то, что сравнимо, и перестаньте сопоставлять свои внутренние ощущения с внешними проявлениями других людей.

**5. Говорите по своих проблемах**

![[ec7593b93d261ffa56d75bdfe764fd0e.jpg]]

Я очень благодарен Дэнни за то, что он написал статью о синдроме самозванца. Она очень помогла мне в тот момент, когда меня переполняла неуверенность в себе. На этом моменте выступления я спросил у людей в зале, кто из них испытывал чувства, похожие на описанные мной симптомы синдрома самозванца, и руки подняло большинство слушателей. В некоторых исследованиях говорится, что такие чувства бывают у 70% людей. Именно поэтому я хотел рассказать об этом, поэтому я хотел написать эту статью. Нам нужно больше делиться своими чувствами, чтобы люди с такими мыслями могли осознать их и подвергнуть изучению. На самом ли деле вы обманщик, или много трудились для того, чтобы достичь всего, что имеете? Найдите людей, которым вы можете сказать «Я чувствую себя обманщиком». На самом ли деле они согласятся с вами?

![[48dd436ba4c0a403c4075915cde13419.jpg]]

Мне помогла в этом статья Дэнни, она заставила меня подумать и подвергнуть сомнению всё, что мне нашёптывал Джейсон. Я посмотрел на Джейсона и сказал: «Погоди-ка». Я увидел его в другом свете и решил, что с меня достаточно. Я снял шляпу и очки Джейсона, снял его плащ, и под ними обнаружил мерзость…

![[c3d4922733498150b8af0e8d78b91282.jpg]]

Джейсон был просто отвратительным монстром-слизнем, выдававшим себя за мои собственные мысли. Всё это время он маскировался.

Итак, когда у вас возникают мысли, что вы чего-то недостойны, или все ваши успехи — просто удача, задайтесь вопросом, правда ли это, или вы испытываете синдром самозванца. Помните, кто такие настоящие самозванцы — это Джейсон и все похожие на него воображаемые засранцы.

Благодарю за прочтение статьи!

_Приношу извинения всем, кого зовут Джейсон._

## Дополнительное чтение

[http://www.wygamer.com/blog/living-with-imposter-syndrome](http://www.wygamer.com/blog/living-with-imposter-syndrome)

[https://thehustle.co/why-70-percent-of-millennials-have-impostor-syndrome](https://thehustle.co/why-70-percent-of-millennials-have-impostor-syndrome)

[http://impostersyndrome.com.au/](http://impostersyndrome.com.au/)

[https://www.bustle.com/articles/119129-12-signs-you-might-be-suffering-from-imposter-syndrome-fellow-perfectionists-im-looking-at-you](https://www.bustle.com/articles/119129-12-signs-you-might-be-suffering-from-imposter-syndrome-fellow-perfectionists-im-looking-at-you)

[https://startupbros.com/21-ways-overcome-impostor-syndrome/](https://startupbros.com/21-ways-overcome-impostor-syndrome/)
