---
source: https://habr.com/ru/post/459751/
tags: ["самозванец"]
---

## 1. Вступление

> Несправедливость неисчислима: исправляя одну, рискуешь совершить другую.
>
> Ромен Роллан

Работая программистом с начала 90-ых, мне не однократно приходилось сталкиваться с проблемами недооцененности. Вот например, я такой молодой, умный, со всех сторон положительный, почему-то не двигаюсь по служебной лестнице. Ну не то чтобы совсем не двигаюсь, но двигаюсь как-то не так, как я того заслуживаю. Или мою работу оценивают недостаточно восторженно, не замечая всей красоты решений и того гигантского вклада, который Я, именно Я, вношу в общее дело. По сравнению с другими, я явно недополучаю плюшек и привилегий. То есть по лестнице профессиональных знаний я вскарабкиваюсь быстро и эффективно, а вот по служебной — мой рост упорно занижают и зажимают. Неужели они все слепы и равнодушны, или это заговор?

Пока Вы читаете и никто не слышит, сознайтесь честно, Вы же сталкивались с подобными проблемами!

Дожив до возраста «Аргентина – Ямайка», пройдя путь от разработчика к системному аналитику, менеджеру проектов и до директора и совладельца ИТ фирмы, я частенько наблюдал подобную картину, но уже с оборотной стороны. Многие сценарии поведения недооцененного сотрудника и недооценившего его менеджера прояснились и стали очевидны. Многие вопросы, осложнявшие мне жизнь и мешавшие самореализовываться долгое время, наконец-то получили ответы.

Эта статья может быть полезной как самим недооцененным сотрудникам, так и их менеджерам. Об авторских тренингах на тему: «Социальная инженерия» подробнее можно узнать на [моем YouTube канале](https://www.youtube.com/watch?v=CFAM0OoHsw0&list=PLoi3EglG5oUpHWPMknnuqrav_mIM4nVnQ)

## 2. Анализ причин недооцененности

> Наши жизни определяются возможностями. Даже теми, которые мы упускаем…
>
> (Загадочная история Бенджамина Баттона).

Как системный аналитик, я попробую проанализировать данную проблему, систематизировать причины ее возникновения и предложить способы решения.

К размышлениям на эту тему меня подтолкнуло прочтение книги Д. Канемана «Думай медленно… Решай быстро» [1]. Почему же в заголовке статьи упомянут именно Психоанализ? Да потому, что это ответвление психологии часто называют не научным, при том постоянно поминая его, как ни к чему не обязывающую философию. А следовательно спрос с меня за шарлатанство будет минимальный. Итак «Психоанализ – теория помогающая отображать то, как бессознательная конфронтация воздействует на самооценивание индивида и эмоциональную сторону личности, на ее взаимодействия с остальным окружением и прочими социальными институтами» [2]. А посему, попробуем провести анализ мотивов и факторов, которые влияют на поведение специалиста, и «highly likely» навязаны его прошлым жизненным опытом.

Чтобы не обманываться иллюзиями, давайте уточним ключевой момент. В наш век скоростей принятия решений, оценка сотрудника и соискателя часто дается на раз-два, исходя из его презентабельности. Того образа, который складывается на основании, производимого впечатления, а также посылов, которые человек непроизвольно (или преднамеренно), транслирует «оценщику». Ведь это то немногое, индивидуальное, что остается после шаблонных резюме, лекальных опросников и стереотипных методов оценки ответов.

Как положено, начнем свой обзор с проблем. Определим факторы, кои могут негативно влиять на упомянутый выше перфоменс. Пойдем от проблем, щекочущих нервы начинающим специалистам, к проблемищам вытягивающих жилы матерым профессионалам.

Репрезентативная выборка от меня включает:

### 1. Неспособность качественно формулировать свои мысли

> Умение выразить свои мысли не менее важно, чем сами эти мысли,
>
> ибо у большинства людей есть слух, который надлежит усладить,
>
> и только у немногих — разум, способный судить о сказанном.
>
> Филип Д. С. Честерфилд

Как-то на собеседовании, молодой человек, очень высоко оценивавший свой потенциал, тем не менее не способный ответить толком ни на один стандартный вопрос и производивший весьма блеклое впечатление в тематической дискуссии, очень возмутился получив отказ. Исходя из моего опыта и интуиции, я решил, что он неважнецки ориентировался в предмете. Мне стало интересно узнать его впечатления в сложившейся ситуации. Выяснилось, что он ощущал себя человеком, который прекрасно подкован в данном материале, ему все ясно и понятно, но в то же время, он просто не может выразить свои мысли, сформулировать ответы, донести свою точку зрения и т.п. Я вполне могу допустить и такой вариант. Возможно интуиция меня подвела, и он действительно очень талантлив. Но: во-первых, как я могу получить подтверждение тому? А самое главное, как он будет общаться с коллегами, выполняя свои профессиональные обязанности, если он не может элементарно объясниться с людьми?

Эдакая интеллектуальная система, полностью лишенная интерфейса для передачи сигналов во внешний мир. Кому она интересна?

Как говорят специалисты, данное поведение может быть вызвано таким невинным диагнозом, как Социофобия. «Социофобия (социальная фобия) –это иррациональный страх попасть в различные ситуации, связанные с социальным взаимодействием, или находиться в них. Речь идет о ситуациях, которые в той или иной мере связаны с контактами с другими людьми: о публичных выступлениях, выполнении своих профессиональных обязанностей, даже о простом нахождении в обществе людей». [3]

Для удобства дальнейшего анализа, навешаем ярлыки на разбираемые нами психотипы. Первый рассмотренный тип назовем– «#Неформал», подчеркивая еще раз, что мы не можем точно идентифицировать его аки — «#Незнайку», как впрочем и опровергнуть это.
Видео ролик на эту тему можно просмотреть по
[«ссылке»](https://youtu.be/Q7Apni-o79M/).

### 2. Необъективность в оценивании уровня своего профессионализма

> Все зависит от окружения.
>
> Солнце на небе не столь высокого мнения о себе, как свечка, зажженная в погребе.
>
> Мария фон Эбнер-Эшенбах

Абсолютно объективно можно сказать, что любая оценка профессиональных возможностей специалиста является субъективной. Но всегда есть возможность установить некие уровни квалификации сотрудника по разным ключевым показателям, влияющим на эффективность работы. Например, навыкам, способностям, жизненным принципам, физическому и психическому состоянию и т.п.

Основной проблемой самооценки специалиста, чаще всего становится непонимание (очень сильное занижение) объема требуемых для оценки знаний, уровня навыков и способностей.

В начале нулевых на меня произвело неизгладимое впечатление собеседование одного молодого человека на должность программиста Delphi, во время которого соискатель заявил, что он пока еще просто хорошо владеет языком и средой разработки, поскольку изучает их уже больше месяца, но объективности ради, ему все же нужно еще недельки две — три, чтобы досконально постичь все премудрости инструмента. Это не шутка, так все и было.

Наверное, у каждого была своя первая программа, выводившая на экран какой-нибудь «Хелоу». Чаще всего это событие воспринимается пропуском в мир программистов, поднимающая самооценку до небес. А там, как гром, появляется первое реальное задание, возвращающее обратно на бренную землю.

Эта проблема нескончаема, как вечность. Чаще всего она, просто трансформируется с жизненным опытом, каждый раз переходя на более высокую ступень непонимания. Первая сдача проекта заказчику, первая распределенная система, первая интеграция, а еще высокая архитектура, стратегический менеджмент и т.п.

Эту проблему можно измерить такой метрикой, как – «Уровень притязаний». Уровень, которого человек стремится достичь в различных сферах жизнедеятельности (карьера, статус, благосостояние и т. п.).

Упрощенно показатель можно рассчитать так: **Уровень притязаний = Величина успеха — Величина провала**. Причем этот коэффициент может быть даже пустым — _null_.

С точки зрения когнитивных искажений [4] тут на лицо:

- «Эффект сверхуверенности» — тенденция переоценивать свои собственные способности.
- «Селективное восприятие» — принятие во внимание только тех фактов, которые согласуются с ожиданиями.

Этот типаж назовем – «#Мюнхгаузен». Как бы персонаж в общем и целом положительный, но немножечко, самую малость преувеличивает.

### 3. Нежелание вкладываться в свое развитие на перспективу

> Не ищите иголку в стоге сена. Просто купите весь стог сена целиком!
>
> Джон (Джек) Богл

Еще один характерный случай, ведущий к эффекту неоцененности — нежелание специалиста самостоятельно вникать в нечто новое, изучить сколько-нибудь перспективное, рассуждая примерно так: «А зачем тратить лишнее время? Упадет мне задача, требующая новую компетенцию, я ею и овладею».

Но зачастую, задача, требующая новую компетенцию, упадет тому, кто работает на упреждение. Тому, кто в нее уже попытался погрузиться и на обсуждении новой проблемы, сможет максимально ясно и полно описать варианты ее решения.

Данную ситуацию можно проиллюстрировать такой аллегорией. Вы пришли ко врачу делать хирургическую операцию, а он Вам и кажет: «Я хирургией в общем то никогда не занимался, но я же профессионал, сейчас быстренько пробегусь по «Атласу анатомии человека» и все Вам вырежу в лучшем виде. Будьте покойны».

Для этого случая просматриваются следующие Когнитивные искажения [4]:

- «Отклонение в сторону результата» — тенденция судить о решениях по их окончательным результатам, вместо того чтобы оценивать качество решений по обстоятельствам того момента времени, когда они были приняты («победителей не судят»).
- «Отклонение в сторону статуса кво» — тенденция людей желать, чтобы вещи оставались приблизительно теми же самыми.

Для этого типажа воспользуемся относительно свежим ярлыком – «#Ждун». Видео ролик на эту тему можно просмотреть по [«ссылке»](https://youtu.be/dyiottLpy-g/).

### 4. Неосознание своих слабых сторон и не проявление сильных

> Несправедливость не всегда связана с каким-нибудь действием;
>
> часто она состоит именно в бездействии.
>
> (Марк Аврелий)

Еще одна важная на мой взгляд, проблема как для самооценки, так и оценки уровня специалиста – это попытка сложить мнение о профессиональных возможностях, как о едином и неделимом целом. Хороший, средний, плохой и т.д. Но ведь случается и так, что вроде очень средненький разработчик, начинает выполнять какую-то новую для себя функцию, например, контролировать и мотивировать команду, и производительность коллектива идет в гору. А бывает и наоборот — прекрасный разработчик, умница, состоящий на очень хорошем счету, не может элементарно организовать своих коллег на самый обыкновенный подвиг при аврале. И проект летит под откос, увлекая следом за собой его веру в себя. Морально психологическое состояние плющится и размазывается, со всеми вытекающими отсюда последствиями.

При этом при всем, менеджмент, в силу своей ограниченности, возможно связанной с занятостью, недостатком проницательности или неверием в чудо, склонен углядеть в своих сотрудниках только лишь видимую часть айсберга, а именно – производимый ими результат. А в результате отсутствия результата, вслед за падением самооценки, летят в тартары оценки руководства, возникает дискомфорт в коллективе и «как прежде, у них уже ничего не будет…».

Сам набор параметров, для оценки специалиста по разным направлениям, скорее всего более ни менее универсален. А вот вес каждого конкретного показателя для различных специализаций и функций, в значительной степени различествует. И от того насколько ярко Вы проявляете и демонстрируете свои сильные стороны в деле, зависит то, насколько позитивно может быть отмечен со стороны — ваш вклад в деятельность команды. Ведь Вас оценивают не за сильные стороны как таковые, а по тому, как Вы их эффективно применяете. Если Вы их никак не проявляете, то как о них узнают коллеги? Далеко не каждая организация имеет возможность копаться в глубинах вашего внутреннего мира и обнажать ваши таланты.

Тут проступают такие когнитивные искажения [4], как:

- «Эффект повального увлечения, конформизм» — боязнь выделяться из толпы, тенденция делать (или верить в) вещи, потому что много других людей делают это (или верят в это). Относится к групповому мышлению, стадному поведению и маниям.
- «Регулирование» — ловушка непрерывных приказов себе делать что-то, вместо того, чтобы иногда действовать импульсивно, спонтанно, когда это более приемлемо.

На мой взгляд этому типажу, как нельзя лучше, подойдет ярлык – «#Рядовой».

### 5. Подгонка своих обязательств, под свою альтернативную оценку вклада

> Несправедливость перенести сравнительно легко;
>
> что нас ранит по-настоящему — это справедливость.
>
> Генри Луис Менкен

Встречались в моей практике и такие случаи, когда, попытки сотрудника самостоятельно определить свою ценность в коллективе, или на местном рынке труда, приводили к выводу, что ему сильно не доплачивают по сравнению с другими коллегами. Вот же они рядом, точно такие же, делают точно такую же работу, а у них и зарплата повыше и уважения к ним побольше. Возникает будоражащее чувство несправедливости. Зачастую, такие заключения связаны с перечисленными выше ошибками самооценки, при которых восприятие своего места в мировой ИТ отрасли, получается объективно искаженным и не в сторону занижения.

Следующим шагом, такой сотрудник, чтобы хоть как-то восстановить справедливость на Земле, старается выполнять чуть поменьше работы. Ну примерно, на столько, на сколько не доплачивают. Он демонстративно отказывается от переработок, вступает в конфликты с другими членами команды, которые так незаслуженно возвеличены и, по всей вероятности, из-за этого ведут себя высокопарно и напыщенно.

Как бы не позиционировал ситуацию «обиженный»: восстановление справедливости, воздание по заслугам и т.п., со стороны – это воспринимается исключительно, как конфронтация и демарш.

Вполне логично что, следом за снижением его производительности и эффективности, может снизится и его заработная плата. А самое печальное в такой ситуации то, что горе-сотрудник, связывает ухудшение своего положения не со своими действиями (а вернее бездействиями и противодействиями), а с дальнейшей дискриминацией собственной персоны твердолобым руководством. Комплекс обиды растет и углубляется.

Если человек не глуп, то при втором, третьем повторении подобной ситуации в разных командах, он начинает искоса бросать взгляд на себя любимого, и у него появляются смутные сомненья в своей исключительности. В противном случае такие люди становятся вечно кочующими странниками по фирмам и командам, клянущими всех вокруг.

Характерные когнитивные искажения [4] для этого случая:

- «Эффект ожидания наблюдателя» — бессознательное манипулирование ходом опыта для обнаружения ожидаемого результата (так же эффект Розенталя);
- «Ошибочность в духе меткого стрелка из Техаса» — выбор или подстройка гипотезы под результаты измерений;
- «Предвзятость подтверждения» — тенденция искать или интерпретировать информацию таким образом, чтобы подтвердить имевшиеся заранее концепции;

Отдельно выделим:

- «Сопротивление» — потребность человека делать нечто противоположное тому, что некто побуждает его делать, из-за потребности противостоять кажущимся попыткам ограничить свободу выбора.
- «Противление» — проявление ментальной инерции, неверие в угрозу, продолжение прежнего курса действий в условиях настоятельной необходимости переключиться: когда откладывание перехода чревато ухудшением состояния; когда проволочка может привести к потере возможности улучшить ситуацию; при столкновении с экстренными ситуациями, неожиданными возможностями и внезапными помехами.

Назовем такой тип – «#Скиталец».

### 6. Формальный подход к делу

> Несправедливость перенести сравнительно легко;
>
> что нас ранит по-настоящему — это справедливость.
>
> Генри Луис Менкен

Нередко в коллективе можно столкнуться с индивидом, который очень требователен ко всем вокруг, кроме себя. Он может быть крайне раздражен, например, непунктуальными людьми, о которых бесконечно брюзжит, опоздав сам на работу на 20-30 мин. Или отвратительным сервисом, который ежедневно погружает его в море безразличия и бездушия бестолковых исполнителей, даже не пытающихся угадать его желания и предусмотреть евонные потребности. Когда же Вы совместно начинаете копаться в причинах фрустрации, то приходите к мнению, что чаще всего, это связано с формальным подходом к проблемам, с отказом брать на себя ответственность и нежеланием заниматься якобы не своим делом.

Но если Вы на этом не останавливаетесь и идете дальше, прокручивая уже его (сотрудника) рабочий день, то, о боже, в его поведении обнаруживаются все те же признаки, что только что так бесили в других. Сначала в глазах возникает тревожность, холодком пробегают кое какие аналогии и молнией бьет догадка, что он такой же точно формалист. При этом, почему-то все те, ему должны всё, а вот у него просто принципы: от сих до сих — это моя работа, а уж дальше извините не моя ответственность и ничего личного.

Для зарисовки типичного портрета подобного поведения, можно привести следующий сюжет. Сотрудник, прочитав в трекере текст задачи и усмотрев в нем, что проблема освящена как-то не достаточно развернуто и информативно и не позволяет ему, не напрягаясь решить ее сходу — просто пишет в комментарии: «Недостаточно информации для решения». После чего со спокойной душой и чувством выполненного долга, погружается в новостную ленту.

В динамичных и малобюджетных проектах случается так, что при отсутствии полномасштабных бюрократических описаний, эффективность работы не теряется, за счет постоянного плотного внутрикомандного общения. А самое главное, за счет небезразличия, неравнодушия, небезучастия и прочих «не». Командный игрок, не делит ответственность на свою и чужую, а всячески пытается вытолкать застрявшую проблему — на поверхность. Именно такие люди наиболее ценны и соответственно, чаще всего имеют более высокий ценник.

С точки зрения когнитивных искажений [4] в данном случае проявляется:

- «Эффект фрейминга» — наличие зависимости выбора варианта решения от формы представления исходной информации. Так, изменение вида формулировки вопроса, с семантически идентичным содержанием, может вызывать изменение процента положительных (отрицательных) ответов с 20 % до 80 % и боле.
- «Слепое пятно в отношении искажений» — более лёгкое обнаружение недостатков у других людей, нежели у себя (в чужом глазу соринку видит, в своём бревна не замечает).
- «Эффект морального доверия» — человек считающий, что у него нет предубеждений, имеет большие шансы проявить предубеждения. Воспринимает себя безгрешным, у него возникает иллюзия, что любое его действие также будет безгрешным.

Для этого типа навесим ярлык – «#Чиновник». Ой, и так сойдет.

### 7. Нерешительность в принятии решений

> Боязливая и мечтательная нерешительность ползёт за ленью и влечёт за собой бессилие и нищету…
>
> Уильям Шекспир

Иногда неплохой специалист числится в коллективе, как аутсайдер. Если смотреть на результаты его работы на фоне других сотрудников, то его достижения выглядят выше среднего. Но, его мнения не услышать. Вспомнить, когда он в последний раз настоял на своей точке зрения невозможно. Скорее всего его точка зрения ушла в копилку какому-нибудь горлопану.

Поскольку он не инициативен, то и работы ему достаются тоже второсортные, на которых проявить себя тяжело. Получается какой-то замкнутый круг.

Его постоянные сомнения и страхи мешают ему адекватно оценивать собственные действия и презентовать их соразмерно вкладу.

Помимо просто фобий, с точки зрения когнитивных искажений [4] в данном типе можно усмотреть:

- «Реверсия» — систематический возврат к мыслям о гипотетических действиях в прошлом по предотвращению потерь, являющихся результатом произошедших необратимых событий, исправлению неисправимого, изменению необратимого прошлого. Формами реверсии являются вина и стыд
- «Затягивание (прокрастинация)» — систематическое неоправданное откладывание, оттягивание начала неизбежной работы.
- «Недооценка бездействия» — предпочтение большего вреда из-за бездействия, чем вреда из-за действия, вследствие непризнания вины в бездействии.
- «Подчинение авторитету» — склонность людей подчиняться авторитету, игнорируя свои собственные суждения о целесообразности действия.

Эти безобидные люди чаще всего импонируют и не вызывают раздражения. Поэтому для них введем ласковый ярлык – «#Авоська» (от слова Авось). Да они к тому же такие же не представительские, но крайне надежные.

### 8. Переоценка(преувеличение) роли предыдущего опыта

> Опыт увеличивает нашу мудрость, но не уменьшает нашей глупости.
>
> Г. Шоу

Иногда положительный опыт, может сыграть и злую шутку. Такой феномен проявляется, например, в тот момент, когда удачное использование «легкой» методологии пытаются отзеркалить в более масштабном проекте.

Специалист, как бы уже прошел несколько раз путь производства чего либо. Путь тернистый, потребовавший в первый раз максимального напряжения, проведения анализа, консультаций и выработки определенных решений. Каждый последующий подобный проект проходил все проще и эффективнее, скользя по накатанной колее. Возникает успокоенность. Тело расслабляется, веки тяжелеют, по рукам бежит приятное тепло, сладкая дремота обволакивает, покой и умиротворение наполняют вас…

И вот новый проект. И о-го-го, он более масштабный и сложный. Хочется скорее в бой. Ну какой же смысл опять терять время на его детальную проработку, если все и так хорошо катится по проторенной борозде.

К сожалению в такой ситуации у большинства специалистов, порой весьма толковых и усидчивых, даже мысли не возникает, что их прошлый опыт в новых условиях вообще не работает. Вернее может сработать на отдельных частях проекта, но тоже с нюансами.

Это озарение обычно приходит в тот момент, когда все сроки прошляпили, требуемого продукта в помине нет, а клиент, мягко говоря, начинает волноваться. В свою очередь это волнение изрядно укачивает менеджмент проекта, заставляя изобретать всякие отмазки и выносить мозг исполнителям. Картина маслом.

Но самое обидное, что при последующем повторении подобной ситуации, воспроизводится та же самая картина и все тем же самым маслом. То есть с одной стороны положительный опыт остался эталоном, а с другой — отрицательный, лишь чудовищным стечением обстоятельств, о котором надо поскорее забыть, как о страшном сне.

Данная ситуация является проявлением следующих когнитивных искажений [4]:

- «Генерализация частных случаев» — безосновательный перенос характеристик частных или даже единичных случаев на обширные их совокупности.
- «Эффект фокусировки» — ошибка в предсказаниях, возникающая, когда люди уделяют слишком много внимания какому-то одному аспекту явления; вызывает ошибки в правильном предсказании полезности будущего исхода.
- «Иллюзия контроля» — тенденция людей верить, что они могут контролировать или, по крайней мере, влиять на результаты событий, на которые они на самом деле влиять не могу.

Ярлык – «Знаем-Плавали», по моему подойдет.

Обычно «Знаем-Плавали» становятся бывшие «Мюнхгаузены». Ну и тут уже сама напрашивается фраза: «Мюнхгаузены бывшими не бывают».

### 9. Неготовность состоявшегося профессионала начать все сначала

> Всем нам не мешало бы начать всё сначала — предпочтительно с детского сада.
>
> Курт Воннегут (Колыбель для кошки)

А еще интересно наблюдать за уже состоявшимися специалистами, которых жизнь вытолкала на обочину ИТ индустрии и вынудила искать новое место работы. Стряхнув шелуху разочарования и неуверенности, они «на ура» проходят первое же собеседование. Их резюме с восторгом показывают друг другу впечатленные HR_щики, мол вот же оно, как надо писать. Все на подъеме, в ожидании, как минимум сотворения какого-нибудь чуда, причем в самое ближайшее время.

Но вот потекли трудовые будни, проходит день за днем, а волшебство все не случается.
Это взгляд с одной стороны. А с другой, у сложившегося специалиста, на уровне подсознания уже выработались собственные привычки и представления того, как всё вокруг должно вертеться. И не факт, что оно совпадает со сложившимися на новой фирме устоями. Да и должно ли оно совпадать? Зачастую дискутировать, доказывать что-то с заезженными медными трубами ушами, утомленному огнем и водой специалисту, уже нет ни сил, ни желания. Менять привычки тоже не хочется, да и несолидно как-то, все же не мальчик уж.

Все вместе попадают в зону турбулентности и дискомфорта, несбывшихся надежд и не осуществленных ожиданий.

Для бывалых людей и букет когнитивных искажений [4] конечно же будет побогаче:

- «Искажение в восприятии сделанного выбора» — излишнее упорство, привязанность к своим выборам, восприятие их как более правильных, чем они есть на самом деле, с дальнейшим их оправданием.
- «Эффект знакомства с объектом» — тенденция людей выражать необоснованную симпатию к некому объекту только потому, что они знакомы с ним.
- Иррациональная эскалация — тенденция помнить свои выборы как более правильные, чем они были на самом деле.
- «Проклятие знания» — затруднения у информированных людей при попытке рассматривать какую-либо проблему с точки зрения людей менее информированных.

И наконец – венец творчества:

- «Профессиональная деформация» — психологическая дезориентация личности в ходе профессиональной деятельности. Тенденция смотреть на вещи согласно правилам, общепринятым для своей профессии, отбрасывая более общую точку зрения.

С ярлыком для этого типа и придумывать нечего, он давно известен – «#Окелло». Тот самый, что промахнулся. Ну да, да, помогли ему промахнуться. Но он же моральный ориентир, должен был как-то не вляпаться в подобную историю.

### 10. Попытка конкурировать с менеджерами без получения профессиональной подготовки

> Мы не утописты. Мы знаем, что любой чернорабочий и любая кухарка не способны сейчас же вступить в управление государством.
>
> В.И. Ленин

Раздел создавался уже после публикации статьи, так сказать вдогонку ее комментариям. Многие молодые и амбициозные специалисты, искренне считают, что над ними поставлен неловкий и малосведущий менеджер, который занимается в основном двумя видами деятельности: 1) основная — всячески мешать своим подчиненным, которые в поте лица собственными руками создают ИТ продукт, 2) дополнительная — удерживать высоту, на которую они вскарабкались абсолютно случайно и незаслуженно, грубо и жестко пресекая все попытки даже взглянуть на свое место более достойным людям.

В большинстве случаев это мнение проявляется тогда, когда менеджмент действительно откровенно слаб в реализации своих управленческих качеств, по той или иной причине. Мы эти причины пока не будем рассматривать. Ведь мы сейчас не об этом, а об искажениях в представлении подобной ситуации специалистом, которые мешают ему продвигаться по служебной лестнице.

Поэтому важно заострить свое внимание на другом. Большинство рассуждающих подобным образом, безапелляционно считает, что вот они уж точно смогли бы все организовать по другому, прямо сейчас не сходя со своего места. Причем, большинство из этого большинства не имеют ни навыков управления, ни соответствующего образования. Предполагается, что если уж я лучше менеджера разбираюсь в создании некого ИТ продукта (или полуфабриката), то и управлять процессом его производства смогу однозначно эффективнее. Менеджера что не спроси про продукт, он же все по верхам, со слов других, на вскидку и иногда до смешного.

Очень важно осознать, что работа по производству чего-либо и организация производства этого чего-либо — две абсолютно разные функции, требующие для своей эффективной реализации разных навыков и компетенций, разных личностных характеристик, психологической и этической подготовленности и т.д.

В этом случае просматривается такое интересное искажение, как:

- «Фундаментальная ошибка атрибуции» — Также известно, как «искажение переноса» Склонность людей объяснять поведение других людей их личностными качествами, недооценивая ситуационные факторы, и в то же время переоценивать роль и силу ситуационных влияний на собственное поведение, недооценивая личностный аспект.

Представителей такого типа давайте назовем «#Кабы Я Была Царица»

Я например, несмотря на то что большую часть своей карьеры совмещал работу разработчика с управленческой деятельностью, напрягся и получил дополнительное образование MBA, которое позволило расставить все по своим местам в моих представлениях по изложенной в этом разделе теме и помогло подняться в карьере на новую ступень.

### 11. Резюме раздела

> Есть стены, через которые можно перелезть, сделать под них подкоп, обойти или даже взорвать. Но если стена существует у вас в сознании, она окажется неизмеримо надёжнее любой самой высокой ограды.
>
> Чиун, Царственный Мастер Синанджу

Подытоживая вышесказанное.

Зачастую представление специалиста о его месте, роли и значимости в команде или проекте значительно искажено. Более корректно можно сказать так: то что видит он, и то что видят большинство окружающих его людей — сильно расходится в оценке. Толи он перерос остальных, толи не дорос, толи приоритеты оценивания у них из разных жизней, но ясно одно — в сотрудничестве наблюдается диссонанс.

У молодых специалистов чаще всего подобные проблемы связаны с недостаточным пониманием критериев их оценки, а также искажением представления об объемах и качестве требований, предъявляемых к их знаниям, умениям и навыкам.

Зрелые же специалисты частенько выстраивают в своем сознании заборы из представлений, как все должно быть обустроено и пресекают проявления любых инакомыслий, даже более предпочтительных и прогрессивных.

Определив мотивы, вызывающие у сотрудников негативные поведенческие шаблоны, мешающие карьерному росту, далее попробуем отыскать сценарии, позволяющие нивелировать их влияние. По возможности безмедикаментозно.

Более подробно ознакомиться с материалом можно на: [моем Youtub канале](https://youtu.be/CFAM0OoHsw0), посвященном вопросам: проектирования программных продуктов, ИТ архитектуре и социальной инженерии.

Продолжение статьи можно прочитать, перейдя по [«ссылке»](https://habr.com/ru/post/465015/).

# Список литературы

[1] Д. Канеман., Думай медленно… решай быстро, ACT, 2013.

[2] З. Фрейд, Введение в психоанализ, Санк Петербург: Алетейя СПб, 1999.

[3] «Социофобия,» ВикипедиЯ, [В Интернете]. Available: [ru.wikipedia.org/wiki/Социофобия](https://ru.wikipedia.org/wiki/%D0%A1%D0%BE%D1%86%D0%B8%D0%BE%D1%84%D0%BE%D0%B1%D0%B8%D1%8F).

[4] «Список когнитивных искажений,» ВикипедиЯ, [В Интернете]. Available: [ru.wikipedia.org/wiki/Список_когнитивных_искажений](https://ru.wikipedia.org/wiki/%D0%A1%D0%BF%D0%B8%D1%81%D0%BE%D0%BA_%D0%BA%D0%BE%D0%B3%D0%BD%D0%B8%D1%82%D0%B8%D0%B2%D0%BD%D1%8B%D1%85_%D0%B8%D1%81%D0%BA%D0%B0%D0%B6%D0%B5%D0%BD%D0%B8%D0%B9).
