---
source: https://habr.com/ru/post/465015/
tags: ["самозванец"]
---

Начало статьи с описанием возможных причин недооценности специалистов, можно прочитать, перейдя по [«ссылке»](https://habr.com/ru/post/459751/).

## 3. Противостояние причинам, вызывающим недооцененность.

> Вирус прошлого не поддается лечению – пока свое не возьмет, он не уйдет.
>
> Но ему можно и нужно противостоять – предупредить осложнения.
>
> Эльчин Сафарли. (Рецепты счастья)

Выявив признаки и природу проблем, приводящих к недооцененности специалиста в местах его профессионального обитания, давайте подберем рецепты противодействующие осложнениям, весьма пагубно влияющим на карьеру, да и вообще на ощущения своего места под солнцем.

Но, для начала, необходимо признать, что: «проблемы у меня есть и перечисленные в предыдущей главе признаки имеют место быть в моей профессиональной карьере». Можно конечно воспользоваться проверенным приемом и сказать себе, что это не у меня, а у парня по соседству, а я просто хочу ему помочь. Так тоже сойдет.

Поскольку формат статьи ограничен, рассматриваемые проблемы по своей сути очень глубоки, а диагнозы проявления симптомов разнообразны, давайте для примера, подберем решение лишь по некоторым репрезентативным случаям. А в комментариях неравнодушные пользователи возможно дополнят тему своими кейсами в виде: проблема/решение.

### 1. Развивайте риторику

> Я добился успеха потому, что устно и письменно обращался к каждому немцу,
>
> убеждая его в правильности своих действий.
>
> Людвиг Эрхард

Важный инструмент продвижения специалиста – это трансляция окружающим качественной информации о его сильных сторонах и оправдание слабостей. Не у каждого специалиста есть свой спичрайтер или пресс-служба, способная выполнить эти функции. А потому человеку, стремящемуся построить карьеру, очень важно, как минимум, уметь самому выступать интересным собеседником, привлекая к себе внимание и вызывая доверие. Что в свою очередь позволит доносить нужную информацию о себе и своих делах в максимально позитивной форме.

Для начала, если вы робкого десятка, способность к риторике можно развивать написанием текстов, статей, докладов и т.д. Но тут есть одна важная деталь — обязательно кто-то не заангажированный должен рецензировать ваши старания. Очень хорошо, если этот цензор не в теме. Тогда своими придирками, он сможет заставить вас излагать мысли понятно, структурировано и в такой форме, которая позволит ему не засыпать от скукотищи, уже на втором абзаце. Именно тогда Вы задумаетесь о том, а как же пишут другие — успешные. Именно тогда вы начнете пополнять свой лексикон новыми словами, подбирая в справочнике синонимов новые обороты и внося в сухой текст — легкость и непринужденность.

А дальше, публичные выступления на площадках разного уровня и масштаба. С обязательным анализом, чем же это было хуже чем у других – успешных. Именно тогда Вы начнете замечать в речах других не только саму суть, а приемы донесения мыслей, методы психологического воздействия на аудиторию и т.д. Любая беседа должна становиться полигоном для проверки своих знаний и умений в области риторики.

Большинству людей, особенно технического склада ума, тяжело, прочитав книгу об ораторском искусстве, сразу превратиться в искусного мастера словесных баталий. Только на практике приходит понимание, как это работает, при условии конечно, что вы пытаетесь в этом разобраться.

### 2. Развивайте навыки оценивать себя объективно в разных условиях

> Основная разница между литературой и жизнью состоит в том, что в книгах процент самобытных людей очень высок, а тривиальных — низок; в жизни же все наоборот.
>
> Олдос Хаксли

В части определения проблем самооценки мы в первой части статьи установили важность показателя «Уровень притязаний». Уровень, которого человек стремится достичь в различных сферах жизнедеятельности (карьера, статус, благосостояние и т. п.). А также обсудили формулу для его определения:

**Уровень притязаний = Величина успеха — Величина провала**

Но тут же опять возникает вопрос: а как подсчитать «Величину успеха» и «Величину провала»? Ведь это лишь восприятие событий и явлений конкретным человеком, ну или группой "сообщающихся" людей. Такая оценка собственных притязаний, чаще всего более объективна на фоне сравнения с достижениями и провалами окружающих. А отсюда следует, что ваша «Величина успеха» непосредственным образом связана с возможностями окружающих лиц, работающих в области оценивания. На фоне этих сравнений собственно и выявляются актуальные рамки вашей шкалы оценивания. Другими словами, Вы должны измерять свой **Успех** и **Провалы**, точно так же, как подобные результаты оценивают остальные члены команды или еще более широкого сообщества единомышленников.

Посему выходит, что наиболее перспективной командой для вашего роста и продвижения, будет коллектив, в котором средняя шкала оценки возможностей коллег будет совпадать с вашей. В противном случае возникнет диссонанс. В слабой команде, Вы будете расслабляться без мотивации к дальнейшему развитию. К тому же, если вы человек ответственный, то будете тратить время на подтягивание команды на более высокий уровень. А в чересчур сильной, не будете поспевать за общим ростом возможностей коллег, что однако справедливо для случая, когда потенциал всех членов коллектива, примерно одинаков.

### 3. Стремитесь быть в курсе новых перспективных направлений профессионального характера

> Развитие и образование ни одному человеку не могут быть даны или сообщены.
>
> Всякий, кто желает к ним приобщиться, должен достигнуть этого собственной деятельностью, собственными силами, собственным напряжением.
>
> Адольф Дистервег

Для того чтобы получать преимущество в карьерно-профессиональном росте перед сотоварищами по цеху, необходимо всегда быть в тренде и следить за новыми течениями, которые могут стать "нашим всем" уже завтра. Самый простой способ удерживаться в струе новаций, это постоянный мониторинг периодических изданий, профессиональных блогов и т.п.

Очень хорошо, когда в коллективе есть технические лидеры, которые могут делиться с командой уже просеянными сквозь сито своей компетенции и интуиции новшествами. Это значительно повышает эффективность самообучения и позволяет сконцентрировать свое внимание на самом главном, не распыляясь на всевозможную шелуху. Поэтому, работа в команде с лидерами — профессиональными ориентирами, всегда предпочтительнее для ваших перспектив.

Недавно наша команда участвовала в проекте по редизайну программного обеспечения для медицинской клиники. Мы с удивлением наткнулись на разработку, которая выглядела, как курсовая работа студента, …цатилетней давности. Оказалось, что создавал это творение программист одиночка, варящийся в своем собственном мире. Он непрерывно что-то менял, исправлял постоянно возникающие ошибки, но при том при всем, приложение по существу не менялось. Все попытки посотрудничать с ним натыкались на жесткую обструкцию. Объяснить ему то, что технологии уже давно ушли вперед и заставлять людей использовать морально и функционально устаревшее ПО просто не этично, мы так и не смогли. Не стали травмировать психику человека и выводить его из «Матрицы».

### 4. Нивелируйте свои слабые стороны и продвигайте сильные

> Именно слабый должен суметь стать сильным и уйти, когда сильный слишком слаб для того, чтобы суметь причинить боль слабому.
>
> Милан Кундера

О ваших слабых сторонах узнать совсем не сложно, для этого надо всего лишь слышать то, что говорят о Вас в коллективе. В слово «слышать», в данном контексте, я вкладываю понятия – воспринимать, признавать, мотать на ус и т.п.

Признавать свои недостатки всегда тяжело. Я в рамках своей профессиональной деятельности неоднократно сталкивался с талантливыми людьми, которые в беседах формально не принимают своих ошибок и слабостей, но позже, поборов свое большое «Я», все же втихую, не афишируя меняют свое мнение. Так тоже сойдет.

Для решения большинства проблем, о которых Вы можете узнать, прислушавшись к мнению окружающих, можно использовать многочисленные блоги и тренинги публикуемые в огромном количестве, на просторах интернета. Главное не пускать проблемы на самотек.

Обратная сторона рассматриваемого вопроса связана с наличием у Вас сильных сторон. Для акцентирования их необходимо максимально сконцентрировать свои усилия в той области, в которой у вас есть шансы реализовать себя наилучшим образом. Не стоит долбиться в двери специализации, которая вам дается хуже, чем альтернативная. Процесс производства программных продуктов ( [о нем я писал тут](https://habr.com/ru/post/350972/) ) весьма широк и в нем всегда можно отыскать для себя достойное место, соответствующее Вашим способностям и менталитету.

Я, например, проработав успешно 18 лет программистом, без сожаления перешел в область системного анализа и управления проектами. На мой взгляд, на этом поле все более фундаментально, долговечно и стабильно. На этой стезе я себя ощущаю более комфортно.

### 5. Остерегайтесь ошибок самоидентификации в экосистеме, которую Вы не понимаете

> Обязанности – вещь вполне осязаемая, конкретная, а возможности… по существу, это химеры – хрупкие, бессмысленные, а подчас и опасные. Становясь старше и мудрее, вы осознаете это и отказываетесь от них. Так лучше. И спокойнее.
>
> Николас Эванс.

Тема этой главы плотно пересекается с главой «2. Развивайте навыки оценивать себя объективно в разных условиях», в которой мы рассмотрели, как можно оценить свои притязания на место в коллективе сподвижников. Другими словами, определение нашей позиции на шкале возможностей коллектива, в сравнении с другими членами команды. И выяснили, что хорошо когда наша оценка этого положения, возможно с небольшой погрешностью, но все же совпадает с мнением большинства. В противном случае, Вы работаете не в «той команде».

Но есть еще одна шкала оценивания. Оценка менеджментом вашего положения в коллективе. Она может не совпадать с описанной выше оценкой, поскольку в нее заложены еще дополнительные параметры, важные именно для менеджмента, который решает свои задачи в общем деле команды.

Принципиальное отличие этих двух оценок в том, что исполнители оценивают позицию специалиста по **Возможностям** (знания, навыки, коммуникабельность и т.д.), а менеджер по **Создаваемой ценности** (результатам выполнения задач, применительно к: качеству, производительности, полезности во взаимодействии, влиянию на других членов команды и т.п.). Чувствуете разницу?

Таким образом к погрешности оценки своего положения на шкале «возможностей», могут добавляться ошибки определения положения на шкале «создаваемых ценностей».

Получить оценку по шкале второго вида для сотрудника гораздо сложнее в связи с тем, что у него чаще всего мало информации, о том как же измеряется создаваемая им ценность. Соответственно на вопрос: «Почему мне платят меньше, чем тому парню?» проще всего получить ответ, узнав больше информации о шкале «создаваемых ценностей».

Как это сделать? В каждом конкретном случае по разному. Наиболее простой вариант узнать у менеджера (ели он мотивирован рассказать об этом). Вариант чуть сложнее – стать самому менеджером и разведать все изнутри.

### 6. Выполняйте свои обязанности всегда с максимальной заинтересованностью, независимо от мотивации

> Никогда не пробьется наверх тот, кто не делает того, что ему говорят,
>
> и тот, кто делает не больше того, что ему говорят.
>
> Эндрю Карнеги.

Если Вы выполняете какую-то задачу, делайте это всегда максимально качественно, либо не беритесь за дело вообще!

Есть в бизнесе такое понятие, как «Превышение ожиданий». Вкратце, это прием, когда клиент получает услугу или товар, не только полностью удовлетворяющий объявленным характеристикам, но и с дополнительными опциями, которые не были заявлены в первоначальном предложении. При этом стоимость не изменяется. Такой подход вызывает эмоциональный дисбаланс, порождающий целую цепочку позитивных реакций, приносящих дополнительные бонусы продавцу. В виде лояльного клиента, положительных рекомендаций, приводящих новых клиентов, покупки дополнительных аксессуаров и т.п. Все вместе это вызывает некий резонанс, который уже без Вашего участия работает на Ваш профит еще длительное время.

Эта концепция резонанса справедлива и для социальной инженерии предприятия. Результаты работы сотрудника, которые каждый раз чуть превышают ожидания руководства, непроизвольно подсаживают на эмоциональный крючок это самое руководство. Но это лишь наживка на крючок. И если не подсекать конкретными просьбами о преференциях, то эти превышения ожиданий могут стать нормой и перестать быть превышениями. Тут следует понимать тонкую грань. Ведь мы говорили, что эффект «Превышение ожиданий» происходит без изменения стоимости товара/услуги, за счет дополнительных бонусов, позволяющих лидировать среди прочих конкурентов (в нашем случае членов команды).

Если же отбросить цинизм, то можно посоветовать всегда воспринимать любое задание, как свой личный вызов и делать его максимально качественно и эффективно, не зависимо от ожидаемого вознаграждения. Как правило такой подход вызывает упомянутый выше резонанс, влияющий на карьерный рост.

В моей практике был случай, когда неравнодушный разработчик, принимавший жизнь фирмы, как "свое личное", со временем получил предложение стать ее совладельцем.

### 7. При принятии решения ведите себя естественно, не стараясь кому-то понравиться

> Лучше решительно ошибаться, чем быть нерешительно правым.
>
> Таллула Банкхед

Мы обсудили в первой части статьи, такой недостаток, как нерешительность и постановили, что он враг карьерного роста.

В данной публикации, рассмотрим лишь одну из распространенных причин нерешительности, такую как стремление понравиться куратору. На фоне этого щенячьего желания и возникают сомнения, что же больше покорит патрона: то или это. И вместо того, чтобы просто заняться поиском оптимального в данной ситуации решения, происходит внутренняя борьба за подбор пути способного расположить к себе. В результате появляется какая-то фальшь, цинизм и прочие неприятные оттенки. Со стороны это заискивание конечно видно, и выглядит это чаще всего жалко.

При принятии решений не зацикливайтесь на том, как это решение будет выглядеть со стороны. Не оставляйте пищу для тараканов в своей голове, избавиться от них потом, будет весьма проблематично. Это Ваше решение, оно не может быть плохим (в крайнем случае — ошибочным). Обсуждайте его с другими, доказывайте свою правоту, прежде всего себе. Но при этом очень важно слышать окружающих и признавать свои ошибки.

Менеджеру, направленному на результат, комфортнее работать с уверенными в себе людьми. Ими сложнее управлять, но гораздо проще принимать решения в условиях с большей определенностью.

У меня в учетной записи Skype прописан слоган: «Успеха добиваются не обязательно тот, кто принимает правильные решения, а тот, кто делает свои решения правильными».

### 8. Остерегайтесь иллюзий успеха

> Главное правило реальности — не запутаться в своих иллюзиях.
>
> х/ф Начало (Inception)

Как-то мне пришлось работать с командой, которая ретроспективу – инструмент Agile методологии, предназначенный для анализа результатов завершения текущего этапа работ, с последующим улучшением рабочего процесса, превратили в ритуал самовосхваления команды.

Просто менеджер, где-то прочитал, что команда – это натура сложной нервной организации, и ее надо только хвалить и лелеять, оберегая при этом от критики. Поэтому, во время ретроспективы, коллектив придумывал как минимум пять положительных моментов анализируемого этапа. Поскольку коллектив был очень молодой, то он именно придумывал свои победы, а не констатировал успехи.

Со стороны процесс выглядел эдак, как жених, пробирающийся на свадьбе в квартиру невесты сквозь строй ее родственников и подружек, выдавливает из себя перед каждым новым форпостом обещание, каким же он еще способом сделает жизнь будущей жены и ее родственников счастливей. «Буду ее носить на руках! Буду баловать тещу!..» Эти высосанные из пальца достижения, команда записывала в журнал, чтобы больше о них никогда не вспоминать, а не для того, чтобы проецировать успех на менее успешные процессы.

На мой вопрос, а когда же мы будем разбирать проблемы и промахи, я получил ответ, что команда пока еще молодая и не надо ее травмировать неприятными воспоминаниями. По словам менеджера, такой мотивирующий подход отлично работал в его предыдущих проектах, является гибкой методологией и пока его не подводил. Но в следующем же более масштабном проекте, при таком подходе вся схема рассыпалось, как карточный домик. Команда, живя в эйфории собственных иллюзий, не обращала внимания на явные проблемы в разрабатываемом продукте и процессах его создания до тех пор, пока не пришла пора передавать комплексный результат заказчику, а тому оплачивать все это бедствие.

Эта история о том, что Вы можете запросто угодить в ловушку, если Вам удалось удачно протащить несложный кейс, через выстроенный только на своих ощущениях и догадках механизм, далекий от действительно рабочей схемы. Первый удачный опыт вызывает эйфорию от успеха, загоняющий чувство осторожности в самые отдаленные углы сознания. Но следующий же реально сложный кейс расставляет все на свои места. Зачастую проблемы проявляются не сразу, а остаются за спиной, постепенно загоняя в ловушку, усыпляя внимание обманчивыми впечатлениями от прошлого мимолетного опыта. Когда за спиной накапливается критическая масса ошибок, вся конструкция начинает рушиться.

Необходимо с осторожностью относиться к новым непроверенным Вами методологиям, даже если они увешаны многочисленными лаврами и обласканы почестями. Особенно если инструкции по их применению носят декларативный характер, возникает большая доля вероятности, что Вы подхватите с поверхности лишь ритуал, не поняв глубинных тонкостей, очень индивидуальных для различных житейских случаев.

### 9. Прокачивайтесь эмоционально при смене профессионального амплуа

> Я не пессимист. Я замерзший, усталый, голодный оптимист
> Ольга Громыко. (Верные враги)

С возрастом и профессиональным «заматерением», чаще всего в глазах специалиста гаснет искорка новаторства. Нет, не обязательно он перестает быть новатором, но со стороны молодых и горячих, это новаторство выглядит, как в замедленной съемке: скучно, неинтересно и раздражающе медленно. Время уходит, конкуренты не дремлют, каждая минута на счету и любое промедление, просто преступная халатность.

Поэтому при смене места работы, сферы деятельности и прочих перемещениях в профессиональных пространствах, с одной стороны желательно самому прокачаться эмоционально, например, при помощи заряжающих тренингов или специальной литературы, а с другой — загрузить более молодых, но менее опытных коллег, делегировав им полномочиями. А пусть они сами совершают то чудо, что ждут от Вас. Научите их делать чудо, и займите их этим процессом!

### 10. Не проецируйте свой опыт реализации продукта на модель управления этим процессом.

> Чужое счастье всегда представляется вам преувеличенным.
> Шарль де Монтескье

Мы выяснили в первой части статьи, что оценивать работу менеджеров с точки зрения исполнителей, непосвященных в искусство управления – не комильфо. У них разный набор показателей для оценки эффективности. Связано это с тем, что требования к процессу производства продукта и к организации производства этого продукта — две абсолютно разные функции, требующие для своей эффективной реализации разных навыков и компетенций, разных личностных характеристик, психологической и этической подготовленности и т.д.

Единственный показатель, которым в данном случае можно отхлестать менеджера, соблюдя нравственность и этику – «неуспешность реализации проектов», за которые он непосредственно отвечает. Вот это его показатель. У него конечно найдется миллион причин, объективно помешавших ему все сделать «как надо», но это, как говорится, уже не Ваши проблемы.

Об авторских тренингах на тему: «Социальная инженерия» подробнее можно узнать на сайте компании [ООО ИЦ Таврида](https://ec-tavrida.ru/)
