---
source: https://habr.com/ru/post/370877/
tags: ["самозванец"]
---

![[59d57620e476b841974526.png]]

_«Как часто вы ощущаете синдром самозванца?
Ежедневно / Каждую неделю / Раз в месяц / Никогда»_

В апреле 2016 года
[Джессика Баркер](http://cyber.uk/dr-jessica-barker/) провела в Твиттере [опрос](https://twitter.com/drjessicabarker/status/725996333014851584) на тему, часто ли специалисты по информационной безопасности сталкиваются с [_«синдромом самозванца»_](https://en.wikipedia.org/wiki/Impostor_syndrome). Результаты этого опроса легли в основу [доклада Джессики на SteelCon 2016](https://www.youtube.com/watch?v=tGyBFOWsFbk&feature=youtu.be).

Вряд ли один этот твит можно квалифицировать как полноценное исследование, однако в качестве беглого анализа он сгодится. Так вот, опрос показал, что 84% безопасников ощущают данный синдром не реже раза в месяц. Одно это позволяет классифицировать его как одну из наиболее актуальных психологических проблем, с которыми можно столкнуться в IT.

Синдрому самозванца уже был посвящён [небольшой обзор на GT](https://geektimes.ru/post/287744/), однако он носил, скорее, популярный характер. В то же время колоссальный масштаб данной проблемы заслуживает, безусловно, более пристального внимания.

Попробуем разобраться в проблематике под катом.

**Disclaimer**

> Данная публикация на GT является, по сути, пробным камнем с целью выяснить, насколько тематика психологии может быть интересна аудитории.
>
> Специалист, как известно, подобен флюсу. На сегодняшний день объём знаний, которыми должен обладать специалист в любой области, равно как и требуемая концентрация на специфике собственной профессии, достигли уровня, описанного Айзеком Азимовым в замечательном рассказе [«Ловушка для простаков»](http://lib.ru/FOUNDATION/suckbait.txt). У человека, погруженного в проблемы собственной отрасли, не остаётся времени, чтобы смотреть по сторонам. (Азимов в принципе был хорошим футурологом и очень активно описывал в своих книгах аспекты психологической науки, так что это вряд ли можно считать простым совпадением.)
>
> Мы считаем полезным время от времени представлять на суд сообщества GT выжимки из психологической практики с тем, чтобы читатель мог вынести из них что-то новое для себя.
>
> Не секрет, что к психологии в странах СНГ, в особенности, среди специалистов в области естественных наук, отношение в целом крайне настороженное. Безусловно, в этом свою роль сыграло как злоупотребление психиатрией в СССР, так и не самый высокий уровень разнообразных учебных заведений, выдававших дипломы по психологии в 90-х и 2000-х.
>
> Однако с тех пор уже много воды утекло. На Западе психотерапия широко используется людьми как инструмент решения их собственных индивидуальных жизненных проблем. В особенности индивидуальная терапия важна для людей, работающих под прессингом — а в IT-индустрии прессинг, к сожалению, на сегодняшний день является нормой жизни.
>
> Возможно, привнесение этой практики и в наши долготы позволило бы немного изменить жизнь к лучшему. Проверка этой гипотезы, по сути, и является целью данного эксперимента.
>
> ![[59d57621cbccd106545687.jpeg]]

## Что такое синдром самозванца

Синдромом самозванца называют психологическое явление, заключающееся в неспособности человека принять свои успехи и достижения как свою личную заслугу.

Синдром самозванца существует во многих жизненных сферах. Таких, как: учеба, семейные отношения, воспитание детей, профессиональная деятельность и многих других. Автор данной статьи изначально столкнулась с синдромом самозванца, общаясь со своими коллегами и сокурсниками — выяснилось, что эта проблема присуща большинству молодых психологов. Позже для автора стало открытием, что и в других её кругах общения (в том числе среди друзей из математической и IT-среды) синдром самозванца также весьма распространён.

В данной статье мы попробуем описать аспекты этой проблемы применительно к профессиональной сфере информационных технологий.

Итак, какие же условия должны выполняться, чтобы можно было предположить о наличии у вас синдрома самозванца? Вот три основных:

1. Ваши успешные результаты в работе вы объясняете различными **внешними** обстоятельствами: везением, низким уровнем сложности решенной задачи, удачным совпадением и т.д. То есть, к примеру, если вы быстро справились с практическим заданием на собеседовании, то вы будете думать, что просто задача была легкая, и вам повезло, что спросили именно то, что вы знали. При синдроме самозванца идея о том, что задача была вами успешно решена потому, что вы хороший специалист, придет вам в голову в последнюю очередь или не придет вовсе.
2. А вот причины неудач и ошибок, напротив, вы видите в своих собственных личных **внутренних** качествах: недостаток знаний, недостаточная сообразительность, лень и т.д. Например, если вы не успели сдать проект в срок, то в случае синдрома самозванца вы не будете думать о том, что такая проблема возникла из-за перегрузки заказами или завышенных требований начальства. Для вас будет сразу очевидно: это произошло, потому что вы глупый и ленивый.
3. У вас возникают проблемы с идентификацией себя, как участника профессионального сообщества. То есть, например, несмотря на то, что вы в профессии уже не первый год и уже много чего добились, вы все равно не считаете себя хорошим разработчиком. А некоторые люди в такой ситуации и вовсе не воспринимают себя как специалиста.

![[59d57622e9d53447911471.png]]

## Кто этому подвержен и почему?

Чтобы понять причины развития синдрома самозванца, для начала необходимо понять, кто в большей степени ему подвержен.

Изначально исследования «синдрома самозванца» фокусировались не на обществе в целом, а на отдельных, произвольным образом подобранных, «группах риска». Например, автор самого термина — Полина Клэнс — исследовала его проявления у женщин, успешных в работе и бизнесе. Однако сегодня есть понимание, что синдром в той или иной мере проявляется у людей вне зависимости от их пола, возраста или прочих аспектов самоидентификации.

Изначальный эмпирический выбор групп риска, впрочем, был вполне оправданным. Напомним, третий ключевой фактор синдрома – снижение идентификации с сообществом. Ощущение того, что вы не вписываетесь в сообщество по той или иной причине — даже и не имеющей ничего общего с профессиональными навыками — может порождать стресс и повышение требований к себе, что, в свою очередь, может привести к идее о недопустимости ошибок, и еще большему стрессу. На этом фоне постепенно начинают выполняться первые два условия развития синдрома: вы начинаете сильнее корить себя за ошибки и все больше обесценивать успех.

## Об одном аспекте психологии школьных олимпиад

Одной из реальных групп риска являются одарённые дети. На этой категории мы остановимся подробно, тем более, что читателю, занятому в IT-индустрии, вероятно, будут близки приведённые ниже примеры.

В чем проблема одаренных детей? Ведь казалось бы: если ты учишься лучше всех в классе по определённым предметам, увлекаешься какими-либо учебными дисциплинами, участвуешь в олимпиадах, то это должно формировать ощущение, что ты умён, талантлив и готов к новым вызовам. Однако, по мнению автора, в этом и заключается парадокс одаренных детей: одаренность может нанести негативный отпечаток на психику.

Дело в том, что в детстве, а точнее, в подростковом возрасте, у человеческой психики наступает очень важный этап развития – построение своего собственного мировоззрения и представлений о своем месте в обществе. То есть, подростку важно построить адекватный образ мира: каким образом он сам может повлиять на окружающий его мир, как сам мир на него влияет, какие цели он сможет воплотить в этом мире, как к нему относится этот мир и окружающие. И это все как раз в то время, когда пора определяться с будущей профессией, когда проводится большинство олимпиад и открывается множество кружков и спецкурсов, где можно себя проявить.

И вот представьте подростка, который очень легко решает задачи по математике.

Окружающие сверстники, учителя и родители, конечно же, убеждены, что математика – это очень сложно. Наш юный математик видит, что в окружающем его мире то, что ему дается легко, воспринимается как сложное. И на этом фоне у подростка может возникнуть некий конфликт в его представлении о мире: получается, что он в этот мир как-то не очень вписывается.

![[59d5762150043101806855.jpeg]]

К сожалению, убеждения, сформированные в детстве и подростковом возрасте, обычно сильнее влияют на всю дальнейшую жизнь, чем события, произошедшие во взрослом возрасте. Вот и получается, что представления одаренного подростка о том, что он не вписывается в окружающий мир, рискуют перерасти в будущем в идею о том, что он не вписывается в профессиональное сообщество. Привет третьему условию синдрома самозванца!

Кроме того, обычно родители и учителя одаренных детей очень гордятся ими, расхваливают их достижения. Одаренный ребенок начинает ощущать, что их похвала не вполне адекватна: ведь его так хвалят за то, что ему кажется таким легким! А когда в дальнейшем ребенок сталкивается с трудностями и неудачами, у его мировоззрения возникает новый конфликт: «мир (окружающие, родители) воспринимает меня как идеального и непобедимого математика, но это неверно, ведь на самом деле я не все задачи могу решить».

В дальнейшем такой ребенок, чтоб не нарушить логику своего представления о мире, приходит к идее, что окружающие его просто неадекватно оценивали, а на самом деле он куда хуже, чем его воспринимают. Что, опять же, приводит нас к первым двум условиям синдрома самозванца.

Хочется подкрепить эти выкладки реальным примером. Автор работает в школе, где обучаются одаренные в области математики и программирования подростки. И каждый год мы видим, как многие ребята искренне считают себя идиотами от тог, что, например, дойдя до заключительного этапа Всероссийской олимпиады школьников, они не сумели решить все задачи или получить диплом победителя. Они говорят, что прошли предыдущие этапы олимпиады лишь потому, что им везло, и задачи были легкие, а в конце концов горькая правда вскрылась – они на самом деле глупые.

![[59d57620d32a2060222200.jpg]]

> Небольшая вставка для родителей одаренных детей. Хвалить ваших детей нужно обязательно, однако не стоит перехваливать за те достижения, которые сам ребенок уже не воспринимает как значимые, поскольку для него это — уже слишком легкие задачи. Кроме того, нельзя транслировать своему чаду, что он идеален и всемогущ: обязательно стоит дать ему понять, что даже бог своего дела может ошибаться, и ошибки – это нормально.

## Иные причины синдрома самозванца

Итак, развитию синдрома самозванца в профессиональном сообществе способствуют следующие факторы:

- Ваш образ идеального или типичного представителя вашей профессии не совпадает с вашими физическими или психическими данными;
- В подростковом возрасте у вас сложилось впечатление, что вы не вписываетесь в окружающий мир (одаренные дети, дети, подвергнутые травле или насилию и др.);
- В подростковом возрасте вам давали неадекватную, на ваш взгляд, оценку (одаренные дети).

Кроме того, существуют и другие истоки синдрома самозванца. Вот некоторые из них:

- Убеждение о непростительности и недопустимости ошибок. Это убеждение, к сожалению, чаще всего формируется родителями и учителями в школе. Оно может возникнуть не только тогда, когда строгий родитель [[shkolnikreshilchtole]], что он не имеет права ошибаться никогда, иначе будет наказан. Но и тогда, когда родители идеализируют достижения ребенка, и ребенок начинает бояться их разочаровать: скрывает свои неудачи и очень сам себя за них винит. Также это убеждение может формироваться и благодаря слишком придирчивому преподавателю в ВУЗе или строгому начальнику.
- Нестабильный, бессистемный подход родителей к воспитанию. Когда ребенка за четверку с минусом наказывают ремнем, а через неделю не обращают внимания на двойку, то ребенок становится совершенно дезориентирован. Ему сложно понять, какой адекватной оценки он заслуживает, соответственно, в будущем ему будет сложно понять, хороший он специалист или совсем нет.

    ![[59d5762128062815641137.jpeg]]

- Низкая самооценка, склонность к депрессии, _выученная беспомощность_ и другие психические причины. Тут можно говорить много (и мы планируем посвятить этому другие статьи в рамках данного цикла).

Особенно синдром самозванца близок к выученной беспомощности. Это отдельная интересная тема (особенно в части живодерских психологических экспериментах на собаках), но она заслуживает отдельного поста.

## Проекция синдрома на IT-сообщество

Выделим некоторые особенности профессий в индустрии информационных технологий, которые могут способствовать возникновению синдрома самозванца.

- Необходимость постоянно изучать новое

    IT-область быстро развивается. Профессионалы в этой сфере сталкиваются с необходимостью тратить значительные усилия на изучение новых технологий, зачастую вне основного рабочего времени. Из-за этого у специалиста может возникнуть ощущение, что он не за всем успевает, и, как следствие, недостаточно компетентен. Что, понятно, может привести к развитию синдрома самозванца.

    ![[59d57621837fc480038462.jpg]]

    _Фраза «как не сойти с ума» фигурировала в пяти разных заявках на доклады на конференции_ [_РИТ-2017_](http://ritfest.ru/)_. Два из них были отобраны Программным комитетом:_ [_[1]_](http://ritfest.ru/2017/abstracts/2465)_,_ [_[2]_](http://ritfest.ru/2017/abstracts/2484)

- Необходимость взаимодействия со специалистами, которые могут быть компетентнее вас в той или иной области.

    ![[59d5762117d44143898738.jpeg]]

    Частично этот пункт является следствием предыдущего. Технологии [развиваются безумными темпами](https://habrahabr.ru/post/312022/), и возникает необходимость обращаться за помощью. При этом IT-сообщества [весьма широко представлены в интернете](https://stackoverflow.com/), что делает взаимодействие с другими специалистами очень доступным.

    «Благодаря» этому вы очень часто сталкиваетесь с коллегами, которые разбираются в чем-то значительно лучше вас. На этом фоне у вас могут развиться убеждения, что вы — по сравнению с такими крутыми ребятами! — совершенно ничего из себя не представляете, как специалист.

    Вот, скажем, [халвомес](http://www.aup.ru/docs/etks/etks-51/164.htm). От него требуется лишь один навык — умение мешать халву. Для того, чтобы чувствовать себя хорошим работником, ему не надо после смены тратить время на общение с другими халвомесами, чтобы получать новые навыки. Он уже обладает всеми необходимыми умениями, необходимо просто выполнять производственную норму. Соответственно, синдром самозванца ему не грозит.

- Неизбежность большого количества ошибок в работе.

    Значительная часть времени в написании кода тратится на его отладку, code review и исправление ошибок. Если человек изначально воспринимает свои ошибки как нечто ужасное — а избежать ошибок практически невозможно — то проблемы самозванца вряд ли удастся избежать.

- Отсутствие фидбэка в некоторых проектах.

    Зачастую руководитель склонен ограничиваться формальной, лаконичной оценкой труда сотрудника, если его результатами он в принципе доволен. Для многих сотрудников, неуверенных в собственной производительности, это выглядит как пренебрежение результатами работы и как показатель неудовлетворённости со стороны руководителя.

    ![[59d5762139167234231999.jpeg]]

Возможно, вы сами видите какие-то еще причины, вызывающие синдром самозванца? Поделитесь в комментариях — или в личном сообщении. Вас это ни к чему не обязывает.

## Чем опасен синдром самозванца?

1. В первую очередь, при синдроме самозванца страдает эмоциональная сфера психики

    Подумайте сами: если для вас недоступна адекватная оценка своей профессиональной деятельности, при этом все промахи и неудачи записываются на личный счет, а все достижения – не ваша заслуга, то что в таком случае будет происходить с вашим уровнем стресса и тревоги? Естественно, что в таком случае тревожность и стресс обречены повышаться, что негативно влияет уже буквально на всё.

    Из-за неадекватной оценки своих достижений все чаще предстоящий разговор с руководством будет вызывать у вас мысли, что вас лишат премии или уволят. Наверняка, у некоторых из вас найдутся истории про разработчиков, которые в процессе работы над каким-то проектом «выпадали» на несколько дней или недель, обрубая контакты. Автору известны случаи, когда ведущие инженеры месяцами не приходили в бухгалтерию за зарплатой, поскольку считали себя недостойными для её получения.

    Вполне вероятно, что кто-то из этих людей стал заложником синдрома самозванца: выполняя сложный проект, они сталкивались с трудностями (что нормально), однако их отношение к трудностям, как к чему-то ужасному, довело их до состояния «да я вообще ни на что не способен!». И, подобно панике, они просто бросали все. Хорошо ещё, если через какое-то время возвращались к работе.

    В запущенных случаях, синдром самозванца может быть одним из предикторов депрессии.

    ![[59d57620c2dca283934440.jpeg]]

2. Если вы не воспринимаете результаты вашей работы как свою заслугу, очевидно, что уменьшается удовольствие от работы, и, что особенно важно, снижается ваша внутренняя мотивация деятельности.

    Профессиональную (так же, как, кстати, и учебную) мотивацию очень условно можно разделить на внутреннюю и внешнюю.

    Внешняя мотивация – это когда главными стимулами вашей деятельности являются в первую очередь различные внешние факторы: заработная плата, необходимость выплачивать ипотеку, [красивый пафосный офис Apple](https://ru.wikipedia.org/wiki/Apple_Park) и т.д.

    Внутренняя мотивация — это когда в первую очередь вам важна ваша работа, потому что вы получаете удовольствие от самого процесса: написание качественного кода, наличие осязаемых результатов, удовлетворение от самой деятельности.

    Множество исследований показывают, что если сотрудник работает лишь на внешней мотивации, то эффективность труда такого работника значительно снижается. Внутренняя профессиональная мотивация очень важна: если вы любите свою работу, получаете от нее удовольствие, то вы будете сильнее погружаться в нее.

    Скажем, если вам нужно выполнить сложный проект, и вам нравится сам процесс, и вы верите в то, что способны претворить идею в жизнь, то вы потратите меньше времени на эту задачу, так как будете работать более сосредоточенно. Тогда как человек с синдромом самозванца будет — постоянно! — отвлекаться на свои сомнения в том, получится ли, на свои негативные эмоции (тревога, страх ошибиться), на периодические побеги в курилку с мыслями «Да какой из меня специалист? Кого я обманываю?».

    Также без внутренней мотивации сотруднику остается только внешняя, подобная кнуту. «Если я не справлюсь, меня уволят». «От меня уйдет девушка». «Я стану одиноким бомжом» — кому-то может быть смешно, но это реальные примеры. Всё это только добавляет всё больше стресса.

3. Нарушение целеполагания. При синдроме самозванца вы не можете адекватно оценить, на что вы способны.

    В результате вам очень сложно определить для себя круг целей и задач, с которыми вы сможете справиться. Еще сложнее определить реальные сроки выполнения этих задач. Из-за этого вы начинаете либо отказываться от каких-то проектов, либо, наоборот, берете на себя слишком много и/или заявляете нереально маленькие сроки решения задачи. Последнее может быть связано также и с тем, что при синдроме самозванца у человека есть расхождение между идеей о том, сколько должен работать **настоящий** профессионал, и убеждением, что он таким настоящим профессионалом не является.

    То есть переработки, в сущности, могут быть связаны со стремлением доказать себе и другим, что вы все-таки имеете право называться специалистом. И это даже в какой-то степени было бы хорошо, если бы эти переработки не приводили к увеличению числа ошибок и факапов. А, как мы уже понимаем, чем больше опыт переживания неудач при синдроме самозванца, тем сильнее проявляется этот синдром.

    Таким образом, синдром самозванца растет, как снежный ком: вы либо отказываетесь от задач, что увеличивает вашу веру в собственную некомпетентность, либо беретесь за слишком большое количество задач, что может увеличивать количество ошибок, что, в свою очередь, повышает вашу уверенность в том, что вы – самозванец.

    ![[59d576210ccc1893924927.jpeg]]

    Круг замкнулся.

4. Сложности в доведении проектов до конца.

    Этот пункт частично является следствием нарушения целеполагания, что описано выше. Кроме того, при синдроме самозванца вы постоянно сомневаетесь, насколько правильно и профессионально выполнена работа, возможно ли сделать лучше.

    При этом вы боитесь запрашивать у коллег и руководителя отзыв о собственной работе, так как опасаетесь, что они вас обвинят в некомпетентности и тем самым подпитают вашу идею о том, что вы не настолько хороши, как хотели бы считать.

    Опять замкнутый круг, на этот раз — круг страха фидбека.

5. Вред команде.

    Существует множество реальных историй о том, как из-за синдрома самозванца разработчик на совещании побоялся высказать при всех, что те стратегии и проблемы, которые обсуждаются, легко решаются уже существующей библиотекой или кодом, в том числе, написанным им самим.

    Такие люди боятся озвучивать свои идеи в команде ввиду сомнений в их собственной компетентности и профессионализме. В таком случае они не дают возможность руководителю увидеть их достижения, что ограничивает их карьерный рост, и, как следствие, проблема самозванца усугубляется.

6. Сомнения в правильности выбора места работы и профессии.

    Когда синдром самозванца заставляет вас думать, что вы плохой специалист, когда вы зациклены на своих неудачах и думаете, что за очередной провал вас уволят, вы можете дойти до того, что начинаете судорожно искать другие вакансии. В конце концов может дойти до того, что вы пойдете работать или учиться в совершенно другую сферу деятельности. И далеко не факт, что на новом месте работы вас не будут преследовать те же сомнения в себе или сожаления о том, что ушли со старой работы.


## Что с этим делать?

![[59d5761f7f822345674229.jpeg]]

Чтобы понять, как преодолеть проблему самозванца, необходимо иметь четкое представление о симптоматике этого явления. Напомним еще раз три основных симптома синдрома самозванца:

1. Объяснение успехов внешними обстоятельствами: удачей, случайностью и т.д. То есть, успех обесценивается.
2. Объяснение неудач только внутренними причинами, например собственной глупостью. Таким образом, неудачи преувеличиваются.
3. Ощущение себя чужим в сообществе и притворщиком.

На мой взгляд, третий симптом является в какой-то степени следствием первых двух условий. Поэтому, логично работу над собой начинать с симптомов 1 и 2.

Задача состоит в том, чтобы исправить баг некомпетентной оценки собственной компетентности: начать записывать достижения на свой счет, а ошибкам находить и другие объяснения и прощать их себе.

Если говорить о психотерапии, то именно на это направлена наиболее эффективная в данной проблеме [когнитивно-бихевиоральная терапия](https://en.wikipedia.org/wiki/Cognitive_behavioral_therapy). Однако это совершенно не значит, что без психолога невозможно справиться с этой проблемой. Вполне можно попробовать избавиться от синдрома самозванца самостоятельно. Тем более, что сейчас вы уже знаете, над чем конкретно надо работать.

> — What I think I know
>
> — What I know and what others know in reality
>
> Помните [эту картинку выше](https://habr.com/ru/articles/370877/#whatiknow)? К ней полезно возвращаться.

Итак, для начала стоит снизить разрушительное влияние неудач на вас.

В случае ошибок у человека с синдромом самозванца в голове происходит своего рода мысленная цепная реакция. Например: я снова ошибся → какой я глупый → я не смогу закончить этот проект из-за своей глупости → меня уволят → я ничего из себя не представляю →… Все это сопровождается отрицательными эмоциями. И чем дальше вы жуете эту мысленную жвачку, тем сильнее становятся эти эмоции.

![[59d57620487fc936114578.jpeg]]

К слову сказать, что чем сильнее отрицательные эмоции, тем хуже работает логическое мышление. Из-за этого ваши мысли могут уже быть слишком катастрофичного для вас содержания.

Поэтому первым шагом необходимо попытаться ловить эти моменты. То есть, в следующий раз, когда поймаете себя на том, что вы занимаетесь реактивным самобичеванием из-за какой-то неудачи, постарайтесь остановиться и посмотреть на эту ситуацию со стороны. Хорошо, если вам удастся сесть и расписать вашу цепочку мыслей и понять, где там логические нестыковки.

Например, рассмотрим первую «логическую» связку из нашего примера, переформулировав его в формат «Если..., то…»: если я ошибся, значит я глупый. Подумайте, какие могут быть альтернативные объяснения тому, что вы совершили ошибку.

Может быть, вы просто сделали ошибку от усталости? От завышенных требований или заниженных сроков? Или может быть, что вы исследуете, разрабатываете или осваиваете новый алгоритм и тут сложно не делать ошибки? Какие еще могут быть объяснения? Хорошо бы поначалу это записывать в некий документ или блокнот, к которому вы могли бы обратиться в следующий раз.

![[3ea28656c9324aa5fb1fe80ac11728af.gif]]

Также можно подумать, какие аргументы могут опровергать идею о том, что совершенная вами ошибка свидетельствует о вашей глупости. Возможно ли, что и другие инженеры, которых вы считаете очень умными, не совершают ошибок? [Stackoverflow](https://ru.stackoverflow.com/) можно использовать как фактор для оценки: задают ли другие люди подобные вопросы? Сталкиваются ли они с аналогичными препятствиями? Опять же, эффективность такого когнитивного анализа возрастет, если записывать ваши аргументы.

В результате такой работы вы сможете увидеть, что ваше отношение к неудачам становится проще. В идеальном случае, возможно, вам удастся прийти к выводу, что определённые классы ошибок и неудач – это абсолютно нормально для вашей работы.

После этого вам уже несложно будет переформулировать для себя ошибки и неудачи в вызовы и цели для дальнейшего совершенствования вас, как профессионала.

Анализируйте ваши ошибки и разграничивайте для себя, что вы сделали правильно, а какое именно действие привело к этой ошибке.

![[Untitled 3.jpg]]

Хорошим примером может выступить недавнее [удаление базы данных](https://habrahabr.ru/post/320988/) Gitlab. [Сотрудник](https://gitlab.com/yorickpeterse), работавший непрерывно более 12 часов, в стрессовой ситуации не обратил внимания на один-единственный символ в консоли, что привело к потере данных за почти 7 часов и к даунтайму популярного сервиса в течение суток.

Насколько это вина самого сотрудника? Или же это всё же ответственность начальства, допустившего такую ситуацию и не выстроившего процессы разработки и эксплуатации?

Показательна [правильная реакция](https://twitter.com/sytses/status/826598260831842308) руководителя Йорика, проанализировавшего причины и пришедшего к однозначному выводу.

![[59d576209580c401577922.png]]

_«Он замечательный человек и позаботился о резервной копии до начала работ»._

«Чем больше ты делаешь, тем больше ошибок» — отличная фраза, если воспринимать её без самобичевания.

За [анализом первопричин](https://en.wikipedia.org/wiki/Root_cause_analysis) должно следовать определение дальнейших шагов.

- Что можно сделать в будущем для себя, чтобы исключить возможность повторения?
- Вместо того, чтоб исправлять причину в себе, может быть полезно принять такое свойство своего характера и подумать:
    1. Как это свойство можно обернуть себе на пользу? Например, [согласно некоторым исследованиям](http://www.scienceworldreport.com/articles/22961/20150304/real-world-creative-genius-linked-distraction.htm), обратной стороной невнимательности может выступать креативность.
    2. Какой процесс (code review?) или какой инструмент можно использовать, чтобы в дальнейшем отлавливать эти проблемы на ранней стадии?

Параллельно с «работой над ошибками», стоит заняться коррекцией отношения к успехам: учиться находить собственный вклад в свои достижения.

![[59d5761fa2586412306927.jpeg]]

Волк чрезвычайно доволен результатами своей деятельности

В психотерапии для этого очень эффективен [нарративный психологический подход](https://en.wikipedia.org/wiki/Narrative_therapy). Однако, опять же, вы можете попробовать пройти этот путь самостоятельно. Вашей задачей будет «вытащить на поверхность» вашего сознания те навыки, умения и знания, которые привели вас к успешному решению профессиональных задач.

Обычно при синдроме самозванца ваше представление о том, что вы обладаете теми или иными полезными качествами и компетентностями, теряется и прячется от вас за стеной негативных убеждений о себе. Если вы уже начали рушить эту стену, снизив катастрофизацию вами ваших ошибок, то это значительно облегчит работу.

Итак, когда вы успешно справились с каким-либо заданием, попробуйте не концентрироваться на том, что это была лишь случайность, а сесть и усиленно поразмыслить о том, какие ваши собственные навыки могли к этому привести.

Постарайтесь выделить хотя бы 1-2 ваших навыков. Поначалу, это может быть сложно. Поэтому представьте, что с той же самой задачей справился какой-то другой сферический хороший специалист в вакууме. Какие умения его могли к этому привести? А какими из этих умений обладаете вы?

После того, как вы выяснили, какими хорошими навыками вы обладаете, попробуйте вспомнить еще пример вашего профессионального успеха из прошлого, где вам помогли эти навыки? Какие еще умения вам помогли решить ту задачу?

Постепенно, вы обнаружите, что вы обладаете множеством компетенций и навыков. Это не обязательно должны быть исключительно профессиональные знания (например, языки программирования), но и личные качества. Это – своего рода опоры, на которые вы опираетесь в решении задач и тем самым движетесь выше. Таким образом, поднимется ваша уверенность в собственных силах.

Далее, стоит подумать о том, какие ваши цели в будущем помогут воплотить вам ваши умения. Каким еще навыкам вы хотите научиться для достижения ваших целей?

Скорее всего, после проделанной работы над исправлением отношения к ошибкам и достижениям, проявление синдрома самозванца значительно снизится. Однако если на этом этапе у вас еще сохраняется чувство, что вы не вписываетесь в IT-сообщество, к которому принадлежите, то можно отдельно уделить внимание и этой проблеме.

![[59d5761fe1097218334039.jpeg]]

Все достаточно просто: чтобы чувствовать себя частью сообщества, стоит больше взаимодействовать с этим сообществом. Посетите несколько IT-конференций, поучаствуйте в профессиональных обсуждениях. Это поможет научиться не сравнивать себя с идеальным сферическим специалистом, а оценивать себя относительно множества реальных людей.

## Level up

Нужно понимать, что аналогичные проблемы происходят у ответственных сотрудников на всех уровнях организационной структуры компании.

Разберём вопрос, какие действия может/должен предпринимать руководитель для минимизации влияния таких проблем на производительность отдела.

### Что стоит делать тимлидам и руководителям проектов в случае предполагаемого синдрома самозванца у сотрудников?

![[59d5762015722021440724.png]]

Руководителю очень важно уметь вовремя обнаруживать наличие проблемы самозванца в своей команде и уметь оказывать в этом случае грамотную поддержку. Это может существенно оптимизировать работу и избежать множества факапов.

**Замечание для руководителей с авторитарным стилем управления**

> Увольнение сотрудника, который кажется неподходящим, всегда видится как самый простой путь решения проблем, однако у простых решений зачастую бывают сложные последствия. Принципиально ограничивая работу отдела разработки культурой и политиками компании, руководитель отдела теряет возможность применять и использовать компетенции (каждая из которых даётся ценой определённых компромиссов и чуткого отношения к личным особенностям сотрудников), которыми текущий отдел не обладает. Подобное ограничение сходит с рук в ситуации избытка рабочей силы на рынке труда, но смертельно в ситуации её недостатка.

Итак, если вы, как руководитель, заподозрили синдром самозванца у вашего сотрудника, перед вами стоит, в первую очередь, задача давать этому специалисту адекватную обратную связь по его работе:

- Когда вы разбираете ошибки и баги в работе сотрудника, постарайтесь способствовать формированию представления о том, что сами по себе ошибки – это нормально. Покажите, что опытные и уважаемые специалисты также ошибаются, это часть нашей работы.

    Старайтесь разбирать причины трудностей без упора на личные качества разработчика, выделяя то, что было сделано правильно. В идеале, стоит искать системные решения аналогичных проблем (чёткая постановка задачи, регрессионное тестирование, работа над процессами CI/CD), поскольку такие же проблемы могут встречаться в дальнейшем у других разработчиков, включая вновь нанимаемых.

    Важна не сама по себе ошибка, а реакция на неё. Проявите энтузиазм, помогая, при необходимости, разработчику переформулировать проблемы в постановку целей для развития.

    Аналогичным подходом желательно руководствоваться также на более высоких уровнях принятия решений. В целом, имеет смысл идентифицировать системные проблемы функционирования отдела, поскольку зачастую более целесообразным решением будет выстраивание процессов раннего обнаружения проблем, нежели снижение уровня обязанности по идентификации проблем до уровня отдельных сотрудников.

- Старайтесь замечать реальные достижения сотрудника. При этом важно понимать, вспоминая об описанном выше примере одаренных детей, что перехваливать зачастую тоже неправильно, потому что похвала может начать восприниматься как формальность. При оценке успеха можно использовать позитивные сравнения: «слушай, то, что ты придумал – действительно здорово, ведь никто до тебя до этого не додумался». Попробуйте разобрать и показать сотруднику, что именно он сделал круто. Предположите, какими уникальными навыками он может обладать, раз решил такую задачу.

## Подводим итог

![[59d57620ef736257709441.jpeg]]

Психологические аспекты функционирования команды становятся всё важнее по мере того, как для работы становится важен вклад каждого отдельного человека, а ответственность, возложенная на него, растёт.

Зависимость IT-индустрии от отдельных людей, её составляющих — это данность, с которой необходимо считаться как сейчас, так и в дальнейшем. Именно этот факт сделал психологическую практику столь важной в IT на Западе.

Главная проблема психологии в России — не отсутствие опыта. Вероятно, несмотря на распространённое в обществе настороженное отношение, рано или поздно психологические практики найдут широкое применение и у нас.
