---
source: https://habr.com/ru/company/productsense/blog/521000/
tags: ["самозванец"]
---

_Вокруг «синдрома самозванца» много мифов и мнений. Вместе с Еленой Станковской, кандидатом психологических наук и практикующим консультантом мы подробно разобрали, что это за явление, надо ли с ним бороться и как он проявляется у разных людей. Основа статьи — международные исследования и многолетний практический опыт Елены._

«Синдром самозванца» — это не медицинский диагноз, а скорее название для набора переживаний, которые понятны и близки разным людям. Мы узнаем себя, когда читаем об этом «синдроме», хотя за перечнем проявлений нет единой причины. Это похоже на температуру или насморк — сами по себе они не являются какой-то болезнью и могут возникать от ангины, гриппа ОРЗ или чего-то еще.

С точки зрения советской клинической психологии, «синдром» — это группа симптомов, которые закономерно проявляются вместе в силу общей действующей причины. И авторы термина полагали, что у синдрома самозванца такая причина существует, но более поздние исследования опровергли это мнение.

Сейчас считается, что хотя «синдром» и отражает реальные переживания, за ним стоят очень разные механизмы — а потому работать с этими переживаниями по отдельности гораздо эффективнее, чем выделять их в отдельный «синдром». В этом смысле изначальный термин «феномен самозванца» более точен — многие люди на самом деле воспринимают свой успех как случайность и боятся разоблачения: мол, окружающие разберутся и поймут, что они не соответствуют своей должности или квалификации.

> Когда ко мне приходят клиенты и жалуются на «синдром самозванца», я понимаю: это их способ обозначить проблему. Людям попадаются статьи о «синдроме», а его описание находит отклик, кажется знакомым и близким. Поэтому я уточняю, как именно проявляется «синдром», что конкретно беспокоит людей — ведь есть много причин, из-за которых мы не можем присвоить успех или боимся разоблачения. После того, как я познакомилась с уникальным опытом «самозванства» клиента, мы вместе пытаемся понять, что усиливает эти переживания сейчас, какие события из прошлого их сформировали, и ищем другие способы воспринимать себя.
>
> _Елена Станковская_

## Ученые о «синдроме самозванца»

**1979 год.** Паулина Клэнс и Сьюзан Аймс опубликовали статью «Феномен самозванца среди высокодостигающих женщин», в которой впервые появился термин «синдром самозванца». Они изучали женщин, которые достигли объективного успеха в карьере, но все равно ощущали себя обманщицами. Согласно Клэнс и Аймс, «синдром самозванца» — это некий «внутренний опыт интеллектуальной фальшивости» у людей, не способных переварить свой успех. Они пришли к выводу, что у «синдрома» есть шесть характеристик (подробнее о них — в следующем разделе):

- Цикл самозванца.
- Стремление быть особенным или быть самым лучшим.
- Аспект супермена / супервумен.
- Боязнь ошибок или неудачи.
- Отрицание собственной компетентности и игнорирование похвалы.
- Страх и ощущение вины за собственный успех.

**1985 год.** Харви и Кац определили «синдром самозванца» как «психологический паттерн, коренящийся в сильном и скрытом ощущении себя как мошенника, когда необходимо чего-то достичь». По их мнению, у «синдрома самозванца» должно быть три признака:

1. Убежденность в том, что ты обманываешь других людей.
2. Страх быть разоблаченным.
3. Неспособность признать свои достижения, способности, интеллект или квалификацию.

**1991 год.** Коллигиан и Стернберг предложили термин «воспринимаемое мошенничество», чтобы избежать путаницы между «синдромом самозванца» и банальным мошенничеством. Они считали «синдром самозванца» не эмоциональным расстройством, а комбинацией когнитивных и аффективных элементов — то есть фиксированным паттерном мышления.

**2005 год.** Кетс де Фрис изучал феномен обмана и включил в него «синдром самозванца». Он считал обман социальной нормой — ведь мы должны скрывать свои слабости и держаться в рамках общепринятых стандартов поведения. По мнению Кетса де Фриса, выход за эти рамки порождает две крайности: неэтичный обман (банальное мошенничество) и невротический обман (то есть «синдром самозванца»). Рассмотрим, что он понимал под нормой и крайностями.

1. Норма. Каждый из нас — самозванец, потому что мы стремимся соответствовать каким-то представлениям окружающих и демонстрируем публичное «я», отличное от нас настоящих.
2. Реальные самозванцы. Демонстрируют ложную личность, чтобы обмануть других и получают удовлетворение, когда им это удается. У таких людей может быть настоящий страх разоблачения.
3. Невротические самозванцы. Их опыт мошенничества — субъективный, то есть они не делают ничего по-настоящему неприемлемого. Такие люди чувствуют себя обманщиками независимо от мнения сторонних наблюдателей Им свойственны страх неудачи или успеха, перфекционизм, прокрастинация, трудоголизм.

Все определения ученых сходятся в одном: «синдром самозванца» — это субъективный психологический опыт человека, который боится разоблачения и уверен, что является обманщиком.

> Елена Станковская — кандидат психологических наук, психолог-консультант, доцент НИУ ВШЭ, автор книги «Транзактный анализ: 7 лекций для проекта Magisteria», ведет блок о «синдроме самозванца» на курсе о человекоориентированном менеджменте [People Mindset](https://productmindset.net/people).

## Характеристики «синдрома самозванца» по Клэнс и Аймс

Паулина Клэнс утверждает: если у человека есть хотя бы две из перечисленных характеристик, он подвержен «синдрому самозванца». Разберем их подробнее.

### Цикл самозванца

Цикл самозванца начинается, когда перед человеком встает необходимость чего-то достичь — например, учеба или проект на работе:

1. У человека возникает тревога.
2. Тревога провоцирует или избыточную подготовку или прокрастинацию. Причем за прокрастинацией обязательно наступает этап напряженного «делания» — ведь надо уложиться в срок.
3. Когда задача готова, появляется чувство облегчения и выполненного долга. Но это чувство быстро проходит.
4. Окружающие дают позитивную обратную связь, но человек ее не принимает, потому что это не соответствует его восприятию механизма успеха, и не верит, что успех связан с его способностями.
5. Если вторым этапом была чрезмерная подготовка, человек считает, что успех объясняется напряженной работой. Если на втором этапе была прокрастинация, то он объясняет успех случайной удачей. При этом человек твердо верит, что достижение результата путем упорного труда не подтверждает его способности.
6. Потом человек сталкивается с новой задачей, неуверенность в себе вызывает тревогу и цикл самозванца повторяется.

У цикла самозванца есть два постоянных следствия — перегрузка и усиление чувства мошенничества.

**Перегрузка.** Возникает из-за того, что усилия и энергия, которые тратятся на достижение цели, значительно превышают необходимые и мешают другим приоритетам. Причем люди с «синдромом самозванца» осознают эту проблему, но на практике почти никогда не могут разорвать этот шаблон поведения и ограничиться только необходимыми усилиями.

**Усиление чувства мошенничества от цикла к циклу.** Парадокс: каждый раз, когда успех повторяется, «синдром самозванца» только усиливается. Паулина Клэнс предположила, что у «самозванцев» есть какой-то свой идеал успеха и чрезмерные ожидания от выполненных целей. Они просто игнорируют свои достижения, если фактические показатели расходятся с их идеальным стандартом. При этом «самозванцы» — это отличники, которые неоправданно низко оценивают свою работу, а значит, каждое достижение еще сильнее подчеркивает разрыв между реальными и воображаемыми стандартами успеха, укрепляя «синдром самозванца».

![[pictures/akcygyaiwl5g8t1mhoptaacb5ha.png|akcygyaiwl5g8t1mhoptaacb5ha.png]]

_Цикл самозванца — из статьи «The Impostor Phenomenon», Jaruwan Sakulku, James Alexander_

### Потребность быть особенным, лучшим

Часто люди с «синдромом самозванца» втайне хотят быть лучшими по сравнению со сверстниками или коллегами. Все детство они могли быть первыми в классе или школе, но придя в университет или устроившись на работу, они понимают — в мире много выдающихся людей, а их таланты не являются феноменальными. В итоге «самозванцы» просто игнорируют свои способности и приходят к заключению, что они просто глупы.

### Аспекты супервумен / супермена

Этот пункт тесно связан с предыдущим. Люди с «синдромом самозванца» требуют от самих себя безупречности во всех сферах жизни. Они устанавливают себе практически недостижимые стандарты, а потом чувствуют себя подавленными и разочарованными.

### Страх неудачи

«Самозванцы» очень сильно переживают, когда необходимо чего-то достичь — они панически боятся неудачи. Ошибаясь или не выполняя все по высшему разряду, они чувствуют стыд унижение. Для большинства людей с «синдромом самозванца» именно страх становится основным драйвером. Результат: они пытаются снизить риск неудачи и начинают работать чересчур интенсивно.

### Ощущение некомпетентности и преуменьшение похвалы

Люди с «синдромом самозванца» не могут принять комплименты и поверить в свои заслуги, они склонны приписывать успех внешним факторам, игнорируют положительные отзывы и объективные показатели успеха. Мало того, они прилагают усилия, чтобы доказать всем: мы не заслужили похвалу, это не наше достижение. Но «синдром самозванца» — это гораздо более глубокое и серьезное явление, чем кокетство или ложная скромность.

### Страх и чувство вины за успех

«Самозванцы» нередко испытывают вину за то, что отличаются от других или добиваются большего успеха, чем окружающие — они очень боятся быть отвергнутыми. Еще один их страх — завышенные требования или ожидания со стороны окружающих. «Самозванцы» не уверены, что смогут поддерживать свой уровень эффективности и отказываются от дополнительной ответственности, а завышенные требования или ожидания могут «раскрыть» их «обман».

## Когда и зачем идти к психологу

Если вы обнаружили в себе хотя бы две характеристики из прошлой главы, значит, у вас есть «синдром самозванца». Но не всегда от него надо избавляться — только если «синдром» мешает жить или строить карьеру. В первом приближении понять это несложно:

- **Карьера.** Человек не претендует на то, что мог бы получить и что заслуживает — ему кажется, что он и на текущей позиции всех обманывает. Хотя на самом деле у него есть качества, которые принесли бы пользу компании и на более высокой должности.
- **Качество жизни.** Большая часть сил и нервов тратится не на выполнение работы, а на избегание разоблачения, чрезмерную подготовку к проектам, внутреннюю борьбу и обслуживание своих сомнений.

> Паулина Клэнс [разработала тест](https://paulineroseclance.com/pdf/IPTestandscoring.pdf), который помогает определить степень развития «синдрома самозванца».

«Самозванцы» нередко выбирают себе какой-то пример для подражания — тот самый образ «умного брата» или «смышленой сестры», к которому они стремятся. Причем это может быть как живой человек, так и историческая личность, как у Маяковского в «Письме товарищу Кострову»:

> …срываться, ревнуя к Копернику, его, а не мужа Марьи Иванны, считая своим соперником.

Но даже если человек с «синдромом самозванца» достигнет своих целей и объективно перерастет этот идеальный образ, он не избавится от проблем, а продолжит тратить энергию на борьбу со страхом и сомнениями. В этом случае может быть два сценария:

- Мы вообще не замечаем, что переросли свой пример для подражания, и незаметно для себя переключаемся на сравнение с новым Коперником.
- Мы говорим, что нам просто повезло, это просто случай, удача или нам вовремя помогли коллеги и родственники, и продолжаем считать этого человека лучше себя.

В итоге жизненный сценарий не меняется, а появляется искаженное восприятие: мы берем только те факты, которые подтверждают наше представление о себе. И выстраивается ментальная система, которая всеми силами поддерживает саму себя, игнорируя факты, которые ей противоречат.

Еще одна причина, по которой стоит заняться этой темой, — поведение избегания, лежащее в основе «синдрома самозванца». Если вы часто выбираете деятельность, которая помогает скрыть, что вы чего-то не знаете, отказываетесь от новых высот, самовыражения, скрываете свои мысли из-за страха — это повод пересмотреть представления о себе. Разобравшись со всем этим, мы получаем больше свободы — можем выбирать деятельность не из страха, а исходя из того, что нас зажигает и чего мы хотим на самом деле.

## Основа «синдрома» — внутренний конфликт

Синдром самозванца парадоксален: я чувствую себя обманщиком, но одновременно знаю, что это не так, это всего лишь «синдром». То есть какая-то часть меня верит в свои силы и в то, что я получаю признание заслуженно.

Рассмотрим пример: женщина работает в мужском коллективе, на должности, которая традиционно считается в обществе «мужской». И она наверняка сталкиваются с негативным отношением к себе, обесцениванием своей работы, недоверием. Такое отношение окружающих подкрепляет внутренние сомнения в компетентности, однако женщина не увольняется, более того, стремится расти и строить карьеру.

Таким образом, под этими сомнениями почти всегда скрывается внутренняя уверенность — нет, все-таки я умная, способная. Я приписываю свой успех случайности, и одновременно считаю, что когда я так делаю — это «синдром».

В итоге «синдром самозванца» — это не какая-то тотальная неуверенность, а постоянное напряжение между уверенностью и сомнениями в своих способностях. Ведь если человек искренне уверен в своей некомпетентности, то зачем ему чего-то достигать? Он будет спокойно жить на своем уровне и не будет стремиться к чему-то великому.

И тут могут быть разные причины и проявления. У многих людей есть иллюзия, что если бы они были по-настоящему умными, то у них бы все получалось очень легко — причем в любой сфере. Грубо говоря, если человек из года в год не может освоить какую-то узкую часть своей работы, то у него возникает ощущение, что и в остальных сферах он полный ноль. В этом виновато шаблонное представление о том, что по-настоящему умные люди делают все чуть ли не интуитивно: сел за руль и сразу знает, как вести машину. А если приходиться «корячиться» на автодроме 20 часов подряд, то ты точно самозванец и обманщик.

Есть и второе частое проявление: нельзя показывать, что я горжусь собой, что я крутой или крутая. И здесь причина может скрываться в детстве, когда ребенку навязывают шаблон поведения: не высовывайся, не привлекай внимания, не показывай свой успех, сиди молча и тихо, скрывайся. Бывает и более индивидуальные случаи.

Например, талантливый и яркий ученик переходит в другую школу, а там его таланты не ценят и нет возможности их проявить — они просто никому не интересны. А когда в будущем к нему приходят какие-то «странные» люди и говорят: ты очень умный, классный, у тебя отлично получается — он не может им поверить, потому что у него уже сформировалось стойкое мнение о себе.

Получается, что ядро «синдрома самозванца» — это сценарные убеждения и базовые представления о самом себе, а также то, как нас воспринимают другие. И даже если у меня набралась большая коллекция внешних достижений, мое стойкое внутреннее убеждение уже не оспаривается. Потому что сценарные убеждения поддерживают нашу картину мира, стабилизируют ее, формируют восприятие реальности. Простой пример: если я была в школе белой вороной — умнее и талантливее других и поэтому мне все время говорили, что я не ok, то когда люди вдруг начнут меня хвалить, то мои паттерны не позволяют эту похвалу переварить и я думаю, что они ошибаются или какие-то странные.

_Во второй части статьи разберем, почему возникает «синдром самозванца», какие типы «самозванцев» выделяют ученые и как справиться с «синдромом»._

## Список литературы

1. [The imposter phenomenon in high achieving women: Dynamics and therapeutic intervention](https://mpowir.org/wp-content/uploads/2010/02/Download-IP-in-High-Achieving-Women.pdf), Pauline Rose Clance, Suzanne Ament Imes
2. [A validation study of the Harvey Impostor Phenomenon Scale](https://psycnet.apa.org/doiLanding?doi=10.1037%2Fh0085712), Edwards, P. W., Zeichner
3. [Yes, Impostor Syndrome Is Real. Here's How to Deal With It](https://time.com/5312483/how-to-deal-with-impostor-syndrome/)
4. [The Impostor Phenomenon](https://so06.tci-thaijo.org/index.php/IJBS/article/view/521/pdf), Jaruwan Sakulku, James Alexander
5. [Imposter phenomenon and self-handicapping: Links with parenting styles and self-confidence](https://www.sciencedirect.com/science/article/abs/pii/S0191886905003612)
6. [When Will They Blow My Cover?: The Impostor Phenomenon Among Austrian Doctoral Students](https://www.researchgate.net/publication/232582354_When_Will_They_Blow_My_Cover_The_Impostor_Phenomenon_Among_Austrian_Doctoral_Students)
7. [Impostor phenomenon and mental health: The influence of racial discrimination and gender](http://dx.doi.org/10.1037/cou0000197)
8. [Impostor feelings as a moderator and mediator of the relationship between perceived discrimination and mental health among racial/ethnic minority college students](https://doi.apa.org/doiLanding?doi=10.1037%2Fcou0000198)
9. [Как измерить выгорание свое и команды, драйвить и исследовать людей](https://sense23.com/podcast/make-sense-67-kak-izmerit-vygoranie-svoe-i-komandy-drajvit-i-issledovat-lyudej-s-veroj-manevich), подкаст с Верой Маневич
10. [От хорошего к великому](https://www.ozon.ru/context/detail/id/19544092/), Джим Коллинз
