---
source: https://habr.com/ru/company/productsense/blog/521528/
tags: ["самозванец"]
---

_Это вторая часть материала о «синдроме самозванца». В ней мы вместе с Еленой Станковской, кандидатом психологических наук и практикующим консультантом разберем, почему возникает этот синдром, как с ним справиться и какие типы «самозванцев» выделяют ученые. Основа статьи — международные исследования и многолетний практический опыт Елены._

[Синдром самозванца. Часть 1: что это, как его распознать и надо ли идти к психологу](https://habr.com/ru/company/productsense/blog/521000/)

## Причины развития «синдрома самозванца»

«Синдром самозванца» — популярный объект исследований, но о причинах его появления до сих пор спорят ученые. Некоторые указывают на влияние семейной атмосферы в детстве, другие подчеркивают значимость качеств характера, например, невротизма , а третьи исследуют проблемы меньшинств в рабочих командах — национальных, гендерных, расовых, социальных.

Паулина Клэнс и Сьюзен Аймс обнаружили в детстве женщин с «синдромом самозванца» два типичных сценария:

1. Умный брат или сестра, с которыми их постоянно сравнивали и до которых они всю жизнь пытались дорасти, доказать всем, что тоже чего-то стоят.
2. В детстве их очень сильно хвалили и говорили, что они со своими способностями могут преодолеть любые препятствия. Но повзрослев, они понимали: многое им дается с трудом, а значит, они не такие хорошие, как все думали.

В 2006 году Джули Вонт и Сабина Клейтман [провели исследование](https://www.sciencedirect.com/science/article/abs/pii/S0191886905003612) и выяснили интересный факт: страхи «самозванцев» очень сильно зависят от чрезмерной заботы и опеки со стороны отца, а стиль воспитания матери влияет на них только косвенно — как отражение стиля отца.

Еще «синдром» возникает из-за культа интеллекта в семье — и тогда «самозванцы» всеми силами пытаются изменить свое поведение, соответствовать стандартам семьи и порадовать родителей, чтобы сохранить или заслужить их любовь. Даже в ущерб своей природе и желаниям. Если семья не дает поддержку и одобрение ребенку, он думает, что его достижения никому не интересны и не впечатляют. И тогда возникает стыд, чувство униженности и ощущение — я самозванец.

«Синдром самозванца» связан и с эффектом Даннинга — Крюгера, когда люди с низкой квалификацией переоценивают свои способности, а профессионалы склонны сомневаться в своих силах, чувствуют неуверенность и считают окружающих более компетентными. Как в истории про Сократа: он доказывал ученикам, что не знает гораздо больше, чем они. Сократ начертил две окружности — маленькая показывала объем знаний учеников, большая — его собственные знания. Зона неизвестного — то, что соприкасается с окружностью, а значит, Сократ не знает гораздо больше, чем его ученики.

![[6c52b2025a0a2c13ead09cf0061116d4.jpg]]

С эффектом Даннинга — Крюгера коррелирует и исследование Джима Коллинза, которое легло в основу книги «От хорошего к великому». Коллинз говорит [о руководителях пяти уровней](https://hbr-russia.ru/liderstvo/psikhologiya/a10271), из них нас интересуют только четвертый и пятый — самые высокие ступени развития лидеров.

1. Руководитель четвертого уровня приписывает все достижения компании себе, своим качествам и проницательности, а ответственность за неудачи склонны перекладывать на окружающих. Для такого руководителя успех — закономерное следствие собственного таланта, он уверен в себе, умеет ярко выступать и мотивировать команду.
2. Руководители пятого уровня почти всегда говорят «мы», «просто повезло», «в команде были очень талантливые люди». Такие руководители внешне выглядят неуверенными и скромными, причины неудач ищут в своих решениях и поступках, мотивируют собственным примером, а не зажигательными речами. В то же время у них есть сильная воля и стремление добиться успеха. Долгосрочный успех компаниям обычно обеспечивают руководители пятого уровня.

> Елена Станковская — кандидат психологических наук, психолог-консультант, доцент НИУ ВШЭ, автор книги «Транзактный анализ: 7 лекций для проекта Magisteria», ведет блок о «синдроме самозванца» на курсе о человекоориентированном менеджменте [People Mindset](https://productmindset.net/people).

## Кто подвержен «синдрому самозванца»

Клэнс и Аймс считали «синдром самозванца» социальным феноменом: успешные женщины гораздо чаще, чем их коллеги-мужчины полагали, что их успех случаен, а окружающие ни за что не дали бы им гранты и признание, если бы получше разобрались в ситуации. Поначалу авторы связывали «синдром» с социальным неравенством, дискриминацией и положением женщины в то время — женщины не считались способными лидировать или достигать чего-то серьезного за пределами домашнего хозяйства.

Но в 1993 году после ряда исследований [Паулина Клэнс подтвердила](https://paulineroseclance.com/pdf/-Langford.pdf) — мужчины тоже нередко становятся жертвами «синдрома самозванца». Вообще, через этот «синдром» хотя бы раз в жизни проходит до 70% людей ([The Impostor Phenomenon](https://so06.tci-thaijo.org/index.php/IJBS/article/view/521/pdf)), среди которых немало успешных и знаменитых. В разное время своими переживаниями о «синдроме самозванца» делились [Мишель Обама](https://www.bbc.com/news/uk-46434147), [Том Хэнкс](https://www.npr.org/2016/04/26/475573489/tom-hanks-says-self-doubt-is-a-high-wire-act-that-we-all-walk), знаменитый писатель [Джон Стейнбек](https://books.google.com/books?id=HF2o5yH78AoC&pg=PA4&lpg=PA4&dq=john+steinbeck+I+am+not+a+writer.+I+have+been+fooling+myself+and+other+people+diary&source=bl&ots=JRvNFJDcXw&sig=1cjNfxSLAv73QaC79sMvFx_bYgA&hl=en&sa=X&ved=0ahUKEwjJturD9tbKAhWLGx4KHcWKDpgQ6AEILDAC#v=onepage&q=john%20steinbeck%20I%20am%20not%20a%20writer.%20I%20have%20been%20fooling%20myself%20and%20other%20people%20diary&f=false), актриса [Джоди Фостер](http://www.washingtonpost.com/wp-dyn/content/article/2007/12/05/AR2007120500108.html) и даже Эйнштейн.

## Типы «самозванцев»

Проявления «синдрома самозванца» отличаются у разных людей. Например, «нарцисс» считает себя исключительным и боится, что окружающие вдруг раскусят его и скажут: ты обычный, такой, как мы все. А тревожный человек не сможет утвердиться в каком-то положительном мнении о себе и будет каждый раз пытаться выстроить его заново.

Валери Янг, эксперт по «самозванцам», создала классификацию людей, подверженных этому «синдрому».

- **«Перфекционисты».** Ставят себе завышенную планку, а потом даже если выполняют цели на 99%, чувствуют себя неудачниками. Любая ошибка — и они сомневаются в своей компетентности.
- **«Эксперты».** Постоянно ходят по тренингам и копят сертификаты, пытаются получить излишне подробную информацию перед началом любого проекта. Боятся выглядеть глупыми, поэтому стесняются задавать вопросы на собраниях или в классе. Не возьмутся за проект, если не соответствуют всем формальным критериям, указанным в требованиях.
- **«Природные гении».** Привыкли, что в детстве им все давалось легко. Поэтому когда приходится много работать для достижения цели, считают это признаком своей некомпетентности.
- **«Солисты».** Чувствуют, что обязаны все делать самостоятельно, а обращаться за помощью — значит, расписываться в своей несостоятельности.
- **«Супермены» / «супервумен».** Заставляют себя работать больше других, чтобы доказать свой уровень. Пытаются добиться успеха во всех сферах жизни — на работе, в семье, в отношениях — и могут испытывать серьезный стресс, когда что-то не получается.

## Драйвер развития и стабильная картина мира

В «синдроме самозванца» есть и плюсы — он стабилизирует картину мира, структурирует нашу активность и время. Да, мы сомневаемся, но зато у нас есть стабильное понимание — я обманщик и знаю, что мне стоит бояться разоблачения. Это очень стабильная и предсказуемая картина мира. Но когда нам говорят: ты все классно делаешь — мы теряемся и не знаем, чему верить, это порождает конфликт с нашей картиной мира и мы говорим: нет, я вот такой и вот чего должен бояться.

Из-за «синдрома самозванца» люди инвестируют много времени в учебу и работу, в развитие своих профессиональных навыков. И тогда наш «синдром» становится драйвером личного развития. За этим процессом стоит желание реализовать нашу внутреннюю убежденность, что все-таки мы умные и талантливые. В итоге человек действительно много занимается, прокачивается гораздо интенсивнее и глубже тех, кто не считает себя обманщиком. И хотя субъективно «самозванец» не может присвоить себе успех, но объективно, глубоко внутри он понимает — это правда, я сделал это. И такое понимание дает определенное счастье.

## Стратегии борьбы с «синдромом самозванца»

Избавиться от ярких проявлений «синдрома самозванца» можно двумя путями: с помощью качественной обратной связи, психолога или самостоятельно.

**Обратная связь.** Несмотря на устойчивую картину мира «самозванцев», развитие «синдрома» очень сильно зависит от качества обратной связи. Когда есть сильная поддерживающая и реалистичная обратная связь, у человека постепенно формируется адекватное представление о самом себе.

**Психолог.** Обратиться к психологу и вместе с ним понять, почему сформировался «синдром» и что с ним делать — хороший метод. Вместе со специалистом можно пройти путь от настоящего к прошлому и ответить на важные вопросы:

1. Что поддерживает эти сомнения прямо сейчас?
2. Есть ли люди, которые верят в компетентность и талант моего клиента?
3. Какую обратную связь он получает и какими достижениями на самом деле может гордиться?
4. Почему он считает, что эти достижения ему не принадлежат?
5. Какую пользу приносят сомнения?
6. Кого клиент считает умным и талантливым, на кого равняется? И откуда возник такой уровень притязаний?

Потом можно пойти в прошлое и понять, как и когда сформировался «синдром самозванца»:

1. В каких отношениях возникло это ощущение и представление о себе?
2. Какой опыт закреплял «синдром», а какой — наоборот?
3. Как клиент сейчас подтверждает свою компетенцию и что ему дает?

Если вы прошли тест Паулины Клэнс и он показал очень высокий уровень развития «синдрома самозванца», стоит обратиться к специалисту — он поможет сделать «синдром» вашим другом и драйвером роста, а не блокером развития, который закрепощает и мешает реализовать себя.

## Советы Алайны Левин: как справиться с синдромом самозванца самостоятельно

_Алайна — консультант по вопросам карьеры в STEM, автор книги «Networking for Nerds» (Wiley, 2015)._

**Вы — водитель. «**Синдром самозванца» — это просто фантазия. Она основана только на вашем мнении, а не фактах. Это субъективный внутренний, а не объективный внешний процесс. Но самим собой вы управляете сами, и значит, вполне можете бороться с «синдромом». Это придаст сил.

**Не прячьтесь от своих эмоций.** Во время «приступов» синдрома самозванца вы можете испытывать неуверенность, страх, стыд, тревогу и другие негативные эмоции. Но это нормально — разрешите себе проживать их и записывайте, что чувствуете. Это поможет понять, как на вас влияет синдром самозванца, и в будущем вы уже будете четко понимать, когда он проявляется.

**Злитесь!** Но не на себя: «Кем себя возомнил этот синдром? И какого черта он шепчет мне, что я недостоин своей должности? Пусть убирается отсюда!» Давая волю своему гневу, вы понимаете: никто не убедит вас, что вы занимаете не свое место.

**Сделайте ревью своего профессионального опыта.** Вспомните все реализованные проекты, навыки, интересные решения рабочих задач, пересмотрите свои презентации, документы. Это ваши реальные достижения, факты, а не фантазии. Такое ревью поможет противостоять субъективным «аргументам», которые подсовывает «синдром».

**Попробуйте доказать, что вы самозванец.** Когда проведете ревью, спросите себя, почему вы объективно не соответствуете должности или являетесь самозванцем. Когда соберете такие факты, отметьте те из них, которые связаны с эмоциями. Вот увидите, у вас почти не останется реальных аргументов.

**Посмотрите вокруг.** Кто еще добивался таких успехов? Была ли у них та самая «необходимая» подготовка, которой вы якобы обязаны обладать? Если они достигли успеха, то и вы можете это сделать.

**Продолжайте двигаться вперед.** Постоянно совершайте маленькие шаги, которые в моменте продемонстрируют, что вы не самозванец, и помогут продвинуться по карьерной лестнице. Опубликуйте статью, проведите небольшое исследование, договоритесь о сотрудничестве с интересным человеком.

**Будьте добры к себе.** Чтобы победить синдром самозванца, нужны стойкость, гибкость и отвага. Постоянно напоминайте себе: я не мошенник и никогда бы не получил такую должность и ответственность, если бы был бестолковым. Хвалите себя, когда получается утихомирить проявления «синдрома». Но помните — он может вернуться в любой момент. Так что расслабьтесь и при необходимости вернитесь к первому пункту — действуйте итеративно, со временем будет получаться все лучше и лучше.

## Обращайтесь за поддержкой

Кажется, что тут все просто, но наука опять внесла свои поправки. В 2019 году группа ученых [опубликовала исследование](https://www.sciencedirect.com/science/article/abs/pii/S0001879119301095?via%3Dihub) по «синдрому самозванца». Оказывается, очень важно просить поддержку за пределами той сферы, в которой вы чувствуете себя «самозванцем». Занимаетесь Data Science? Ищите поддержку у своей бабушки, брата, друзей из бухгалтерии или пиарщика. Работаете в маркетинге? Обращайтесь к токарям, логистам и менеджерам. Люди со стороны нередко лучше видят нашу компетентность и способны оценить наши знания и навыки.

P.S. В источниках вы найдете еще несколько эффективных методик по борьбе с «синдромом самозванца», но они не сработают, если вы и правда самозванец — бывает и такое :) У этих методик есть и еще одно ограничение: они способны сдерживать синдром, но не лечат его. И если «синдром самозванца» развит очень сильно, все равно придется разбираться в его причинах вместе со специалистом.

## **Список литературы**

- [The imposter phenomenon in high achieving women: Dynamics and therapeutic intervention, Pauline Rose Clance, Suzanne Ament Imes](https://mpowir.org/wp-content/uploads/2010/02/Download-IP-in-High-Achieving-Women.pdf)
- [A validation study of the Harvey Impostor Phenomenon Scale, Edwards, P. W., Zeichner](https://psycnet.apa.org/doiLanding?doi=10.1037%2Fh0085712)
- [Yes, Impostor Syndrome Is Real. Here's How to Deal With It](https://time.com/5312483/how-to-deal-with-impostor-syndrome/)
- [The Impostor Phenomenon, Jaruwan Sakulku, James Alexander](https://so06.tci-thaijo.org/index.php/IJBS/article/view/521/pdf)
- [Imposter phenomenon and self-handicapping: Links with parenting styles and self-confidence](https://www.sciencedirect.com/science/article/abs/pii/S0191886905003612)
- [When Will They Blow My Cover?: The Impostor Phenomenon Among Austrian Doctoral Students](https://www.researchgate.net/publication/232582354_When_Will_They_Blow_My_Cover_The_Impostor_Phenomenon_Among_Austrian_Doctoral_Students)
- [Impostor phenomenon and mental health: The influence of racial discrimination and gender](http://dx.doi.org/10.1037/cou0000197)
- [Impostor feelings as a moderator and mediator of the relationship between perceived discrimination and mental health among racial/ethnic minority college students](https://doi.apa.org/doiLanding?doi=10.1037%2Fcou0000198)
- [От хорошего к великому](https://www.ozon.ru/context/detail/id/19544092/), Джим Коллинз

## **Методы борьбы с синдромом самозванца**

- [Конспект лекции Людвига Быстроновского о том, как развиваться в профессии](https://theoryandpractice.ru/posts/15860-dizayn-interesa-art-direktor-studii-lebedeva-o-tom-kak-razvivatsya-v-professii)
- [How to banish impostor syndrome](https://www.sciencemag.org/careers/2020/07/how-banish-impostor-syndrome), Alaina G. Levine
- [10 steps you can use to overcome impostor syndrome](https://impostorsyndrome.com/10-steps-overcome-impostor/), Valerie Young
- ["I must have slipped through the cracks somehow": An examination of coping with perceived impostorism and the role of social support](https://www.sciencedirect.com/science/article/abs/pii/S0001879119301095?via%3Dihub), Journal of Vocational Behavior, Volume 115, December 2019, 103337
- [Thinking your way out of imposter syndrome](https://www.youtube.com/watch?v=h7v-GG3SEWQ), Valerie Young on TEDx
- [Impostor Syndrome: 5 Ways To Overcome It and Thrive](https://www.scienceofpeople.com/impostor-syndrome/), Vanessa Van Edwards
- [If You Struggle With Imposter Syndrome, Scientists Might Have an Odd Solution](https://www.sciencealert.com/if-you-believe-deep-down-that-you-are-an-impostor-you-should-read-this), Peter Dockrill
