---
source: https://habr.com/ru/post/702002/
---

_Сначала - (не)много рефлексии на тему того, почему и зачем я держу такие копилки._

Сейчас, кажется, можно найти тысячи материалов, которые дадут ответ на любой вопрос. И раньше я топила за то, что изобретать велосипеды бессмысленно и нужно пользоваться результатами работы людей, которые ее уже проделали - ведь чтобы выжить в современном мире, нужно просто уметь гуглить (и шарить в фактчекинге + проверке источников).

Однако в какой-то момент вскрылось несколько подвохов:

1. Ответы на многие вопросы можно получить, только набив собственные шишки - в первую очередь это касается учебы, работы, здоровья и быта. Это хорошо просекли популярные порталы вроде Т-Ж, VC (да и Хабра тоже), в которых появилась постоянная рубрика "личный опыт" + возможность написать свой материал на любую тему (такой вот ревайвал блогов и форумов).
2. Личный опыт на то и личный, что может оказаться просто нерелевантным. Конечно, посмотреть + повторить - нормальный и легитимный способ решения проблем и задач (а также передачи практического знания в целом). Экономит кучу времени и сил, например. Но часто чужой пример играет злую шутку и уводит вообще не туда - прекрасно прочувствовала это на своей, как говорится, шкуре, когда заснула на ковре в магазине OBI после таблеток, купленных заботливыми родителями в результате чтения советов в интернетах.
3. После этого примера следует закономерный вывод - какие-то сферы жизни лучше отдать на откуп профессионалам. Подбор таблеток, например, - врачам. Но есть нюанс: т.н. экспертное сообщество - это очень неоднозначная штука. Сколько экспертов - столько и мнений; и этих экспертов тоже проверять приходится (здесь должна быть шутка "а вы точно продюсер?"). Ну и если быть совсем дотошным (включу свое философское образование) - понятия экспертизы и экспертного знания в принципе не поддаются нормальному определению, что уж тогда говорить о верификации конкретных случаев.

Сочетание всех этих факторов привело к тому, что меня в какой-то момент перебросило на мета-уровень: я начала собирать _**базы знаний**_. Изначально в этом была некоторая (само)организационная и психотерапевтическая функция упорядочивания окружающего информационного хаоса. Но со временем это превратилось в систему, определяющую не только способ познания, но и образ жизни в целом: я начала воспринимать все окружающие меня вещи и события как источники информации, требующей систематизации.

Мне кажется, это какая-то особенность характера/психики, которая присутствовала у меня с детства и сейчас просто получила какое-то окончательное оформление. Точкой невозврата, возможно, стали те пять онлайн-курсов про базы данных, которые я посмотрела в декабре 2021 года без какой-то определенной цели. Я поняла, что у меня в голове мысли складываются не в слова, тексты и сюжеты (наверное, поэтому мне никогда не было интересно вести дневники и до сих пор сложно писать не-аналитические тексты). В моей голове всегда существовало что-то вроде энциклопедии, статьи которой имели формат списков и табличек, соединенных между собой множеством связей - и когда я увидела, как проектируются базы данных (в основном, правда, все курсы были про реляционные БД), у меня возникло четкое ощущение узнавания.

Про то, что типов баз данных бывает много и что они иногда сильно отличаются друг от друга, я узнала гораздо позже. То же самое случилось с инструментами организации информации (выбирая формулировки для этого абзаца, я выяснила, что все это называется _**personal information manager)**_ - некоторые из них (например, безумно красивый [**Obsidian**](https://obsidian.md/)) до сих пор меня немного пугают своими возможностями. Также у меня есть пока некоторые сложности в общении с деревьями и сетями - при случае в графе _native language_ всё же укажу таблички и блок-схемы (в этом смысле я билингв).

Собственно, все написанное выше - это про то, почему я дошла до жизни такой. В смысле, до того, что стала заниматься тотальной систематизацией знаний и опыта, как только подвернулись подходящие для этого коробочки. Сначала коробочками были сервисы Google (Google Docs и Google Spreadsheets); а потом (совсем недавно) в моей жизни произошла миграция в Notion (и заодно в Miro) из-за того, что на моей новой работе эти инструменты являются основными.

_А теперь - про социальные технологии (с конкретными примерами и лайфхаками)._

1. Начну с простого. У меня есть свой способ прокрастинации и развлечения одновременно: я люблю искать и тестировать мобильные приложения с различным функционалом - и беситься от того, как они криво сделаны. Да, я устанавливаю каждое приложение, беру пробный бесплатный период (если это возможно), и потом начинаю прогонять различные сценарии использования. И именно так появился мой первый публичный проект в Notion - постепенно заполняющаяся и обновляющаяся база знаний, посвященная различным ресурсам, связанным с _mental health:_ [**посмотреть и потрогать можно по ссылке**](https://www.notion.so/d3f956ad25404334a3b3ed90a2d3fecc?pvs=21).
    
    ![[ebfe63b45e915e27f1d277f44d4663f1.jpg]]
    
    Самая эпичная база данных из всех, которые я создавала. Гибкие настройки Properties по типам контента придают интерактивный характер обзору: можно ставить фильтры по любым тегам
    
2. Следующим шагом превращения количества личного опыта во что-то качественно новое стало масштабирование системы: я решила перенести скопившиеся на гугл-диске материалы по своему переобучению (из культуролога - в бизнес-аналитика) в Notion, придерживаясь более-менее одинаковой структуры. Так появилась публичная страничка с названием [**Lifelong Learning**](https://www.notion.so/ec29093b8c154a8b94ae2cea3488dd6a?pvs=21) - там, кстати, можно найти [_**интервью, которое я давала "Теплице социальных технологий"**_](https://te-st.ru/2022/08/10/structuring-information/) про свою болезненную любовь к систематизации.
    
    ![[c626afa6b90fab37231dc32150457a5a.jpg]]
    
    Маленькая хитрость: в Notion можно делать красивые кликабельные карточки, если оформить подчиненный "уровень" страниц в виде базы данных (выбираем отображение Gallery view)
    
    ![[0d059db73fd1b22624e32161227bdb7d.png]]
    
    Еще один лайфхак баз данных в Notion: в этом обзоре курсов я применила группировку по одному из параметров - в итоге громоздкая табличка превратилась в удобные раскрывающиеся списки по платформам онлайн-обучения
    
3. Последний пример будет про то, как вывести это собрание сочинений собрание баз знаний на новый уровень. К сожалению, в Notion есть одно грустное ограничение: нельзя запихнуть одну базу знаний в другую. Поэтому когда потребовался третий обобщающий уровень в этой архитектуре, пришлось идти иным путем: делать на основе заглавной страницы в Notion сайт при помощи одного из ноу-код движков - я попробовала разные и пока не очень удовлетворена результатом (например, почти везде ломается интерактивность табличек с тегами). Ниже - примеры того, как выглядит один и тот же контент в разных форматах - [**страницы Notion**](https://www.notion.so/60ce0ffcdc404db294c0fc5da7e23b59?pvs=21) и ее [**отформатированной версии**](https://mycelium.super.site/).
    
    ![[e5665bca02ec86f736e844fc78c54093.jpg]]
    
    Страничка в Notion - выглядит бедновато
    
    ![[046be9bbee585a471f4e29a734d60639.jpg]]
    
    Страничка, сделанная при помощи сервиса super.so - из плюсов: дизайн, из минусов: легко потерять таблички с базами данных
    

Вот эта последняя третья итерация (вернее, приступ систематизации) только началась и _to be continued._

PS:

А пока - можете [**подписаться на телеграм-канал**](https://t.me/it_or_ne_it): в нем я (человек с социо-гуманитарным + философским бэкграундом) восхищаюсь и кринжую во время выполнения квеста "зайти в айти"

_Бонус: ссылки, которые я нагуглила, пока писала первую часть текста:_

1. [**Первая попавшаяся статья про то, как устроен Obsidian**](https://habr.com/ru/company/macloud/blog/560776/) - разумеется, она оказалась на Хабре. Посмотрела [**другие материалы автора**](https://habr.com/ru/users/urmaas/posts/) - достаточно занятно (и объясняет его любовь именно к этому менеджеру знаний).
2. Немного неточный и устаревший [**перевод англоязычного текста**](https://habr.com/ru/company/skillfactory/blog/533362/) 2020 года от SkillFactory про PIM, которые в [**оригинале**](https://medium.com/swlh/8-best-note-taking-apps-to-speed-up-your-productivity-task-management-f30c7458428d) авторка обозвала note-taking apps
3. Нагуглила, но не прочитала: [**пост на VC**](https://vc.ru/life/404272-kak-ya-pridumal-ideyu-sovershennogo-instrumenta-dlya-raboty-s-informaciey) про некий самодельный идеальный инструмент по работе с информацией
4. Очередная [**пользовательская статья на Т-Ж про хранение информации**](https://journal.tinkoff.ru/discuss/notes-and-order/) (после нее мне опять показалось, что я куда-то не туда пишу свои советы - могла бы столько лайков собрать…)
