---
source: https://habr.com/ru/post/399373/
---
Синдром запястного канала — боли, онемение в кисти руки, частый спутник длительно работающих за компьютером людей. Множество популярных публикаций и решений эргономики сводят проблему только к длительной травматизации срединного нерва в запястном канале, что очень упрощает ситуацию и не позволяет получить эффективное решение.

![[0f0d0f81898647f49c30fec1f7205231.jpg]]

Основная проблема в том, что для работы за компьютером используются точные мелкие движения руки в статической позе, из-за чего возникают предпосылки для повреждения сосудисто-нервных пучков на всём протяжении — от шеи до кисти руки. И часто боли в кисти руки являются следствием отдаленных проблем, не связанных с запястным каналом.

**Корешковые синдромы рук**

Частая причина болей в руках при работе за компьютером – наличие повреждения спинномозговых корешков, выходящих в шейном отделе позвоночника.

Первоначально беспокоят боли в шее, по мере развития проблемы появляются периодические обострения, когда боль от шеи отражается в руку. Пиком является шейный радикулит – боли становятся интенсивными, не снимаются анальгетиками, появляется онемение по ходу корешка (на картинке ниже отмечены зоны чувствительности для корешков). Всё это обычно называется «обострение остеохондроза позвоночника».

![[bc7829d79bab40ee9f0f72e636d96113.jpg]]

Простейший тест на определение возможных проблем в шее – определить напряжение надплечий. Прощупайте мышцы своих надплечий, особенно в зоне верхнего угла лопатки – если там есть болевые точки, а сами мышцы напряжены – это типичный пример реакции на нагрузку при работе за компьютером.

**Синдром лестничной мышцы**

Сосудисто-нервные пучки проходят в окружении мышц, костей, связок и фасций. Первым местом, где может быть сдавливание сосудисто-нервного пучка для руки является прохождение его через канал, образованный передней и средней лестничной мышцей.

![[ce0e68ae0b1f40c19f00b749dc4a29fd.jpg]]

Вот тест на определение проблем в этой области:

Поднимите прямые руки вверх, к потолку, в положении стоя или сидя и попробуйте подержать в течение минуты. Если до окончания минуты появилось онемение, парэстезии («бегание мурашек») в руках – вы на прямом пути к тому, чтобы не спать ночами из-за онемения рук, проходя длительные курсы лечения сосудистыми и противовоспалительными препаратами с весьма коротким эффектом.

![[e90b55ca02bd4fd18ee5822764b44474.jpg]]

При синдроме лестничных мышц первоначально возникает нарушение венозного и лимфатического оттока от руки, что вызывает отёчность конечности и создает предпосылки для сдавливания сосудисто-нервных пучков в узких местах на руке. Чаще всего это происходит в запястном канале, локтевом канале, под круглым пронатором предплечья.

**Синдром запястного канала**

Самый распиаренный туннельный синдром верхней конечности. Беда в том, что он крайне редко встречается изолированно и без проработки других областей, где могут сдавливаться сосудисто-нервные пучки, результаты лечения будут неудовлетворительными.

![[43bca7f6689b4c8abf9f32667229aff5.jpg]]

Попробуйте встать и с небольшим усилием надавить на стол ладонью разогнутой в лучезапястном суставе кистью руки.

![[8f45c417feee4d99a0c9b63c88dd247f.png]]

Подержите в таком положении руку в течение минуты. Если до окончания минуты появилось онемение, жжение в кисти – это признак серьезных изменений в области канала.

**Синдром локтевого канала**

Часто встречался у людей, работающих за письменным столом со стеклом на столешнице. Сейчас встречается реже из-за того, что условия работы поменялись, однако повреждение из-за хронического сдавления этой области всё ещё встречаются у тех людей, которые работают, опираясь локтями на жесткий подлокотник.

![](Pasted%20image%2020240113201624.jpg)

Тест на возможную проблему: уверенно, мягко надавите в ямку на внутренней поверхности локтя большим пальцем и подержите – быстрое появление неприятных ощущений по ходу локтевого нерва показатель возможного наличия синдрома локтевого канала.

**Синдром круглого пронатора**

Чаще всего круглый пронатор перенапрягается при скручивающих движениях руки (работа с отвёрткой), однако и при работе за компьютером это место может травмироваться острым краем или накладкой по краю стола.

![[a6ecff5e91b643bbabb4d7086e6d3294.jpg]]

Тест на возможную проблему: сильно надавить в области триггерной точки круглого пронатора большим пальцем руки – появление неприятных ощущений по ходу срединного нерва показатель возможного наличия синдрома круглого пронатора.

**Резюме**

Ранняя диагностика и профилактика проблемы – ключевые факторы для сохранения и умножения своего здоровья. Благодаря этой статье у вас появилась возможность протестировать себя и определиться с исходным состоянием.

В следующей статье я поделюсь с вами своим опытом врача-невролога и преподавателя соматического обучения в деле снятия хронического мышечного напряжения для профилактики туннельных синдромов рук.

Для того, чтобы мне было проще определиться со следующей темой – оставьте отклик в опросе.

[Часть 2. Освобождаем надплечья и шею](Часть%202.%20Освобождаем%20надплечья%20и%20шею.md)
